5ちゃんねる ★スマホ版★ ■掲示板に戻る■ 全部 1- 最新50  

■ このスレッドは過去ログ倉庫に格納されています

Debian GNU/Linux スレッド Ver. 13

1 :login:Penguin:02/11/02 06:05 ID:aNAikoT/
過去ログは多分>>2

Debian GNU/Linux スレッド過去ログ検索 (Ver. 11: 382氏提供)
http://debian.dtdns.net/2ch-debian/

Debian関連サイト、Tips および FAQ はこちら
http://debian.fam.cx/ (templa948氏提供 : メイン)
http://debian2ch.fc2web.com/ (templa948氏提供 : ミラー)

* 質問の前には必ず参照の事 *

2 :login:Penguin:02/11/02 06:06 ID:aNAikoT/
前スレ
Debian GNU/Linux スレッド Ver. 12
http://pc.2ch.net/test/read.cgi/linux/1033049225/

過去ログ
Debian GNU/Linux スレッド Ver. 11
http://debian.fam.cx/pc.2ch.net/test/read.cgi/linux/1030178687/
http://pc.2ch.net/test/read.cgi/linux/1030178687/
Debian GNU/Linux スレッド Ver. 10
http://debian.fam.cx/pc.2ch.net/test/read.cgi/linux/1027442221/ 
http://pc.2ch.net/test/read.cgi/linux/1027442221/
Debian GNU/Linux スレッド Ver.9
http://pc.2ch.net/linux/kako/1024/10240/1024031354.html
Debian GNU/Linux スレッド Ver.8
http://pc.2ch.net/linux/kako/1020/10209/1020967965.html
Debian GNU/Linux スレッド Ver.7
http://pc.2ch.net/linux/kako/1018/10184/1018445203.html
Debian GNU/Linux スレッド Ver.6
http://pc.2ch.net/linux/kako/1015/10151/1015174417.html
Debian GNU/Linux スレッド! Ver.5
http://pc.2ch.net/linux/kako/1011/10117/1011766081.html
Debian GNU/Linux スレッド! Ver.4
http://pc.2ch.net/linux/kako/1006/10062/1006278960.html
Debian GNU/Linux スレッド! Ver.3
http://pc.2ch.net/linux/kako/999/999724231.html
Debian GNU/Linux スレッド! Ver.2
http://cocoa.2ch.net/linux/kako/992/992323048.html
Debian GNU/Linux スレッド!
http://cocoa.2ch.net/linux/kako/980/980163775.html
UNIX板旧スレッド
http://cocoa.2ch.net/unix/kako/970/970632381.html

3 :bloom:02/11/02 07:43 ID:kvJchcBz

http://homepage.mac.com/bloombloom/

4 :全文検索厨:02/11/02 08:05 ID:0CRm6865
新スレおめでとうございます。
前スレで swish++ の事とか書き込んでましたが、
↓こっちに移動しました。んでわ。

オープンソースの全文検索ソフト
http://pc.2ch.net/test/read.cgi/linux/1036088927/

5 :login:Penguin:02/11/02 08:22 ID:xWeIQjse
JigdoでCDイメージ落としています。
woody-i386-1.templateという10M近いファイルが
残るのですが、これは不要なファイルなのでしょうか。

6 :> 5:02/11/02 14:26 ID:XjQYg1tz
不要です。
woody-i386-1.isoというファイルさえあれば焼けます。


7 :978:02/11/02 16:04 ID:cRKmVOPU
前のスレでsylpheedが動かないと質問した物ですが、
bindって"bind9"とは違うとはどういう意味なのでしょうか。
検索するとDNS関連やbind8,9関連しか引っかからなくて。
よろしくお願いします。

8 ::02/11/02 16:09 ID:Z6bvVEWm
digコマンドってどーやったら入ってくるんでつか?
1週間くらいあっちこっち捜し歩いてるけど見つからないのでつ。
自分の厨房ぶりに鬱になりまつ。

9 :login:Penguin:02/11/02 16:11 ID:KJt5z664
>>8
>>1

10 :login:Penguin:02/11/02 16:12 ID:KJt5z664
>>7
bind() のことか?

11 :login:Penguin:02/11/02 16:23 ID:4jd8Dc4A
>>7
そういう質問はコチラで

くだらねえ質問はここに書きこめ! Part29
http://pc.2ch.net/test/read.cgi/linux/1036210450/

12 :login:Penguin:02/11/02 17:00 ID:G5amKy1h
>>8
テンプラ見てみ。
http://debian.fam.cx/#content:43


13 :login:Penguin:02/11/02 17:02 ID:yC+IJMWn
前スレの987
http://pc.2ch.net/test/read.cgi/linux/1033049225/987
選択肢としては
1. sid or sargeのlibcを使う。
2. apt-get sourceしてリビルド
3. そのままhold
あたりがあると思うけど、おれならとりあえず2にすると思います。

14 :login:Penguin:02/11/02 17:23 ID:0CRm6865
ほとんど stable を使っているのですが、特定のパッケージだけ、testing から借りて来たいと思います。
もちろん *.deb を wget などでダウンロードしてきて dpkg -i hoge.deb でいいのですが、
apt-get upgrade で当該パッケージのアップグレードをする方法は無いでしょうか?

15 :login:Penguin:02/11/02 17:34 ID:yC+IJMWn
>>14
http://debian.dtdns.net/1033049225.html#52
がぴったりかと。
もっとも、パッケージによるとそのうちlibc6に対する依存で、
>>13にある選択を迫られることになると思います。

16 :login:Penguin:02/11/02 18:33 ID:dmqQVs0Z
ミニCDを入れてみましたが、真っ黒い画面に
root#
とかって書いてるだけです。
この後どうすればいいんでしょうか?


17 :login:Penguin:02/11/02 21:13 ID:xWeIQjse
>6
ありがとう。

18 :名無しさん@Emacs:02/11/02 23:06 ID:mIGjSVSp
>>16
お好きなコマンドをどうぞ。

19 :前スレ987:02/11/03 02:13 ID:S3Yf4cYT
>>13
アドバイスありがとう!
libcをunstableにあげるのは怖いので
しばらくholdして時間のあるときにsourceからリビルドしてみます

20 :名無しさん@XEmacs:02/11/03 04:38 ID:qZDWZDII
woody で KDE3.0.4 なのですが、konqueror で alsa-project
のサイト内の下のページを見ると、ほぼ確実にフリーズします
(ping にも反応しなくなるので、恐らくカーネルごとフリーズするようです)
http://www.alsa-project.org/alsa-doc/

w3m で見てみたら大丈夫でした
こんな現象が起きるのは私の所だけでしょうか?
PC は Toshiba の Libretto L1 です

21 :login:Penguin:02/11/03 12:35 ID:e6sQUPLS
Gnome ターミナル上で、カーソルがターミナルのウィンドウ上にある状態で、エンターキーを
叩くとカーソルのアイコンが消えますが、これはどこかに設定があるのですか?
同でも良いと言えばどうでもいいけど。

22 :名無しさん@Emacs:02/11/03 13:11 ID:OtcxBWjv
パッケージの情報のみ削除(ファイルは触らない)
する方法って何かありますか?man dpkg にはなさげ
でした。


23 :login:Penguin:02/11/03 21:57 ID:mFJlVU87
ふだん使うことがないからほったらかしになってるんだけど、
Xのグラフィカルマネージャ(xdm/wdm/kdm)が動きません。

もろに"authentification fail"というわけではない?ようで、

ユーザー名とパスワードを入れるとなんかログインしようとしてる
みたいですが、しばらくすると画面がフラッシュして
元のログイン画面に戻ってしまいます。

/etc/pam.d/xdm とかのファイルを退避させて試してみると、
ユーザー名とパスワードを入れた段階で"fail!"とか表示されて
ログインできません。他のサービス(sshとかimap,cronなど)では
動いているのでpamが腐っているわけではないのかな?と考えてみたり
してます。

rootならなぜかログインできます。



24 :login:Penguin:02/11/03 21:59 ID:mFJlVU87
pamを自分でコンパイルしたり
/etc/X11/xdm 以下とかさんざんいじりまわしてみたり
いろいろやったけどよくわかりません。


# /var/log/auth.log
Nov 3 13:20:13 headquaters xdm(pam_unix)[1675]: \
session opened for user lev by (uid=0)

Nov 3 13:20:13 headquaters xdm(pam_unix)[1675]: \
session closed for user lev

ログはこんなのが延々続いているだけです。

普段はstartxでログインするので別に問題ないのですが、
本来使えるべきはずの機能が機能しないのでちょっとだけ気になってます。

と、いうわけで教えてクレ。



25 :startxでいいとは思うけど:02/11/03 22:28 ID:YG6V4mo5
levというユーザの.ファイルに変なところがあるのでは

26 :debarchiver:02/11/03 23:27 ID:RjWYQ8zV
みなさん、自分が作ったパッケージの管理ってどうやってます?
僕は debarchiver で ftp サーバ上にパッケージを配置して、
apt-get 出来るようにしています。

が、debarchiver は pool 方式に対応していないなど、ちょっと古いような気がします。
debarchiver に変わるものってあるのでしょうか?

てか、Debian プロジェクトの公式なパッケージのリポジトリは、何で管理しているのでしょう??

27 :login:Penguin:02/11/04 02:01 ID:IHJms/cu
>>24
~/.xsession か ~/.xinitrc あたり?

28 :名無しさん@Emacs:02/11/04 02:11 ID:SjOHPeRU
>>24
shell が nologin になってるとか?


29 :28:02/11/04 02:12 ID:SjOHPeRU
ログイン出来てるンだったね、スマソ


30 :名無しさん@Emacs:02/11/04 14:53 ID:8XvFBo+T
sid なんだけどさ,ldd 使えてる?woody の ldd と diff とってみた
けどスクリプトの違いはないんだよね.
bash と libc のバージョンは違う.

% ldd /usr/local/bin/ssh
ldd: ./: そのようなファイルやディレクトリはありません

て言われる.

% ldd --version
ldd (GNU libc) 2.3.1
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Written by Roland McGrath and Ulrich Drepper.

31 :login:Penguin :02/11/04 15:14 ID:olVic91l
>>30
ウチもだよ。
% ldd /bin/ls
ldd: ./: そのようなファイルやディレクトリはありません

mlterm_2.6.2.cvs20021101-1がbrightness=hogeしてるとオチル。

32 :30:02/11/04 15:16 ID:8XvFBo+T
>>31 おお,同志よ.
なんなんだろうねえ.おいらの勘では bash がアヤシイのだが.

33 :30:02/11/04 15:17 ID:8XvFBo+T
追記
debian-users ML では話題に登ってないんだろうか?

34 :login:Penguin:02/11/04 15:18 ID:Tm8QXRwp
>>30
うちもだたよ
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=167608
BTSされているみたいなんで、暫し待たれよ

35 :名無しさん@Emacs:02/11/04 15:21 ID:r7OFSSHA
>>30
bashのバグっぽいね。ldd の一行目を
#! /bin/zsh
に書き換えたら動いた。
今日bashバージョン上がったから

36 :30:02/11/04 15:24 ID:8XvFBo+T
>>34, >>35
ははぁ,なるほど.その手があったか.ありがとさん.


37 :login:Penguin:02/11/04 18:37 ID:N1egEbrP
d-d@org に流れてたけど、 bash 2.05b-5
http://ftp-master.debian.org/~doko/bash


38 :名無しさん@Emacs:02/11/04 18:52 ID:892tsskd
>>37
incomingにも入ったよ。


39 :名無しさん@Emacs:02/11/04 18:58 ID:r7OFSSHA
mozilla (2:0.9.1-4) unstable; urgency=high

* I hate bash
* I really really hate bash
* Fixed postinst to not return 1 on unset
(closes: #101508)

-- Frank Belew (Myth) <frb@debian.org> Tue, 19 Jun 2001 17:21:02 -0400

いまこういう気分だ。postfixが起動しなくて結構悩んだ

40 :login:Penguin:02/11/04 19:05 ID:D8GZVwGO
>>前スレ997
> じゃ、埋めネタをひとつ。
>
> PowerPC Linux Keycodes Alert! の日本語訳、コソーリとテンプレにウpしときやした。

ウプ板にUPされてたので、テンプレWikiのPowerpcKeycords
(http://debian.fam.cx/index.php?PowerpcKeycords)にUPしときました。
誰かFrontPageの「Tipsだとか」辺りに一筆書いてリンク貼ってくれ

ヲレ、PowerPCユーザぢゃないので何書きゃいいのかサパーリ...


41 :login:Penguin:02/11/04 20:11 ID:lZ43mDrI
>>40
前スレ997のUPした犯人です。
テンプレに一筆入れさせてもらいました。

42 :login:Penguin :02/11/04 20:25 ID:IgPS0gyC
/etc/modutils/aliasに
alias char-major-10-135 off
って書いたのに"Can't locate module char-major-10-135"とでまつ。
なんででそ?
もちろんupdate-modulesもしてまつ。

43 :login:Penguin:02/11/04 20:53 ID:hPjTP054
>>42
/etc/modules.conf じゃないの?

44 :login:Penguin:02/11/04 21:37 ID:GU9ZtjlQ
>>43
/etc/modules.confの先頭を良く読んでみそ。

45 :42:02/11/04 22:37 ID:9uPPOytW
>>42はまちがえてるんでしょか。
だれかおしえてくだちい。

46 :login:Penguin:02/11/04 23:30 ID:hPjTP054
>>44
おお。編集すな、ヴォケ!と書いてありますた。
>>42 は /etc/modutiles/arch/i386 の該当項目を編集ですな。

47 :login:Penguin:02/11/05 01:05 ID:bPUkyJYd
gnome2ってどう? まともに使えるの?

48 :23 その後:02/11/05 04:32 ID:FQkT+nYp
/etc/X11/xdm/xdm-config をよーくみると
DisplayManager*session: /usr/X11R6/lib/X11/xdm/Xsession
とゆーのがあって、

/etc/X11/xdm/Xsession をよーくみると
# invoke global X session script
. /etc/X11/Xsession とか書いてあって、さらに

/etc/X11/Xsession をよーくみると
SYSRESOURCES=/etc/X11/Xresources とかゆーのがあって、ここを
SYSRESOURCES=/etc/xdm/Xresources に直したらうまくいきました。

でも日本語入力できなかったので
// wanna_use_canna () {
// if [ -e $HOME/.Xdefaults ]; then
// xrdb $HOME/.Xdefaults &
// fi
// if [ $(ps aux | grep cannaserver -c) -gt "1" ]; then
// XMODIFIERS="@im=kinput2"
// LC_ALL=ja_JP.eucJP
// LANG=ja_JP.eucJP
// export XMODIFIERS LC_ALL LANG
// kinput2 -canna -cannaserver unix &
// fi
// }
とゆーのを Xsession に書き足しました。

49 :23 その後:02/11/05 04:36 ID:FQkT+nYp
これを
// wanna_use_canna
// case $sess in
// gnome)
// exec gnome-session > "$ERRFILE" 2>&1
// ;;
// wmaker)
// exec wmaker > "$ERRFILE" 2>&1
// ;;
// *)
// exec xterm -geometry 80x24-0-0 $* > "$ERRFILE" 2>&1
// ;;
//esac
とゆーよーにWMを呼び出すようにして、お蔭様で現在快調にうごいてます。

50 :訂正:02/11/05 04:54 ID:FQkT+nYp
/etc/X11/Xsession をよーくみると
SYSRESOURCES=/etc/X11/Xresources とかゆーのがあって、ここを
- SYSRESOURCES=/etc/xdm/Xresources に直したらうまくいきました。
+ SYSRESOURCES=/etc/X11/xdm/Xresources に直したらうまくいきました。

/usr/X11R6/lib/X11/xdm は
/usr/X11R6/lib/X11/xdm -> /etc/X11/xdm
になってます。長文失礼しました。


51 :login:Penguin:02/11/05 05:26 ID:dA2e/dG1
Debian使いってダラズ並に(人間的に)糞な人が多いのですが仕様ですか?

52 :名無しさん@Emacs:02/11/05 07:16 ID:HnAP6O3A
>>51
そんなにいますか?(人間的に)糞なDebian使い。

53 :名無しさん@Emacs:02/11/05 09:36 ID:259vwF0Y
/にfloppyやらcdromってディレクトリが出来てたんだけど
前は無かった気がするんだよ。うちだけ変な事して出来ちゃったのかな?

54 :名無しさん@Emacs:02/11/05 09:38 ID:259vwF0Y
base-filesのchangelog.gz読んだら、作ったって書いてあった

55 :login:Penguin:02/11/05 23:52 ID:G7oG8hUy
sid使ってる人教えてください。
最新の X には intel の i845G グラフィック統合チップ対応 patch 当たって
いますか?

56 :> 55:02/11/06 01:28 ID:Vb2j8x0U
あたってない


57 :login:Penguin:02/11/06 01:57 ID:WqumEM91
先日、debian をインストールしたのですが cron を使って
apt-get upgrade
apt-get update
を毎日実行させようと思います。 今のところ、問題がなさそうだと思ったのですが
このコマンドを実行時に選択肢が現れることなどはありますか?
みなさんはどのように アップデートしていますか?

58 :login:Penguin:02/11/06 02:16 ID:0It6iSwD
>>57
update はいいとして、upgrade を自動でやらせるのはちと恐いなぁ。
ちなみに、upgrade をかけた時に、設定を尋ねられる事はあるよ。

おいらの場合、
1. apt-get update
2. apt-get dist-upgrade -s してみる
3. 2 で問題があった場合、apt-get upgrade -s してみる
4. アップグレードされたら困るようなものがあった場合、hold する
5. 実際に apt-get [dist-]upgrade する
ってな感じですかね。

59 :login:Penguin:02/11/06 03:40 ID:2aWVACZQ
夜中に
apt-get update
apt-get upgrade --download-only
しとくのはそれなりにいい鴨。

60 :login:Penguin:02/11/06 03:44 ID:HMr5ebxL
apt-get upgrade -y

61 :login:Penguin:02/11/06 04:03 ID:E/pzH2qZ
>>60
debconfの質問は答えてくれないような気がする。

62 :57:02/11/06 04:28 ID:WqumEM91
みなさま。 どうもありがとうございます。
アップグレードはあまりよくないみたいですので、59サンのいうようにクーロンを書きました。

63 :login:Penguin:02/11/06 05:45 ID:j+JHUsoR
僕は
apt-get update && apt-get dist-upgrade -dy && apt-get autoclean
をcronで毎日動かしてる。
あと、apt-listchagesを入れると実際にupgradeしたときにchangelogをメールで教えてくれるので便利。

64 :login:Penguin:02/11/06 05:51 ID:j+JHUsoR
apt-listchangesだった

65 :login:Penguin:02/11/06 07:20 ID:E/pzH2qZ
>>63
意味無いような気がするんだけど‥‥。

あー。このあと手動でapt-get dist-upgradeするってことか。……だよね?

66 :login:Penguin:02/11/06 10:16 ID:j+JHUsoR
63だけど
cronにやらせると結果をメールで見れる。
で、メールをチェックしてupgradeしたいやつがあればupgradeする。
それだけ。
意味あるかどうかは知らないけど。

67 :login:Penguin:02/11/06 13:34 ID:E/pzH2qZ
>>66
……つまり肝心なところを書いてなかったってことじゃん。

68 :login:Penguin:02/11/06 18:19 ID:ewuj1etZ
woodyで
apt-get install atokx
を実行してatokxをインストールして.xsession に
. /usr/lib/atokx/im/locale/ja/atokserver/atokx_client
を書き足して、さらにset-language-envで設定ファイルを作ったから
~/.xsession の XIM,XIM2 を コメントアウト、
新たに XIM=htt を加えたし、
~/.Xresources の #define XIM kinput2 をコメントアウト、
新たに #define XIM htt を加えたのにatokxが使えません。
ほかに何かすることがあるんですか?

69 :login:Penguin:02/11/06 18:41 ID:4EWvvnLO
navi2ch-cvsがうまくインストールできません。
10月末からですが、みなさんどうでしょう。
ここで反応見てから、UNIX板にいきたいと思うので、よろしく。

70 :login:Penguin:02/11/06 18:43 ID:FVPeVWEX
>navi2ch-cvsがうまくインストールできません。

うちはうまくインストールできます。
それでは。

71 :login:Penguin:02/11/06 18:58 ID:/ZewMb86
なんか今日辺りのsidからmetacityが落ちまくるので鬱。
gnome-sessionが再起動してくれるんだけど、そうすると
配置されたウィンドウの位置がずれるのでやっぱり鬱。

72 :名無しさん@Emacs:02/11/06 19:24 ID:4xzZs5aW
>>68
/usr/lib/im/locale/ja/atokserver/atokx_client
の中の
/usr/lib/im/httx -if atok12 -lc_basiclocale ja_JP -xim htt_xbe &

/usr/lib/im/httx -if atok12 -lc_basiclocale $LANG -xim htt_xbe &
に書き換える。
再度Xを起動して何度かShift+Spaceか半角/全角を押してれば使えるようになるはず。

73 :login:Penguin:02/11/07 00:19 ID:18TvdlQm
USB フロッピーを差しても認識してくれません
なんだかの設定が必要なんでしょうか?
(ソフトをインストール?カーネルを再構築?)
一応 WEB で調べたんですが、USB フロッピーから
インストール、というようなものばかり釣れてしまって
分かりませんでした
woody 使ってます

74 :login:Penguin:02/11/07 00:20 ID:18TvdlQm
質問なのに sage てしまいました

75 :login:Penguin:02/11/07 00:54 ID:H9uMtbQC
>>73
うろ覚えだけど、USB + SCSI generic + SCSI disk で
/dev/sd? でアクセスできたような…。


76 :login:Penguin:02/11/07 01:01 ID:18TvdlQm
>>75
申し訳ないです......厨なので良く分からないです
USB + SCSI generic + SCSI disk
というのは、カーネル再構築してこれらを有効にしろ、
ということですか?

77 :login:Penguin:02/11/07 01:45 ID:Sx2Nhhd7
>>75
認識しないというのは、どうやって確認したのでしょうか?
dmesgで何らかのログとか出てないんでしょうか。

78 :login:Penguin:02/11/07 06:36 ID:18TvdlQm
>>77
はい、USB フロッピー抜き差ししても dmesg は変化無しです

79 :名無しさん@Emacs:02/11/07 10:06 ID:OY7DMCbn
>>69
丁度その頃、apt-get upgradeしたらmule-ucs要求されて
入れた覚えが。ちなみにwoody。navi2chという証拠に
名無しさん@Emacsもーど。

80 :login:Penguin:02/11/07 10:48 ID:3od1L2GB
こんにちは。
先日、smbd か動いているマシンを potate -> woody に変更したんですが、
smbclient でwinNTにつなぐと、日本語が正常に表示されなくなってしまいました。
日本語が、すべて、「_」 で置き換えられてしまいます。_______.doc みたいな感じです。

もう一台、potate マシンがあるのですが、そこからのsmbclient は正常に
つながります。
woodyにすると、smb.confも変更しなきゃならないのでしょうか?


81 :login:Penguin:02/11/07 13:11 ID:TzKQXh1Z
lastcomm を使おうと思って、パッケージ acct を入れ
ました。そうしたところ、lastcomm コマンドはありま
すが、実際には利用できませんでした。で、web を探し
たところ、カーネルのBSD Process Accounting をY に
して再構築する必要があるとのことでした。で、無事、
再構築して、利用ができるようになったのですが、ここ
で質問。debian の文書のどこかに、lastcomm を使うた
めには、BSD Process Accounting を Y にして再構築す
る必要があると書いてありますか?私には、見つからな
かったのです。一般論として、そのような文書を見つけ
るいい方法がありましたら教えて下さい。


82 :77:02/11/07 13:22 ID:Sx2Nhhd7
>>78
murasakiとかhotplugは入ってる?


83 :login:Penguin:02/11/07 17:19 ID:DhEIAy3k
ATAPI の zip 入れたら xcdroast が cd 認識しなくなっちゃったんですけど
(config では認識してる様子)

hda : HDD
hdb : cdrw (ide-scsi)
hdc : cd(読みのみ)
hdd : ATAPI zip250

です。hdc も ide-scsiしていたのを外してみましたが同じでした。

ついでに聞きたいのですが emacs で変換範囲はどうやってかえるの?

84 :login:Penguin:02/11/07 17:21 ID:Bb1zAZvO
>>83
変換範囲って漢字カナの? それだったらサーバによるんでは?

85 :83:02/11/07 17:24 ID:DhEIAy3k
>>84
すいません canna です

86 :login:Penguin:02/11/07 17:34 ID:n5ir9DHt
それはいカンナ


87 :login:Penguin:02/11/07 17:45 ID:yWnB6ECv
( ゚д゚)ポカーン

88 :login:Penguin:02/11/07 17:56 ID:ctWf4Uub
>>83
うちも同じ状況。CD-ROMや音楽CDを入れても「空の〜」と表示される。最近使ってなかったので、いつごろからこういう状態になったかは不明。
cdparanoiaでのリッピングはできるし(devfs入れたら/dev/scsi...genericが600 root:rootになってたから変更したけど)、cdrecordでのtocの読み出しもできる。
xcdroastは単なるフロントエンドだから、使ってるプログラム(cdrecordとか)の出力のフォーマットが変わってうんぬんとか妄想してみる。ちゃんと調べてないので妄想ね。あくまで。
あ。sidです。


89 :名無しさん@Emacs:02/11/07 18:50 ID:aIoEapLC
swf-playerにはmozilla pluginも入ってるようですが、
flashpluginで入るものと同じものなんでしょうか?

90 :login:Penguin:02/11/07 19:07 ID:J5vcXJ0K
>>85
C-o, C-i あたりかと

91 :85:02/11/07 19:59 ID:DhEIAy3k
どーもです
それでもなんかややこしいので kinput2 でやっていきますわ
console ではこまるけど

92 :login:Penguin:02/11/07 22:31 ID:jNm6ZP5U
前から素朴に疑問におもっていたのですが,

set-language-env -l ja

を実行して,~/.xsessionを設定すると,ターミナルエミュレータ
を起動するように設定しますが,なんで,ターミナルエミュレータ
を起動しなくてはならないのでしょうか? なにか,理由があれば,
教えてもらえませんでしょうか?

ただし,ターミナルエミュレータの起動のところ削除して,startx
するとXが起動しなくなるので,なにか深い理由があると思うのですが,,,


93 :login:Penguin:02/11/07 23:31 ID:hnZzgaiL
>>92
逆に聞きたい、端末あげずに何をするのかと。

94 :login:Penguin:02/11/07 23:39 ID:/ztdwVcf
>>81
dump-acct(8)

95 : :02/11/08 00:09 ID:3D6FxhY9
>>93
とはいえ、KDE とか gnome 使用時でセッション保持したままだと、端末起動させる意味が
あんまりなかったり。
俺は、起動しないように注釈してるましんもありまする。

96 :login:Penguin:02/11/08 00:40 ID:Jkdz1CtD
最近sidでkochiフォントが読み込まれなくなったようだけどみんなどうなの?

97 :96:02/11/08 00:42 ID:Jkdz1CtD
パッケージはこんな感じです。
$ dpkg -l '*'kochi'*'

rc ttf-kochi-goth 0.2.20020727-1 Kochi Gothic Japanese TrueType font without
ii ttf-kochi-goth 0.2.20020727-3 Kochi Gothic Japanese TrueType font with nag
rc ttf-kochi-minc 0.2.20020727-1 Kochi Mincho Japanese TrueType font without
ii ttf-kochi-minc 0.2.20020727-3 Kochi Mincho Japanese TrueType font with nag


98 :login:Penguin:02/11/08 00:54 ID:Y54zf84f
>>93
ウチのカカァのは端末起動させてない。
アプリランチャとかファイラーがあればいらないじゃん。
つか端末起動させてあげても、カカァにはムリ(わら。

>>95
# dpkg --purge ttf-kochi-gothic ttf-kochi-mincho
してみたら?

99 :login:Penguin:02/11/08 01:11 ID:g20UtW1A
>>97
/usr/share/fonts/truetype/kochi に fonts.dir がないから、とか?
hints 作ってないから、とか?

100 :前スレの696:02/11/08 04:41 ID:/WL6fhyv
>>前スレの665
> #apt-get update を実行した後このように表示されます。
> これの前に、aptitudeでupdateを実行中、#dpkg-reconfigure aptーlistchangesをやりました。

> Reading Package Lists... Error!
> E: Dynamic MMap ran out of room
> E: Error occured while processing kmid (NewVersion1)
> E: Problem with MergeList /var/lib/dpkg/status
> E: The package lists or status file could not be parsed or opened.

"Dynamic MMap ran out of room"でググったら一番上にこんなのが。
http://lists.debian.org/deity/2002/deity-200208/msg00099.html

で、うちでは/etc/apt/apt.confに
APT
{
Cache-Limit "67108864" //64MByte
};
として問題解決。
TOPで見たかぎりでは、Defaultでは8MByteくらいしかメモリ確保しないみたい。

101 :前スレの696:02/11/08 05:02 ID:/WL6fhyv
別解ってわけでもないけど、
/etc/apt.conf.d/に適当な名前のファイルを作って

APT{ Cache-Limit "67108864";}; //64MByte

と書いておく。でもOK。

ちなみに、aptのソースをgrepしたら、
apt-0.5.4$ grep -r 'Cache-Limit' *
apt-pkg/pkgcachegen.cc: unsigned long MapSize = _config->FindI("APT::Cache-Limit",6*1024*1024);
apt-pkg/pkgcachegen.cc: unsigned long MapSize = _config->FindI("APT::Cache-Limit",4*1024*1024);
などと出てきたのでデフォルトでは6MByte確保なのかな。


102 :96:02/11/08 07:46 ID:Jkdz1CtD
>>98
>>99
defomaの /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType を
XF86Config-4 に直接書いていたのから、xfs-xtt経由で読むようにしたら
xfontselにkochiファミリがでて来るようになりました。


103 : :02/11/08 11:47 ID:D9KTK6k0
これは本当らしいです。かなり選ぶのに参考になります。
ttp://isweb19.infoseek.co.jp/computer/atkinson/atkinson/osusume_book_ryouhou.htm

104 :tako:02/11/08 12:43 ID:OfAfbgKL
eximを利用されている方っていらっしゃいますか?
使用感をお聞かせ頂きたいのですが。

当方は、qmailを利用しております。

105 :93:02/11/08 15:00 ID:/vjfrFtS
>>93>>98
なるほど、そういう使い方もあるか。

じゃあ、>>92は自力で.xsession書くのが嫌なら、環境変数TERMINAL_EMULATORの
値をNONEにしたらいいんじゃないかな。

.xsessionの頭に、
TERMINAL_EMULATOR='NONE'
ってね。



106 :駄レススマソ:02/11/08 15:21 ID:2dyMgnfp
うちにもロリ炉利ムトーのspamがきますた。
業者、激しく頭わるそうですた。
記念ぱぴこ。

107 :81:02/11/08 22:02 ID:U06BqN2v
>>94 ありがと。

108 :login:Penguin:02/11/08 22:57 ID:jLRWiaNL
最近pcカードのホットプラグが効かず固まります。
どうもmurasakiがこけてるっぽい。これのアップ
デイトって最近あった気がするんでそれのせいかと
思うんですが、何か情報ありませんか?


109 :108:02/11/09 00:22 ID:6oQNwwtV
cardmgr(pcmcia-cs)の問題だった、スマソ

110 :login:Penguin:02/11/09 15:59 ID:c9CuyZFb
http://www.topstudio.co.jp/~kmuto/d/?200211a&to=200211078#200211078
http://www.topstudio.co.jp/~kmuto/d/?200211a&to=200211081#200211081

お役に立ちたい願望は強いのだけど、いかんせん手元にブツがない……。
誰かよろしこ。

111 :login:Penguin:02/11/09 16:08 ID:KSuuIXZC
一昨日初めてDebianをインストールし始めて昨夜X Window Systemを
起動できたのでshutdownして、今新たに起動したら
X Window Systemが起動してログイン画面がグラフィックで
パスワードを聞いてくるんです。
これをCUIで起動出来るようにする方法を教えて下さい。


112 :login:Penguin:02/11/09 16:12 ID:/xSAaHXz
# apt-get remove gdm kdm xdm

113 :login:Penguin:02/11/09 16:13 ID:JWBhPPIl
# apt-get remove wdm かもね。

114 :login:Penguin:02/11/09 16:31 ID:7Iev9aiS
>>104
Exim
http://pc.2ch.net/test/read.cgi/unix/986398141/


115 :login:Penguin:02/11/09 17:24 ID:3EmBfv4F
update-rc.d xdm remove
update-rc.d xdm start 99 3 4 5 . stop ?? 0 1 2 6 .
でも可stopの方の数字忘れた。-f スイッチがいったかも


116 :111:02/11/09 18:24 ID:KSuuIXZC
CUIログインの方法を
お教え頂きありがとうございます。
明日やります。


117 :login:Penguin:02/11/09 20:06 ID:QpXUzyKx
アンインストールしたいんですが?
どうすればいいのでしょうか?

118 :login:Penguin:02/11/09 20:14 ID:PG2S0bDG
>>117
お前の人生をかい?
それならプラーンするのが一番早いぞ。


119 :login:Penguin:02/11/09 20:32 ID:5P0R2fCz
>>118
Debianをアンインストールしたいの

120 :login:Penguin:02/11/09 20:35 ID:DTMgMVC3
で、何をインストールしたいのよ。

121 :login:Penguin:02/11/09 20:44 ID:lVG4h+uP
超漢字

122 :login:Penguin:02/11/09 22:11 ID:aZDlZ9l7
>>117
別な OS を上書きインストールすれ。

123 :login:Penguin:02/11/09 22:57 ID:GQbuhGn5
woody で kernel を 2.4.18 に 入れ替えたら、DHCPでIPアドレスを取得でき
なくなってしまいました。ifconfigすると、以下のようになります(抜粋)。

eth0 Link encap:Ethernet HWaddr 00:02:2D:00:B0:51
UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
RX packets:000 errors:0 dropped:0 overruns:0 frame:0

この行がポッカリ抜けているんです。

inet addr:192.168.0.17 Bcast:192.168.0.255 Mask:255.255.255.0

設定はそのままで、元の2.2.20に戻すと正常に動作します。DHCPからIPアドレ
スを取得するためには、 kernel の再構築時に与えなくてはならないオプショ
ンがあるのでしょうか。2.4.18でも、DHCPを使わず、staticな設定にすると大丈夫です。

/etc/network/interfacesは以下のようにしています。

auto lo
iface lo inet loopback
iface eth0 inet dhcp

これを以下のようにすると大丈夫です。

iface eth0 inet static
address 192.168.0.2
network 192.168.0.0
broadcast 192.168.0.255
netmask 255.255.255.0
gateway 192.168.0.1

124 :login:Penguin:02/11/09 23:13 ID:HwznykZA
>>123
DHCP クライアントは何使ってんのさ?



125 :login:Penguin:02/11/09 23:28 ID:GQbuhGn5
>>124
ク、クライアントですか? 特に入れた覚えはないんですが……。
woodyでデフォルトにて使われるクライアントは普通何なんでしょう。

DHCPサーバは、NetGenesis OPTです。つまり、吊しのルータです。
特に、MACでIP取得制限をかけていたりはしないです。


126 :80:02/11/09 23:29 ID:mCk/EHY7
すいません、Debian woody で NTサーバにsmbclient接続後、
日本語ファイル名が正常に見られている人っています?



127 :login:Penguin:02/11/09 23:39 ID:H1x2+V+9
HDDのUDMAの設定をしたいのですが、どのファイルに書いたらいいでしょうか?

128 :login:Penguin:02/11/09 23:44 ID:6zksy0Et
最近妻が夜の生活に不満そうなのですが、何をすればいいですか?

129 :login:Penguin:02/11/09 23:46 ID:H1x2+V+9
>>128
煽って楽しいんですか。
Linux師匠。

130 :名無しさん@カラアゲうまうま:02/11/10 00:14 ID:Ah5fjdLx
>>128
一緒に Debian の開発にでも参加されてみては?
毎夜ふたりで有意義な時間を過ごせば、あちらのほう不満は薄れるでしょう。

131 :login:Penguin:02/11/10 00:25 ID:IHXgKMdK
>>125
dpkg -l dhcp\* | grep ^i とかでわかるとおもうけど。
dhcp-client だと勝手に推測してレスすると…
CONFIG_FITER (Socket filtering), CONFIG_PACKET (Packet socket) を
kernel にきちんと組み込んでいるか(module ならロードしているか)を
確認しる。


132 :login:Penguin:02/11/10 00:27 ID:c0SjWGNx
>>125
とりあえず、# apt-get install dhcp-clientでどうよ。
>>126
"cp932"にする。

133 :login:Penguin:02/11/10 00:34 ID:Z4ZcFQjm
>>127
hdparm -d 1 /dev/hda
とかでいけると思います。/dev/hdaは自分の環境に合わせて適当に。
私は徹底本に書いてあったようにinitスクリプトにしてます。
設定ファイル、というのはなかったと思います。

134 :login:Penguin:02/11/10 00:39 ID:VRZts/tS
woodyでapt-get install gnome2 gdm2でgnome2とgdm2をインストールしてるけど
エラーが出る。どうやって対処するの?

135 :login:Penguin:02/11/10 00:47 ID:JOM0Vaqe
エラーの内容を書けよ糞野郎

136 :login:Penguin:02/11/10 00:48 ID:y6r0DWYo
>>133
ありがとうございます。

137 :login:Penguin:02/11/10 00:51 ID:jY1/B+wH
エラーの内容を書けよゴミ野郎

138 :login:Penguin:02/11/10 01:02 ID:6T9C01Lm
>>134
最高の解決法はズバリ「gnome2 をインストールしない」です。

139 :login:Penguin:02/11/10 01:06 ID:jY1/B+wH
http://www.distrowatch.com/
( ´,_ゝ`)プッ

D e b i a n オ ワ ッ タ ナ

140 :login:Penguin:02/11/10 01:10 ID:I7wKrncj
うわぁ。気になる。見ても何がおわってるのかわからん(;_;

141 :login:Penguin:02/11/10 01:12 ID:btesFjNO
私も分からない。ナニがおわってるの?気になって眠れません

142 :login:Penguin:02/11/10 01:23 ID:6T9C01Lm
>>140-141
ズバリ「>>139 の思考がオワッてる」のです。

143 :login:Penguin:02/11/10 01:57 ID:itgJ5U3p
もう少し言葉を慎め痴呆共

144 :login:Penguin:02/11/10 02:09 ID:bkC4IiTb
よぉわからんけど、debianはちょっと癖があるね。
apt-getなかったら誰も使わないのでは?

145 :login:Penguin:02/11/10 02:11 ID:rLLSCiJK
kmess http://kmess.sourceforge.net/
をでびあんで使ってる人いない?
aptでとって来れたらいいんだけどさぁ

146 :125:02/11/10 02:21 ID:c2flEVAL
>>131
>>132
アドバイスありがとうございます。

ii dhcp-client 2.0pl5-11 DHCP Client

ということで、 dhcp-client ですた。

/usr/src/linux/.config を見てみますと、

CONFIG_PACKET=m
# CONFIG_FITER is not set

となっておりますた。
早速、 module として load するようにして再構築してみます。


147 :login:Penguin:02/11/10 02:45 ID:dqnNJu49
>>139
ああ、debianが新しいディストロのgentooにぬかれそうだね。
gentooならFreeBSDユーザーにもなじみやすいし、それでユーザーがふえたのかな。
ちと使ってみたけどdebianにくらべてヘンな癖がないし、いいディストロだとおもう。

でもメインPCがセレ400、メモリ64なので使いたくないね(わら
セレ1Gにメモリ512とかなら、のりかえるかな。
バイナリパッケージがないのがイタすぎる。

148 :login:Penguin:02/11/10 03:04 ID:3fLXR2a2
>>144 3か月に1度新しいバージョンのisoが出てそのたんびに
やれアップグレードだ不具合だと大騒ぎになる他のディストロは
もう使う気になりません。

私のメインマシンの環境は
≒1年前に ftp.fsn.hu からダウンロードした"woody unofficial"
がベースです。
以来"インストール"はしていませんが、
現在はそのマシンがそのまま"sarge"に進化しています。

>>145 おもしろそうなので自家debでも作ってみます。

>>146 debianのdhcpクライアントはデフォルトでiscの"dhclient"です。
YahooBBで使う場合、"dhcpcd"よりはるかに安定しています。
他の環境ではどうか知りません。




149 :125:02/11/10 05:04 ID:c2flEVAL
>>131
>>132
結局、

/usr/src/linux/.config
CONFIG_FITER=m

これで kernel を再構築したら、DHCP経由でIP取得できました。
ありがとうございました!!!


150 :login:Penguin:02/11/10 07:34 ID:iI/2kb85
>>144
あるからいいじゃん。

151 :login:Penguin:02/11/10 21:33 ID:7EtOOnaY
>>148
kmessの自家製デブ作ったらちょーだい!

152 :login:Penguin:02/11/10 23:42 ID:5ia5aNNw
woodyでなんとなくinittabを見たら
「id:2:initdefault」だったのですが
これって普通に使っている分には
3か5だと思っていたのですがdebianではこれが標準でつか?

153 :login:Penguin:02/11/10 23:48 ID:GmRDmtsM
過去ログ検索ぐらいしてくだちい

154 :login:Penguin:02/11/11 00:16 ID:8eKD20uN
>>152
redhatの普通をdebianにもちこむな

155 :152:02/11/11 00:23 ID:GOuqUbqy
だから悔い改めようとしてんじゃん。一々分かってる事書くなアホ154
で、解決。153ありがと〜

156 :login:Penguin:02/11/11 01:55 ID:/q0aNFet
あっちでもこっちでも所かまわず勧誘をくりひろげるくせに、
自スレで他ディストリの話されると拒否反応を示す Deb 厨マンセー。

157 :login:Penguin:02/11/11 07:05 ID:Ng4e7nmT
あるパッケージAがたとえばパッケージBに依存しているという情報は
dpkg -s Aとかapt-cache -depends Aで確認できますよね。
逆にパッケージBがパッケージAに依存されているという情報は
得る方法はないのでしょうか。
AもBもインストール済み、という前提でよいのですが。

158 :名無しさん@Emacs:02/11/11 08:12 ID:6hfXqK7G
>>157
debみなしご


159 :login:Penguin:02/11/11 08:27 ID:Xs/c6vUU
>>157
apt-cache showpkg B

160 :login:Penguin:02/11/11 12:11 ID:j69nVhN4
apt-get install apache2-common
ってやったあとに
/usr/sbin/apache2ctl start
ってやると、
/usr/sbin/apache2が無い、
ってapache2ctlに怒られるんで、スクリプトを見てみると
httpdの指定が確かにそうなってます。
これはどうすればよいのでしょうか?



161 :login:Penguin:02/11/11 12:41 ID:iGkBuo5z
是非これを読んで欲しい。

Debian ユーザには、Debian こそ誰もが使うべきディストリビューションだと考えるクセがある。
http://www1.neweb.ne.jp/wa/yamdas/column/technique/oss_egoj.html

162 :名無しさん@Emacs:02/11/11 12:53 ID:qkv2PSRq
アンチうざすぎ。
誰が何を使おうが、何を人に勧めようが、勝手だろ。
わざわざDebianスレまで押しかけてスレ汚すのはやめてくれ。

163 :login:Penguin:02/11/11 13:03 ID:iGkBuo5z
>>162
> アンチうざすぎ。

いや、俺はdebianユーザーでdebianマンセーなのだが、、、。


164 :162:02/11/11 13:16 ID:qkv2PSRq
>>163
最近煽りが多いのでそれの一貫かと思ってしまった。
回線切って(略

ところでADSLモデムからdhcpでIP貰ってるとしょっちゅう回線が
切れてる(モデムと自分自身にしかpingが通らなくなる)のだけど
Debian(woody)的にはどこを設定したら解決しまつか?
nicはIntelのバルクでe100モジュールで動かしてます。
dhcpのクライアントはpumpを使っていて/etc/network/interfacesには
auto lo
iface lo inet loopback
iface eth0 inet dhcp
iface eth1 inet dhcp
と書いてあります。
赤帽のときは特に何もしなくても普通に動いてました。

165 :login:Penguin:02/11/11 13:28 ID:XlPie7qa
apt-get yeah!

166 :login:Penguin:02/11/11 14:37 ID:sB0gon9k
>>164
pumpやめてdhcp-clientを使ってみたら?



167 :164:02/11/11 14:57 ID:qkv2PSRq
>>166
ありがとうございます。
早速 sudo dhclient してみました。
今のところちゃんと繋がっているようです。



168 :login:Penguin:02/11/11 15:07 ID:mhC8pwNn
>>164
RHでは問題なかったということなので、たぶん外しているけど、念のため。
6pt 保安器 切れる adsl
で検索してみてください。うちはこれで悩まされています。
なんか、受話器を上げるだけでリンクが切れるみたい。
一分ほどで復活するけど。もっとも、dhcpじゃなくてpppoeですが。


169 :login:Penguin:02/11/11 15:09 ID:pjorG7KZ
>>164
そりゃ Linux 関係ねーよ。
局の設備が変わったとか、回線の利用情况が変わったとか、
電話線の取り回しを変えたとか、そんなとこだろ。
俺はモデムのファームウエアをアップデートしたら改善されたよ。

170 :login:Penguin:02/11/11 15:14 ID:FFjQBfZC
>>163
>>161を見ただけだとアンチDebianのページかと思うよ。
ちゃんと「オープンソースを巡るエゴの問題」って題名書けばいいのに。
引用もリンク先の主旨とは合ってないし。

171 :login:Penguin:02/11/11 15:30 ID:CTNaGy7t
(w

Debian ユーザには、Debian こそ誰もが使うべきディストリビューションだと
考えるクセがある。Debian は強い思い入れを抱くに値する優れたディストリビュ
ーションなのかもしれないが、誰もが Debian を使っているわけではないこと、
また誰もがそれを使いたいと思うわけではないことを忘れてはならない。Debian
が他より優れているということはないのだ。それはどのディストリビューション
についても言えることである。どれにだってそれぞれ長所と欠点がある。それが
オープンソースや Linux の美点だろうに。

引用元: http://www1.neweb.ne.jp/wa/yamdas/column/technique/oss_egoj.html

172 :login:Penguin :02/11/11 15:40 ID:CyNNjePI
>>171
8歳のガキのような振るまいはやめてください

173 :login:Penguin:02/11/11 15:45 ID:CTNaGy7t
>>172
5才児のつもりなんだが。8歳に見える?

174 :login:Penguin:02/11/11 15:54 ID:9h4r1bCn
オマエらやめろ.
スレを汚すな.

175 :164:02/11/11 16:00 ID:qkv2PSRq
結局また切れてました(-_-)ウツダ

>>168-169
あ、なるほど。ありがとうございます。
いつもsudo pumpしなおすと繋がるので、dhcpの問題と決めつけてました(汗
赤帽でうまくいってるように見えたのは長時間接続しなかったせいかも。







176 :login:Penguin:02/11/11 19:05 ID:rvd8Yw7e
ロリロリムトーさん、ボコりにボコる幼女強姦SMビデオ買います

値段は? 連絡先は?
お願いします。すぐに欲しいです

177 :login:Penguin:02/11/11 23:52 ID:uc2W7cMD
ディストロヲッチ、同票で3位がgentoo、四位がdebianであった。

apt-build world が出きるようになったら少しは戻ってくるんじゃない?

178 :login:Penguin:02/11/12 00:15 ID:m8foLBrL
なんでそんなに順位を気にするの?

179 :login:Penguin:02/11/12 03:56 ID:sX7qaujG
例のegoだけど、まあ、言ってることは正しい。というか、正論。
海外でも似たような状況なのかと笑ったけど。
でも、別にDebianというか、フリーソフトウェア/オープンソースに限ったことじゃないのよね。Windowsにだって、Macにだって同じような連中はいる。それどころか、コンピュータとは関係のない世界でも日常的に見られることなわけで……。
なんか、ねぇ。

180 :login:Penguin:02/11/12 09:48 ID:P9juE8r3
>>178
今までDebianが組織票で頑張ってたからかな?
漏れは「この鳥のここが(゚д゚)ウマー」「ここが(・A・)イクナイ!!」って
議論は好きなほうだけど、人気投票の順位なんてどうでもいい。

181 :login:Penguin:02/11/12 11:29 ID:IGzJfAdG
>>177
ただのページヒット数じゃねぇの?その順位って。

182 :名無しさん@Emacs:02/11/12 13:39 ID:fEcYTAR6
Jmodeのdebまだ?
読んでるんでしょ>某氏

183 :login:Penguin:02/11/12 14:15 ID:zrveDhuZ
>>182
sourceパケジならsf.jpに転がってるだろ

184 :名無しさん@Emacs:02/11/12 21:13 ID:fEcYTAR6
>>183
それは知ってる。

185 :login:Penguin:02/11/12 23:05 ID:kkmrfBu4
コンパイルオナニーが好きな連中はgentoo使ってればイイキモチなわけでしょ? …きっと。
そんなの、実用に供され信頼を集めるディストリビューションの条件ではない。


186 :login:Penguin:02/11/12 23:49 ID:JcMDhQEx
>>185
Debian使いがGentooをそういう風に悪口言うのって意外だな。
オナニーとかじゃなくて、最適化しつつパケジ管理をちゃんとやってくれる
ってことにそれなりに魅力を感じない?
漏れはメインはDebianだけどHDDを大容量のに換えたら空き領域に
Gentooも入れてみようと思ってるよ。

>>139みたいな煽り方をする香具師はどうせ
Debianのインスコもできなくて馬鹿にされたとかそんな程度の厨房で
Gentooも使いこなしてない(インスコぐらいは試みたかもしれないけど)
だろうから、放っておけば?

187 :login:Penguin:02/11/13 00:11 ID:CCMHqOqK
>>186
流せ流せ。何処からかの煽りだよ。たぶん。

188 :login:Penguin:02/11/13 02:17 ID:yjsTPcf9
Debian(woody)入門記念カキコ。
今まで「難しい」ってずっと思ってたけど、入門してみて意外にも簡単なのに驚いた。
偏見もっててごめん。>>皆さん
おわびカキコ。


189 :login:Penguin:02/11/13 06:49 ID:0gMdOviu
まあ、それぞれに売りや弱点やあったりするわけで、
どれが一番とかいうのは、Linux板ができたときに乱立した、
Linux vs. BSD/Win/Mac/etc.. の繰り返しで、不毛極まりないと思うのですが。
そんなわけで、ディストリビューションの人気投票はやめにしれ。



190 :JAVA2をいれたい:02/11/13 06:55 ID:0gMdOviu
ftp.kddlabs.co.jpにある、j2sdk+j2re(互いに依存)を入れようとしたら、
java2-commonと衝突してインストールできません。
どうすればいいでしょう。
SUNとかの *.tar.gzで /usr/local/... にインストールするしかないのでしょうか。
RPMをAlienしても、DEBIANのJAVAポリシーと違う様な。
知恵貸して。

191 :login:Penguin:02/11/13 07:41 ID:O4YDbzAn
Blackdownのミラーに.deb置いてあるからapt-get一発なのでわ...

192 :login:Penguin:02/11/13 09:44 ID:s2YE+8u4
Sambaでファイルサーバを作ったのですが、Windows2000でネットワークドライブを
割り当てると、quotaを設定しているにも関わらずパーティション全体の大きさと
空き容量が表示されます。quota自体は正常に動作しているようで、設定した
容量以上のファイルを入れようとするとエラーになります。
quotaで設定したサイズ・空き容量を表示させるにはどうすればいいのでしょうか?

環境は
Woody カーネル2.4.19
samba-ja 2.2.2ja1.1-1
quota 3.04-1
で、sambaで今回しているパーティションはカーネルによるソフトウェアRAID1で
ext2を使っています。

193 :login:Penguin:02/11/13 12:19 ID:BaMDeBUr
済みません、sid使ってます。

安易にgnome2にしたら結構ボロボロになりました。
デスクトップ設定/sawfishとかいじると、sawfishが暴走してload average4とかになるです。
font回りを疑ってますが、defomaとは?から勉強始めざるを得ないタコレベルゆえ、気が遠くなりますです。

既出かも知れませんが、japanese font for 厨房の推薦ドキュメントあったら教えて下さいな。

194 :login:Penguin:02/11/13 12:36 ID:83vPwqKr
厨房にsid

195 :login:Penguin:02/11/13 12:40 ID:ilTJz2BC
sidでfreetds0というパッケージがなくなってしまったのですが,
どうなっているのでしょうか。

php4-sybaseをインストールしようとしたら,freetds0に
Dependsしてので,インストールできず困ってしまいました。

196 :login:Penguin:02/11/13 12:44 ID:0iiYiw02
>>193
gnome2だったらおとなしくmetacityにしとけ。
# 今日の2.4.3-2でもrandom crashするけど > tagoh

197 :login:Penguin:02/11/13 13:08 ID:BaMDeBUr
>>196
metacityっすか。
marshmallow froot loopsとcheeriosの比喩は日本人なワシにはさっぱりでしたが、要はsimpleってことですね。

しかし、『いい機会だからfontを勉強せよ』と神に言われているような気がしてるです。
# 電波入ってませんよ、単に手段と目的が逆転してるってことです。
なので、ドキュメントキボーンなんです、済みません。

198 :login:Penguin:02/11/13 19:12 ID:MFlXty8+
>>190
apt-lineが
deb ftp://ftp.lab.kdd.co.jp/Linux/java-linux/debian woody non-free
になっていませんか?
mainを追加して
deb ftp://ftp.lab.kdd.co.jp/Linux/java-linux/debian woody main non-free
にしませう。

最近mainができてj2se-commonが入ったみたい。
テンプレもいじっておきました。


199 :login:Penguin:02/11/13 20:25 ID:jdpCh/wJ
>>195
sidなんて、そんなもんです

>>197
フォントの設定方法をイチから教えてもらえるスレ
http://pc.2ch.net/test/read.cgi/linux/994758481/l50

>>198


200 :login:Penguin:02/11/13 20:34 ID:ny6tnheL
200ゲッチュ!

201 : :02/11/13 21:14 ID:/s0YvJmw
すれ違いだけど、GPLってよく読んでみると、あれってソフトウェアライセンス
じゃないよな。

何処となく「自由」という言葉を利用した全体主義的な匂いがしてならん。

202 :クンクン(風呂敷):02/11/13 21:20 ID:z6OIzrUH
>>201
一度もちゃんと読んだことがないのに愉快な事言う人ね。

ノウンコー

203 :login:Penguin:02/11/13 21:30 ID:0gMdOviu
「青春時代のAI-Labの雰囲気よ、再び…。」
ってな動機な気がする。


204 :197:02/11/13 21:57 ID:WCqfQb/3
>>199
Thanx!

205 :login:Penguin:02/11/14 01:18 ID:lO0m2T3k
wmaker(woody)を立ち上げて放置しておくと
勝手にログオフするので調べたら
$TMOUTがそれっぽかったのでexportして見たのですが
変わらず自動ログオフしてしまうのですが
根本的に間違えてますか?

206 :login:Penguin:02/11/14 01:29 ID:3TjJ3eya
>>205
% export TMOUT=0
でオケじゃない?

wmakerはつかってないからなんとも

207 :login:Penguin:02/11/14 01:58 ID:oopUyUXy
>>201
スレ違い。

208 :名無しさん@Emacs:02/11/14 02:48 ID:hTOaC9KK
woodyなんですがsid から持ってきた plain2 をビルドし直したもので
テキストから変換すると以下のようになってしまいます
どうしたらplatexで正常にコンパイルできるようにできますか?

\newif\ifNTT\NTTfalse
\ifx\gtfam\undefined\ifx\gtfamily\undefined\NTTtrue\fi\fi
\ifNTT\documentstyle[]{j-article}
\else\documentstyle[]{jarticle}\fi
\setcounter{secnumdepth}{6}
\setcounter{tocdepth}{6}
\topsep=0.1cm
\parsep=0.1cm
\itemsep=0.0cm
%\renewcommand{\bf}{\protect\pbf\protect\pdg}
\begin{document}
\par
あいうえお
\end{document}


209 :login:Penguin:02/11/14 07:59 ID:vQuId5mh
debian で mplayer を使いたいと思っているのですが
ttp://www15.xdsl.ne.jp/~vfr/debian/tools/mplayer.html

ここのURLに書いてある、apt-line ってまだ使えるんですか?
sourcelist にも書いてやってみたけれどうまくいかないんです。 apt-line って通常ブラウザからも見えるものですよね?

210 :login:Penguin:02/11/14 08:05 ID:oopUyUXy
>>209
http://mplayer.nmeos.net の方はもうなくなったよ。
下の行だけでおっけー。

211 :login:Penguin:02/11/14 08:18 ID:vQuId5mh
>210
解決しました。 ありがとう。
自分で公開用のパッケージ作ろうかなとか 考えていたところでした。

212 :login:Penguin:02/11/14 09:28 ID:L3vPiHEd
ringのkde3なdeb、なくなっちゃたねー。
朝のdselect updateでちょっと鬱。
どこにあるか探してこよ。

213 :login:Penguin:02/11/14 10:09 ID:H7GcZPS4
sidで死にそうです。
apt-getも動きません。
むー。

214 :login:Penguin:02/11/14 10:10 ID:wTrRH4db
>>212
3.0.5のミラーが終ってないみたいだから、しばらく待ってみたら?


215 :login:Penguin:02/11/14 10:29 ID:GcpI/V2L
>>208
s/documentstyle/documentclass/

そのままでもLaTeX 2.09 COMPATIBILITY MODEで通るけどな。



216 :login:Penguin:02/11/14 10:41 ID:26bilXNb
>>182
日記より

>とある人からメールがある。どうもjmodeのdeb packageを早く作れと2chで催促が
>あるとのこと。まあ、上の状態なんで落ち着いたらやります。誰もバグ報告して
>こないってことはそのままdebにしても問題ないという解釈で問題ないんかなぁ....

ってことだから少し待ってみたら? にしてもメンテナ壊れてる風味だなw。

217 :213:02/11/14 12:22 ID:H7GcZPS4
>>213
gnomeはもちろん、w3mすら立ちあがらなかったのでBTSを見れず焦りましたが、
lynxがあったので助かりました。

ibstdc++2.10-glibc2.2が原因でした(#168991)

# cd /usr/lib && ln -s libstdc++-3libc6.2-2-2.10.0.so libstdc++-libc6.2-2.so.3

でしのげました。


218 :過去スレ検索”管理”人:02/11/14 15:09 ID:n+o6Whns
自己レス
http://debian.dtdns.net/1033049225.html#996
にあるnamazuの検索文字列が文字化けする問題ですが、
apacheのmod_encodingがワルサをしていたようです。
EncodingEngineディレクティブがnamazuがあるpath上ではoffになるよう設定したところ化けなくなりました。
EncodingEngine on は DAV On とセットにすると良いかと思います。


219 :218:02/11/14 15:14 ID:n+o6Whns
あれ?”が入ってる。
「過去スレ検索管理人」
としたんだが。

220 :login:Penguin:02/11/14 15:19 ID:uqIEBcMR
おせわになっとります

221 :login:Penguin:02/11/14 15:34 ID:LwvGSCc5
>>218
thxでつ。
# IDがうんぬ

222 :login:Penguin:02/11/14 15:35 ID:LwvGSCc5
漏れのIDはwvやらGSやら

223 :ひろゆき@”菅直”人:02/11/14 16:42 ID:vQuId5mh
>218
菅直人も確か駄目なんだよね。

224 :login:Penguin:02/11/14 17:29 ID:L3vPiHEd
>>214
ほんとだ、3.0.4にはDebianあるけど、3.0.5はないね。
、、やはりmajorなのはRedhatとSuSEか、、、やれやれ。

225 :login:Penguin:02/11/14 19:09 ID:1qJgRtJZ
sid ユーザのおまいらは気をつけろ
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=169042

226 :login:Penguin:02/11/14 20:10 ID:n7ipsKvb
sid追っかけするには予備にwoodyな環境を持っておいた方がいいのでしょうか?

227 :login:Penguin:02/11/14 20:41 ID:PIIyyfvY
>225
apt-getができなくなり一瞬焦ったけど、
sidユーザならこれぐらいは自己解決できなければいけないのではと思ますた...

2.95.4-15 incoming入りしてます



BTS#169042
> Package: libstdc++
> Version: 2.10-glibc2.2
って何だよ、オイ


228 :名無しさん@Emacs:02/11/14 21:03 ID:hTOaC9KK
208です,お恥ずかしい

makejvfをインストールしたところplain2で変換後でも
platexでコンパイルが通るようになりました

あとは gs-ja から hpijs を使い pdf の印刷できると幸せなんですが
これは可能でしょうか?



229 :login:Penguin:02/11/14 22:08 ID:Z6aairOR
やべぇ…*.deb入門のつもりでwoody触ったのに、
dvipdfmで日本語が通り、onscripterの*.debも公開され、
気づいたらPlamoから完全移行が目前に…。

だ、大丈夫だ。まさかemcwsのパッケージなんてないよな、うん。
tar玉から煎れちまったけど…(´Д`;)


230 :名無しさん@Emacs:02/11/14 22:11 ID:Mhs8AGsT
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=169003

apt-getして一瞬凍り付いた。


231 :login:Penguin:02/11/14 23:13 ID:6DKqhHLN
>>229
[debian-users:34005]

232 :login:Penguin:02/11/15 00:21 ID:ZveeKYo4
>>231
おぉ、なるほど。
しかし、apt-get source emacs21しようとしたが…ないのかな?
emacs-21.2.tar.gzは持ってるが、debian/rulesがないんだよな。


233 :login:Penguin:02/11/15 00:36 ID:JBlOiIb9
>>230
ひさびさのスリルだった。
libstdc++-libc6.2 を作るには ln -s じゃなくて cp したけど。


234 :login:Penguin:02/11/15 01:23 ID:KrHxUKTN
e17 の deb どっか無いすかね。
http://people.debian.org/~ljlane/ から落とせなくなってた。

235 :login:Penguin:02/11/15 01:53 ID:m+Dfxris
>>233 ほんと、冷や汗書いた。
apt-get がやられてしまうので注意!
(やられてしまった人は直接dpkgを使うとよい)

参考リンク
http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=libstdc%2B%2B2.10-glibc2.2

236 :名無しさん@Emacs:02/11/15 02:00 ID:AhpPm4R7
うちではなぜかそのlibstdc++のbug発生しなかったんだよな、なぜか。
sidで朝一でupgradeかけたんだけど

237 :login:Penguin:02/11/15 02:05 ID:rlRSGhbr
>>234
本家のCVSから落としてきてdebuildしたら。ソースにdebian/ 含まれてるから。
ただし、もしかしたらautomake(かな? よく判らん)の関係でそのままでは
コンパイルできないかも。
ログイン方法やコンパイルしていく順番は本家にかいてある。
でも、E17ってまだほとんど雛型だけみたいな感じですよ。使えはするけど。


238 :212:02/11/15 09:10 ID:DGvZCyZz
ring mirrorなkde3、本日の入荷はSlackwareでございます。
次はなんだろ、FreeBSDか。
DebianがSlackwareよりあとまわしとはおもわなんだ、、


239 :111:02/11/15 09:43 ID:3U9+BYpB
先日はCUIログインのことでありがとうございました。
あれから、CUIログイン出来るようになったのですが
今度は最初は日本語で表示していたコンソールが
文字化けするようになりました。
この文字化けどうすれば治るでしょうか?

240 :名無しさん@Emacs:02/11/15 11:13 ID:vG7Rol+D
ネットワーク上にCANON の LBP-2260-PS (postscriptプリンタ)
magicfilter使いたいんです。

lpr foo.txt
lpr foo.ps
lpr foo.dvi
とかってどれでも気軽にプリンタに送りたい。

でもmagicfilterconfigしただけじゃ
日本語がうまく通りませんよね?
どうすればいいのでしょうか?
/etc/magicfilter/psonly600-filterを/etc/magicfilter/my-psonly600-filterに
コピーして、
最後の行を
# Default entry -- for normal (text) files. MUST BE LAST.
default filter /usr/bin/a2psj -t -n -h -s -np -f -c
にしてみたんですが日本語を含んだテキストを出力しようとすると
プリンタは
ERROR: range check
OFFENDING COMMAND: show
というエラーを吐きだします。なにがまちがっているのでしょうか?




241 :login:Penguin:02/11/15 11:43 ID:piQiWbIT
>>239
うっそでー。コンソールは最初から日本語表示はできないと思うぞ。
kon か jfbterm 使わんと。
最初から日本語が使えたのは、kterm とか krxvt とか mlterm とかの
仮想ターミナルでないかい?

242 :111:02/11/15 15:11 ID:3U9+BYpB
>>241
GUI環境をインストールする過程で日本語環境に
必要なパッケージはインストールし、表示出来て
いました。



243 :login:Penguin:02/11/15 15:34 ID:X2sgrkFu
curses

244 :名無しさん@XEmacs:02/11/15 16:02 ID:zS7QRHxT
同じくsidでやられたんだけど、
やっぱりみんな同じ目にあってたんだね。
助かりますた。

245 :login:Penguin:02/11/15 17:57 ID:KrHxUKTN
>>241
Vineだと生コンソールで日本語いけるらしいね。

246 :login:Penguin:02/11/15 18:01 ID:aO71LThE
カーネルにuniconパッチあたってるからねえ。
オレはjconsoleパッチあててる。

uniconパッチよりイイ!

247 :login:Penguin:02/11/15 19:22 ID:2bfD7IuI
KDE3.1のdebとかハッケソ!
ttp://murakamiqq.infoseek.livedoor.com/

248 :たーぼー:02/11/15 20:26 ID:dfBsKyZz
雑誌付録のDebian GNU/Linux 3.0 Woody
のインストールに挫折したんですが(設定があまりにも詳細でTurboみたいに「とりあえずマングースにおまかせ、あとは適当にやっといて」とはいかず、いちいち尋ねてくる)漏れはアフォなので「英語で聞いている質問は何となく解る」のだが答えがわかりません。
で、Omoikane GNU/Linux Free 2.0 をインストールしてバージョンアップという手を検索で知ったのですが、うまくいきますか?

249 :login:Penguin:02/11/15 20:43 ID:tpZz0xxE
>248
とりあえずやってみれ。 でもオモイカネだと設定項目がマジでないよ。
俺もやったけど、選択肢なんて無くて そのまま最後まで行っちゃった気がする

250 :login:Penguin:02/11/15 21:02 ID:39SYOZSi
java入れようと思ってsource.listに
deb ftp://ftp.lab.kdd.co.jp/Linux/java-linux/debian woody non-free
ついかしてapt-get updateしたけどインストできなかったんですが

あと
deb ftp://ftp.lab.kdd.co.jp/Linux/java-linux/debian woody main non-free
でもダメでした。

どうすればいいでしょうか?

251 :login:Penguin:02/11/15 22:06 ID:Qc9AwNtL
>>250
そりゃapt-get updateじゃできねぇわな・・・
>>1
のところからいける、でびあんじゃばってページ読んでみることをおすすめする。

252 :login:Penguin:02/11/15 22:07 ID:mtI37kTT
>>248
直に Debian でいいじゃん。
インストールなんて慣れだよ。
何度も入れてみ。

253 :login:Penguin:02/11/15 22:48 ID:ZveeKYo4
>>248
そのやりかたは俺も昔してみた…omoikane→Debian
でも、結局長くは使わない罠。

俺はSoftware DesignについてきたCDROMでwoodyをインストールしたよ。
大丈夫、なんとかなるさ。ならなきゃやり直せばいいんだから。

俺の場合、taskselもdselectもみーんな飛ばして入れちまった。
それでもDHCPなLANくらいは有効になる。
あとは、apt-getとapt-cache search ほげ|lessを駆使して、
欲しいものを無節操にガンガン突っ込め。


254 :login:Penguin:02/11/15 23:15 ID:JBlOiIb9
libstdc++ といい apt-get で /var/lib/dpkg/status やられた。
dselectで復活できたけど。


255 :250:02/11/15 23:20 ID:39SYOZSi
>>251
すみません書き方が悪かったです…
apt-get updateで情報を更新する際に92%で止まってしまうのです。

でびあんじゃばの
deb ftp://sunsite.auc.dk/pub/languages/java/java-linux/debian woody non-free
だと
Sorry, but the following packages have unmet dependencies:
j2sdk1.3: Depends: j2re1.3 (= 1.3.102b-2) but it is not going to be installed
E: Sorry, broken packages
とでてインストールされないのです。

256 :254:02/11/15 23:33 ID:JBlOiIb9
>>255
aptitudeで依存関係をみると問題がどこか理解しやすいと思います。

うちではj2sdk1.4を入れていますが大丈夫。
ちなみにapt lineは以下を使ってます。

deb http://ftp.tux.org/pub/java/debian unstable main non-free


257 :login:Penguin:02/11/16 00:18 ID:5Mi7j9UD
XEmacsで日本語のファイル名のばあい,

(setq file-name-coding-system 'euc-jp)

とすればいいと書いてあるWebを見付けたので,試してみたけど,
うまくいきませんでした。なにか,別の方法があるのでしょうか?

ちなみに,sidのxemacs21パッケージを使ってます。バージョンは

Version: 21.4.8-2

です。



258 :login:Penguin:02/11/16 00:30 ID:mxqmGCbf
>>257
Emacs総合スレ
http://pc.2ch.net/test/read.cgi/linux/1021865124/l50

259 :login:Penguin:02/11/16 00:39 ID:LH7MHXrW
>>255
deb ftp://ftp.lab.kdd.co.jp/Linux/java-linux/debian woody non-free
deb ftp://ftp.lab.kdd.co.jp/Linux/java-linux/debian woody main non-free
deb ftp://sunsite.auc.dk/pub/languages/java/java-linux/debian woody non-free
この3つを見たなら
deb ftp://sunsite.auc.dk/pub/languages/java/java-linux/debian woody main non-free
を試してみようという気になってもよさそうですが。


260 :250:02/11/16 01:26 ID:OG1p6lme
>>256
unstableはちょっと不安ですので…
でもaptitudeは色々パッケージを探したりするのに便利でした。

>>259
deb ftp://sunsite.auc.dk/pub/languages/java/java-linux/debian woody main non-free
でいけました。ありがとうございました。でもなんで試さなかったんだろう…

261 :login:Penguin:02/11/16 07:31 ID:WBybsADS
今朝のsidでgnomeが起動しないよーん。
bonobo関係をダウングレードして切り抜けた。
northeyeタン助けてくりー。

262 :login:Penguin:02/11/16 11:36 ID:8i0ILPFE
woodyにgnome2を入れるとsawfishが起動しない。twmが起動する。
windowmanagerどうやって換えるの?

263 :login:Penguin:02/11/16 12:09 ID:CvVBaOyY
>>261
> 今朝のsidでgnomeが起動しないよーん。

俺もだ。

>>262
> windowmanagerどうやって換えるの?

# update-alternatives --conf x-window-manager


264 :login:Penguin:02/11/16 14:35 ID:/wZy+QwE
sid追っかけるのやめますた。

265 :login:Penguin:02/11/16 16:28 ID:DlZTo3oU
>>264
sidじゃなくてsargeがいいよ。
すくないリスクで新しいパッケージがつかえる。

sidはかなりリスキーだからね。

266 :login:Penguin:02/11/16 16:49 ID:WBybsADS
>>264
/var/cache/apt/archives/ から前の.deb入れ直せばいいだけなんだし、
そんな怖がらなくてもいいよ。
こんどの日曜にlibc6が上がるらしい。わくわくどきどき。


267 :login:Penguin:02/11/16 17:53 ID:DlZTo3oU
>/var/cache/apt/archives/ から前の.deb入れ直せばいいだけなんだし、
ログインすらできなくなったヤシもいたみたいだが(w

268 :login:Penguin:02/11/16 17:56 ID:WBybsADS
>>267
そんなときはKnoppixで (゚д゚)ウマー

269 :login:Penguin:02/11/16 18:00 ID:qqpOtQWH
jmodeのdebが上がってるのは既出?

270 :login:Penguin:02/11/16 19:23 ID:mFDQK8S3
アリガタヤ

271 :269:02/11/16 21:12 ID:qqpOtQWH
woody版anthy & jmodeキタ━━━━━━(゚∀゚)━━━━━━ !!!!!

というわけでテンプレ変更しときますた。

272 :login:Penguin:02/11/17 05:07 ID:Dkte3fWw
>>261
直接的にはupdateしたbonobo-activationが悪いようですが、gnome-panelやらgnome-sessionやらにも影響が出ます。
従って、これらに関係するパッケージ(libbonobo-activation4,libbonoboui2,libpanel-applet2,gnome-panel,gnome-panel-data,gnome-sessionなど)をsargeのものに下げて、holdしてやれば急場はしのげそうです。


273 :名無しさん@XEmacs:02/11/17 05:19 ID:92QR1GUE
またsidなんかあったんだ・・・。
updateする前にこっちを見ておいてよかった・・・。

274 :273:02/11/17 05:20 ID:92QR1GUE
なんか怖くなってきたからsargeに落とそうかなぁ・・・。
漏れは自分でものごと解決できなさそうだし・・・。

ダウングレードする際に何か問題ってある?

275 :login:Penguin:02/11/17 05:55 ID:BY6nJaIe
便乗質問で悪いんだけど sid → sarge ってどうやってダウングレードすれば良いの?
参考になるリンクとかも教えて貰えませんか?


276 :login:Penguin:02/11/17 07:28 ID:EkSOm26Q
困っている香具師はココから bonobo-activationと libbonobo-activation4の
1.03-2を落として、dpkg -iで復旧できます。

ftp://ftp.debian.org/debian/pool/main/b/bonobo-activation/

277 :login:Penguin:02/11/17 12:43 ID:uDITwtE3
libcで冷汗かいて間もないうちに、
今度はgnome-sessionが変じゃないすか?
久々にリブートしてstartxしたらgnomeの開始パネルが出たところでウンともスンとも言わなくなっちゃったすけど・・・
とりあえずKDEにして凌いでるけど、やはり使い辛い。


278 :277:02/11/17 12:46 ID:uDITwtE3
すまん。
もう>>261で話が出てたね。
sidからsargeへの移行ってapt line書き変えてupdate & dist-upgradeでオケイ?


279 :login:Penguin:02/11/17 13:05 ID:2Q9iNSFG
いきなりsargeのapt-getでエラー出だした
apt-get: relocation error: /usr/lib/libapt-pkg-libc6.2-3-2.so.3.2: undefined symbol: Jump_W15debRecordParserRCQ28pkgCache15VerFileIterato

280 :login:Penguin:02/11/17 13:09 ID:Zg9lKkYq
なんだか近頃の sid の問題って、仕組まれているような気がしてきた。
「BTS もしねぇ厨が sid 使うんじゃねーよ!」
そんな声がきこえてきそうな。だって、libstdc++ の件とか、ちょっと
あからさまじゃない?

281 :login:Penguin:02/11/17 13:40 ID:4JPSVeEB
>>280
すげー被害妄想だな(w


282 :login:Penguin:02/11/17 13:59 ID:AU1FJqym
>>280
アブネーヤシだな
ストーカーにはしるなよ

283 :login:Penguin:02/11/17 14:21 ID:AU1FJqym
mlterm_2.6.2.cvs20021116-1でbrightnessを指定してると起動しない
2.6.2.cvs20021101-1もおなじく
エラーメッセージ↓

X Error of failed request: BadDrawable (invalid Pixmap or Window parameter)
Major opcode of failed request: 62 (X_CopyArea)
Resource id in failed request: 0x0
Serial number of failed request: 208
Current serial number in output stream: 209
Xlib: unexpected async reply (sequence 0xd1)!

ヒマなときにでも、なおしてくだちい…

284 :login:Penguin:02/11/17 17:27 ID:+PIenk5G
>>283
ここをBTS代りに使うのはやめれ

285 :login:Penguin:02/11/17 18:16 ID:NwPkghK7
epsonのプリンタドライバ公開が再開されたのでこれを期にプリンタの設定をしようと、
方法を調べ、
apt-get install gs-ja
したのですが、
Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

Sorry, but the following packages have unmet dependencies:
gs-ja: Depends: libc6 (>= 2.2.5-13) but 2.2.5-11.2 is to be installed
Depends: libgimpprint1 (>= 4.2.2-pre2) but 4.2.0-4 is to be installed
E: Sorry, broken packages
となり、できません。
libc6 をアップグレード、libgimpprint1 をダウングレードするってことですか?
インストールできてる方はどうやってますか?

286 : :02/11/17 18:18 ID:NwPkghK7
>libc6 をアップグレード、libgimpprint1 をダウングレードするってことですか
逆ですね。スマソ

287 :login:Penguin:02/11/17 21:05 ID:+GgO1UB/
MS-Windowsに接続してあるプリンタをSambaでLinuxから使う事ってできましぇんか?
Sambaのドキュメント見ても分からないれす。


288 :templa948:02/11/17 21:11 ID:FGQO6VHC
index.phpにアクセスすると、CPUパワー使ってるとき
表示にだいぶ時間がかかってたので
(5〜15秒ほどかかってた)
debian.fam.cxの構造ちょっと変えました。

普通にdebian.fam.cxにアクセスすると、
10分毎に更新されるindex.htmlが表示されます。
今まで通り、普通に編集などは出来ますが、
編集し終わった後、アドレスがhttp://debian.fam.cxだと
即座に反映されませんので、確認するには
http://debian.fam.cx/index.phpにアクセスするか、
時間をおいてから見てください。

289 :login:penguin:02/11/17 21:40 ID:ffiw5Kaw
>>287
dpkg -S "smbprint"
ex.
cat hoge.txt|smbprint


290 :login:Penguin:02/11/17 23:05 ID:+GgO1UB/
>>289
感謝感激れす。
ポストスクリプトを印刷したいので、明日色々試してみます。


291 :login:Penguin:02/11/18 00:57 ID:7A92bV6g
なんかログイン直後からnautilusの
セグメンテーション違反が嵐のように
出て来るんだが、みんなはどうよ?

292 :login:Penguin:02/11/18 01:53 ID:Hdeo/c7c
>>285, >>286
いや、「libc6をアップグレードできないのでgs-jaをインストールできない」
と言っているのかと。
このgs-jaはsid(or sarge)のやつだと思うので、
もしできるなら、ローカルでリビルドすれば入るかもしれない。

そうでなければ、libc6をアップグレードするかのどちらかだと思われ。

293 :login:Penguin:02/11/18 02:20 ID:GXEiuu1E
>>288
表示されるのが、はやくなりますた
メンテごくろうさまです

294 :login:Penguin:02/11/18 03:07 ID:L3xBVXRO
うーむ。emcwsのdeb化に挑戦してみたんだが、よく考えたら単純にmakeしたパッ
ケージじゃelispなパッケージが動かないよなあ。
誰か作ってる人いないのかな。

295 :login:Penguin:02/11/18 03:09 ID:Y64deraa
>>294
elisp なら emacs-common を require するとかしないとかという話ではなくて?

296 :login:Penguin:02/11/18 11:49 ID:L3xBVXRO
>>295
emacsen-commonのことかな?
それをどうこうすると、elispのパッケージ入れたらemcwsでバイトコンパイル
してくれるのかしら。


297 :login:Penguin:02/11/18 16:33 ID:dZGYVduq
dpkg -l で、
ii kinput2-canna- 3.0-19 An input server for X11 applications that wa
みたいにでてきてしまうパッケージの名称全部を知る方法を教えてください。
もしくは、-lの出力をカスタマイズ(各出力の桁数の変更)する方法か。

298 :login:Penguin:02/11/18 17:22 ID:gCBIIxWC
>>297
http://www.topstudio.co.jp/~kmuto/debian/qa/qabody.php3?126


299 :login:Penguin:02/11/18 17:23 ID:gCBIIxWC
>>298
超間違い
ほんとはこっち
http://lists.debian.or.jp/debian-users/200207/msg00003.html


300 :login:Penguin:02/11/18 17:34 ID:dZGYVduq
>>299
ありがとうです。
でも、これ説明が次の行にわたってしまって見にくいですね。
まああとは何とかすればいいか。

301 :login:Penguin:02/11/18 17:37 ID:yHq95x2c
>>297
パッケージ名とステータスだけでよければ、dpkg --get-selections とか。

302 :login:Penguin:02/11/18 17:54 ID:dZGYVduq
>>301
あ、これいいですね。これでいかせて頂きます。

303 :login:Penguin:02/11/18 17:58 ID:k259CCr6
>>301
バージョン名を表示させたいとき、
なんかいい手ないすか?

304 :login:Penguin:02/11/18 18:11 ID:x8eFjPKc
>>303
dpkg -l|awk '{printf $2"\t"}{print $3}'
とか。

305 :login:Penguin:02/11/18 18:12 ID:k259CCr6
>>304
COLUMN 指定しないと
パッケージ名切れちゃうじゃん。

306 :login:Penguin:02/11/18 18:13 ID:k259CCr6
指定すりゃいいのか。
COLUMNS=1000 dpkg -l | awk '{printf $2"\t"}{print $3}' | less

307 :login:Penguin:02/11/18 18:17 ID:x8eFjPKc
>>305
あ、ほんとだ。
パッケージ名短い(のが多いから)切れてないと思ってた。
補足サンクス。

308 :login:Penguin:02/11/18 18:18 ID:k259CCr6
>>303
COLUMNS=100000 dpkg -l | awk '{printf "%-35s%s\n",$2,$3}' | less

309 :login:Penguin:02/11/18 18:27 ID:CINWhpd3
>>276の方法で直そうかと思ったんだけど、
i386は1.0.3-2はもうなかった。
0.9.6-1か2.1.0-1しかない。

うーん。困った。

310 :login:Penguin:02/11/18 20:29 ID:xVYfy3kG
northeyeタンはやくbonobo-activationなおして……
debianplanetとかで祭りになっちゃうよ……
(-_-)ウツダ

311 :login:Penguin:02/11/18 20:52 ID:bikS+nPm
>>294
俺も、それやろうとして挫折した(´Д`;)

emcwsシリーズって事でlispパッケージいくつか揃えるしかないのかねぇ。
俺的にはapel,flim,semi,wanderlust,navi2ch,emacs-w3mあたりでいいが
(html-helper-modeとかはどうせ好きなのいれるし)
一般には野鳥とかも必要なのだろうね。


312 :login:Penguin:02/11/18 22:41 ID:xBbNC3VV
http://www.distrowatch.com/
( ´,_ゝ`)プッ

D e b i a n オ ワ ッ タ ナ

313 :login:Penguin:02/11/18 23:15 ID:IA+gYnCT
woodyでディスプレイマネージャーにkdmを使っているのですが
これをxdmに切り替えるにはどのファイルを変更すればよいのでしょうか?

314 :login:Penguin:02/11/18 23:20 ID:xVYfy3kG
>>313
$ sudo apt-get remove kdm
$ sudo apt-get install xdm

315 :313:02/11/18 23:26 ID:IA+gYnCT
>314
消してしまうのですか!
有難うございました・

316 :login:Penguin:02/11/18 23:34 ID:OegJYyj7
echo "/usr/bin/X11/xdm" > /etc/X11/default-display-manager



317 :login:Penguin:02/11/19 00:22 ID:ncnEi2GB
>>313
dpkg-reconfigure kdm
でどう

318 :login:Penguin:02/11/19 01:08 ID:xgQKwDkJ
sargeはどの位「testing」なんですか?
http://www.debian.org/releases/とか読んでもイマイチわかんないんですけど。
例えばapacheは2が入ってる、とか具体的に説明しているサイトとか教えて頂けるとありがたいです。


319 :313:02/11/19 01:15 ID:EFFUfIc2
>316-317
あ、もう消してしまいました〜
すみません


320 :たーぼー:02/11/19 01:26 ID:URT8vr11
>>252 >>253
日本医師会のサイトにwoodyのインストール方法が詳細に載っているので、漏れの
ようなアフォでも出来るかも?
http://www.orca.med.or.jp/


321 :login:Penguin:02/11/19 01:35 ID:Ndo5BKye
新しいマシンにwoodyをインストールしたんですが、GeForce4MXなんで
XFreeが使えず、sidのXFree4.2をインストールしようとしたら、>>285
と同じく libc6が古いぞゴルァ!と言われてしまいました。

マジ鯖にする予定なので安定woodyベースで行こうと思っていたんですが、
libc6だけsidのものにバージョンアップしても問題ないでしょうか?
debianは初めてなので、そのあたりの雰囲気が分からず躊躇してます。
Woody用のXFree4.2.xのパケジなんてないんですよね...?


322 :login:Penguin:02/11/19 01:36 ID:/tTGLjCq
>>318
>sargeはどの位「testing」なんですか?
ってのがイミわかんないんだけど(w
オフィシャルサイトより具体的なとこはないだろ
http://www.debian.org/distrib/packages

有名なアプリのバージョンだけでいいなら
http://www.distrowatch.com/table.php?distribution=debian
あたりかな

323 :login:Penguin:02/11/19 01:42 ID:/tTGLjCq
>>321
つか鯖なのにXいるの?

http://www.topstudio.co.jp/~kmuto/d/?200211a#200211064
おがんでから、つかわせてもらうべし(w

324 :login:Penguin:02/11/19 01:51 ID:h2jkhRIa
>>318
http://www.debian.org/releases/testing/

325 :login:Penguin:02/11/19 02:21 ID:oFD6LXvq
              ☆ チン        マチクタビレタ〜
                            
        ☆ チン  〃 ∧_∧   / ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄
          ヽ ___\(\・∀・)< bonoboまだぁ〜?
             \_/⊂ ⊂_)_ \____________
           / ̄ ̄ ̄ ̄ ̄ ̄ ̄/|
        |  ̄  ̄ ̄ ̄ ̄ ̄ ̄:| :|


・・・正直慣れないFluxboxは辛い。

326 :login:Penguin:02/11/19 02:32 ID:md77ENjm
>>318
nvidia-kernel-srcとnvidia-glx-srcパッケージを使って
NVidiaの謹製ドライバを入れちゃうのもアリかと

GeForce4MXも対応してた・・・ような気がする

327 :login:Penguin:02/11/19 03:02 ID:NUsk5wkg
>>311
いや、debianのemacsenはelispパッケージをそれぞれのemacsでバイトコンパ
イルするように設計されてるはずなんだ。
だからそれに乗っかりゃいいんだけど、どーやったらのるのかわからんという
か、かなりめんどくさい……
ということですでに作ってる神はおらんかと思ったのだが……

328 :318:02/11/19 03:06 ID:xgQKwDkJ
返答ありがとうございます。distrowatchで大体わかりました。
こういうふうにパッケージ一覧を比較してるサイトなんてないんですかね?

329 :login:Penguin:02/11/19 03:16 ID:uC0vH6JO
上の方でsidやめてsargeにするってひといたけど、
むしろsargeのほうが恐いんじゃないかな〜
相対的にsidの方が安定していると思ふんだけど、
どうでせう。

330 :login:Penguin:02/11/19 03:28 ID:oFD6LXvq
>>329
その心は?

331 :login:Penguin:02/11/19 04:03 ID:BgnTXu+C
>>329
unstableで使われて問題が出なかったパケジがtestingにはいる。
多少なりともテストされたパケジが使われているsargeより
テストされてないパケジが使われているsidの方が安定していると思うのは?

新しい = よかろう
だったら怒るでしかし。

332 :325:02/11/19 07:47 ID:bqlOZgCE
べつのましんでとってあったbonoboのふぁいるをいれたけどだめだった。
xemacsでにほんごにゅうりょくさえできないこのしまつ。

333 :321:02/11/19 10:43 ID:Ndo5BKye
>>323
サンクスです!ナムーを3回唱えて使わさせていただきやす。
鯖にXは要らんけど、とりあえずテストで諸々やってる時に
いちおーXを起動できるようにはしてみたいと思うわけで。

334 :login:Penguin:02/11/19 12:11 ID:omtUZB3v
woody を使っています。 カーネル(2.4.18)を再構築したところ、ネットワークに繋がらなくなってしまいました。
ifconfig で表示される値はすべて正常。 /etc/network にもちゃんと書いてあります。
カーネルは再構築はしましたが、いじったのは scsi エミュレーションの部分のみです。
再構築後は何かを設定しなければネットワークに繋がらないのでしょうか?
どなたか似たような経験をされた方はいませんか?

335 :login:Penguin:02/11/19 12:22 ID:gLFhssPa
>>314
apt-get install xdm kdm-
と見た目スマートにしてみる

>>331
セキュリティ的なfixが遅くなる可能性はあると思われ。
そういうことを言うなら、それ以前にwoody使えYo!で
(・∀・)イイ!!とも思うが。(w

336 :334:02/11/19 16:40 ID:omtUZB3v
駄目だ。 やっぱり繋がらない。 CDRを使いたかったから scsi エミュレーションをしたかったのですけど
カーネルを元に戻すことにしました。

337 :login:Penguin:02/11/19 17:39 ID:lsUWMF13
>>336
ほんとにいじったのはscsiエミュレーションの部分のみ?
ほかの部分は、ほんとに元のカーネルとおなじ?
再構築したときの.configと、元のカーネルの/boot/config-hogeをくらべてみたら?

338 :login:Penguin:02/11/19 17:39 ID:9ehj5oMM
アイコン化画像ってどこで設定するでしか?
Etermとかmozillaにはアイコンがあるけど
emacsにはないみたい。e16.4-6使用中。


339 :login:Penguin:02/11/19 18:11 ID:1IE6dYW4
>>336
pingとかも通らないの?

340 :login:Penguin:02/11/19 18:11 ID:3bPaIPyT
>>338
/usr/share/emacs/*/etc/gnu.xpm
/usr/share/emacs/*/etc/emacs.xbm

341 :334:02/11/19 19:58 ID:omtUZB3v
>337
もう一度やってみましたが、やっぱり繋がらなかったです。 scsi というより再構築をすると繋がらなくなります。
これからもう一度、やってみるつもりです。 今度はネットワーク関連を全部選択して再構築するテストしてみます。
これでできなければ、CDRを使うのを諦めるます。

>339
通らないですね。 ifconfig でもローカルホストしか表示されません。

342 :login:Penguin:02/11/19 20:17 ID:IHIpRNPO
>>341
デフォのままでpppがonになってないに100ペソ。

343 :login:Penguin:02/11/19 20:53 ID:6IhS+Ku0
>>334
make-kpkg を使わないで、make zImage && make install してるなんて
オチはないよね?
モジュールはきちんとインストールされてる?



344 :名無しさん@Emacs:02/11/19 21:19 ID:1loZToLD
gnome2 がうまくインストールできないです。(woody)
apt の設定が良くないのかと思い、
いままで apt.conf.d/99target に APT::なんとかって書いてたんですが、
テンプレにあったように、preference にPackage: *とか記述するほうにやって見ましたが、
試しにapt-get -s upgrade してみると、testingがインストールされる様になってしまいました。
やはり、gnome2 もその状態では同じエラーメッセージを出力します。

sources.list に deb http://people.debian.org/~kov/debian woody gnome2 を追加
# apt-get update ここではエラー無し
# apt-get install gnome すると、依存関係のエラー
# apt-get install gnome2 すると

Package gnome2 has no available version, but exists in the database.
This typically means that the package was mentiones in a dependency and
never uploaded, has been absoleted or is not available with the contents
of sources.list
E: Package gnome2 has no instllation candidate

preference はテンプレと同じ、99target は削除、
sources.list は stable,testing,unstable それぞれの apt-line と
java,mplayer,debuan,navi2ch,openoffice,kde3(debian poepleのもの),そして、gnome2 のが記述してある状態です。

どうすれば pin の設定と gnome2 が正しくなるでしょうか。

345 :login:Penguin:02/11/19 21:21 ID:Db+Kc5HT
>>327
mule-ucsとか、ほかにも色々とEmacsを起動するときに
(load) mule-ucs(source)って出るね。
起動が遅くなるのはあれが鯨飲か。
でも、そのためのバイトコンパイル用emacsen-commonのはずだけどね。
sidじゃ仕方が無いのだろうか。

346 :login:Penguin:02/11/19 21:39 ID:YgiLbYWp
MLより。sidではまってしまった場合の対処法。
Re: gnome session unusable after sid update!
http://lists.debian.org/debian-user/2002/debian-user-200211/msg03138.html

347 :344 :02/11/19 21:41 ID:1loZToLD
http://vision.kuee.kyoto-u.ac.jp/~uno/apt-get-pin.html
ここ見た限りだと、99targetは必要っぽいですね。
あと、テンプレの Pin-Priority の値は testing 使用者向けの
やり方なんでしょうか。


348 :325:02/11/19 21:45 ID:oFD6LXvq
>>346
漏れもそれでなんとか直った。
一度rebootしないとだめだったけど。

349 :login:Penguin:02/11/19 22:24 ID:IHIpRNPO
>>344
gnome2ってパケジがなくなっただけちゃう?
woodyでgnomeつかってないから、わからないけど(w

350 :login:Penguin:02/11/20 02:02 ID:DuidTuvr
>>341
> 通らないですね。 ifconfig でもローカルホストしか表示されません。

この状態で「ifconfig で表示される値はすべて正常。」と言えるのか…?
まぁ>>337も書いてるがconfigファイルを比較してみるべし。



351 :login:Penguin:02/11/20 02:11 ID:DuidTuvr
BTS の bonobo-activation すごいことになってるな...
bug report 出す時って既に別の人が出してないか確認しないのかなぁ

352 :338:02/11/20 02:37 ID:AwhHZ7MR
>>340
でこの画像を最小化時のアイコンとして認識
させるのってどうやれば??


353 :あれ書いた人:02/11/20 02:42 ID:4rs8eI0X
>>347
テンプレのやつは、
・基本はwoody
・一部pinでsarge/sid利用
の設定です。

man apt_preferencesには
990 is the priority set by the --target-release apt-get(8) option.
とあるので、sargeを990にすれば、99targetは必要ないのではないでしょうか。


354 : :02/11/20 03:37 ID:oJn6vPmC
すいません。woddy使ってるものなんですけど・・・
lesskeyで意味がわからない事があります。
TeraTermでdebianにつないでるのですが、
lessを使っているとPageUP,PageDownといったようなkeyがききません。
(TeraTermのKEYBOARD.CNFは修正しました)
で、.lesskeyに
\kU forw-scroll
\kD back-scroll
みたいな記述を書いて.lessを作ったんですけどうまくいきません。
m forw-scroll
こんなんだったらちゃんとmキーでスクロールするんですが。
しょうがないので、旧potatoの.lesskeyを元に
ESC[6~ forw-scroll
ESC[5~ back-scroll
って書くとうまくいくんです。
lesskeyのmanpageに書いてある情報がおかしいのですか?
それとも何か他に原因があるのでしょうか?

355 :login:Penguin:02/11/20 03:38 ID:yBS9UILW
debian-gtk-gnome ML で今さっき流れてきた鵜飼氏のポストを転載。

>If you already upgraded bonobo packages, add the followings to
>/etc/apt/sources.list
>
> deb http://snapshot.apt.jp/archive pool bonobo-activation libbonoboui
> # apt-get update
> # apt-get install bonobo-activation=1.0.3-2.2 \
>libbonobo-activation4=1.0.3-2.2 \
>libbonoboui2-0=2.0.3-1 \
>libbonoboui2-common=2.0.3-1
あとは hold するなりなんなりとのこと。というか bonobo-activation 2.1.0 を以前
ソースから入れたときもトラブルが出てたのでうちではしばらく 1.0.3 を使い続けてました
(GNOME2の開発版に追従すると直った)。
あと、 apt.jp なんてみんな知ってた?


356 :login:Penguin:02/11/20 10:01 ID:oJtNNFFl
woodyを使っています。

/etc/apt/apt.conf.d/70debconf
を間違って消してしまったのですが、

70debconfの内容はデフォルトのままだと

// Pre-configure all packages with debconf before they are installed.
// If you don't like it, comment it out.
DPkg::Pre-Install-Pkgs {"/usr/sbin/dpkg-preconfigure --apt || true";};

でしょうか?

どなたか教えて頂けないでしょうか。



357 :login:Penguin:02/11/20 10:15 ID:1f4+xlh0
>>356
うちのwoodyはそうなってる。

358 :login:Penguin:02/11/20 10:16 ID:0W6Kafvu
>> 356
そこまでわかってて、いったい何を確認したいのだろうか、、、

359 :356:02/11/20 10:22 ID:oJtNNFFl
>>357
ありがとうございます。

>>358
もし違っていたら怖いなと思いまして…。
すみません。

360 :344 :02/11/20 16:41 ID:+wm4Jbot
あの、結局素人は依存関係が改善されるまで待ったほうがいいのでしょうか、
それともapt-lineの間違いなんでしょうか

361 :login:Penguin:02/11/20 17:12 ID:HmWKxkLj
sid → sarge へと移行しました…

最近, upgradeしてなかったので全くダウンロードするものがなくて吃驚しますた(w


362 :login:Penguin:02/11/20 17:15 ID:tXO1ic+d
>>360
依存関係が改善されるまで待つっていうか、キミがこわしたんとちゃう?
pinやunofficialなapt-lineからバンバンインスコして。

apt-lineをwoodyだけにして、すべてのパケジをwoodyにもどしてみれば?

363 :login:Penguin:02/11/20 18:06 ID:4rs8eI0X
>>360
テンプレからのリンク先に書いてあったと思うのですが、
sidのpriorityは90ですので「明示的に」指示しないとインストールされません。
gnome2がsidにしかないらしい現状では、
sidのpriorityを105程度にするか、
手動で
apt-get install gnome2/unstable hoge/unstable
とするしか無いのではないでしょうか。



364 :login:Penguin:02/11/20 18:36 ID:6019unoJ
>>363
念のため&繰り返しになる&凡ミスだと思うけど。
gnome2関係パッケージはexperimentalからsidに移るときに最後の2が取り去られました。
したがってsidにgnome2というパッケージはありません。

365 :login:Penguin:02/11/20 18:46 ID:Sul7yMCt
gnome2なのにgnome2じゃないと!?Σ(´Д`ズガーン

366 :login:Penguin:02/11/20 21:45 ID:RA0JPTf2
>>365
(意味のない書き込みにレスつけるのもなんですが、
知らない人のために汚します。)

3-4週間位前に、experimentalからsidへのgnome2の移行があって、
Gnomeはそれまでのgnome(1.4.x)からgnome(2.0.x)となった。
と言うわけでsidでGnomeと言ったら今ではgnome-2.0.xの事を指します。
したがって、今からgnome(2.0.x)一式をsidで揃えたければ
#apt-get install gnome // sidのsources.listを使っているという前提です。
となるわけです。

そういえば、それでもsidでgnome-1.4.xを使いたい人のための1.4.xパッケージを
メンテナンスしている人がいるとかいないとか。
戻し方があり、知っている人が居れば教えてくれ。

367 :login:Penguin:02/11/20 22:08 ID:aJYWKKrn
security.debian.orgにつながらない・・・

368 :login:Penguin:02/11/20 22:15 ID:2XHfQCr7
>>367
火事だってさ。

369 :login:Penguin:02/11/20 22:21 ID:Qc/oQzsl
>>367
火事で{non-us,security,qa}.debian.orgがやられたらしい

370 :login:Penguin:02/11/20 22:28 ID:aJYWKKrn
>>368,369
どうもです。

371 :login:Penguin:02/11/20 22:33 ID:yBS9UILW
キタ━━━━━━(゚∀゚)━━━━━━ !!!!!
http://slashdot.org/articles/02/11/20/132259.shtml?tid=99

372 :login:Penguin:02/11/20 22:48 ID:2XHfQCr7
/.J版
http://slashdot.jp/article.pl?sid=02/11/20/1335246

373 :login:Penguin:02/11/20 23:08 ID:0NcZ3qJd
炎上記念パピコ

374 :login:Penguin:02/11/20 23:32 ID:yNG2MGzZ
Security焼けたら洒落にならん


375 :login:Penguin:02/11/20 23:40 ID:3jF1p5Ez
明日には復旧するらしいけどな
久しぶりに/etc/と/home/のバックアップとって寝よ。

376 :ぎゃー:02/11/21 00:53 ID:HTCIuAhZ
デビアンの渦巻きマークが、火と煙に思えてきました。。。
apt-get upup.

377 :login:Penguin:02/11/21 00:55 ID:4rgVkICq
woody+wmakerでset-language-envを使って
日本語化したらemacs-dl-cannaで入れた
emacsが独自のウィンドウで起動するようになってしまったのですが
コンソール内でemacsを使うには何処を変更すればよいですか?
そのままでも良いのですがウィンドウが縦長で下の方が画面外にでてしまい
リサイズも出来なくて不便なもので・・・・

378 :login:Penguin:02/11/21 00:58 ID:s2q/4mLI
Linusがこういうときのために
オープンソースにしているとかおっしゃっていた

379 :login:Penguin:02/11/21 03:18 ID:hh/jweNr
sidから日本語対応のdvipdfmをとってきたんですが、libc6の
バージョンが違うぞ、とかいわれます。(woodyを使ってます。)
こういう場合、そのパッケージもunstableのをいれるしかないの
でしょうか?

もう遅いから寝ます。


380 :login:Penguin:02/11/21 04:12 ID:OFaz8ZXq
>>379
sargeのdvipdfm-cjkだと大丈夫じゃないかな?

381 :login:Penguin:02/11/21 04:19 ID:rx1Yj216
>>377
% emacs -nw
かな?

>>379
そうだとおもふ。
あとはdvipdfmをソースからインスコする。

382 :login:Penguin:02/11/21 06:00 ID:CQCq77Jm
>>381
ソース、っつうか、dscですよね?
>>379
http://debian.fam.cx/#content:47
あたりを参考にrebuildしてみてはいかがですか?

383 :login:Penguin:02/11/21 06:59 ID:+m22gNPN
>>379
debian/controlいぢれば?

384 :344 :02/11/21 07:58 ID:7aPiVuvH
スマソ。漏れんとこの依存関係が狂ってる可能性があるんですね。
了解です。

385 :377:02/11/21 08:09 ID:4rgVkICq
>>381
おお!ばちりうまくいきました。
ありがとうございました。


386 :login:Penguin:02/11/21 08:36 ID:+GDg3LBF
Debianクイズでつ。
この記事の間違いをみつけ、直しなさい。
http://www.zdnet.co.jp/enterprise/0211/18/n23.html

387 :login:Penguin:02/11/21 08:52 ID:N2RIlyrn
Gnome2 についての質問です。
足跡アイコンの GNOME メニューにある、「Debian メニュー」と「KDEメニュー」
ですが、どうやったら削除できるのでしょうか?
gnome-control-center にないし、gconf-editor でも該当しそうな項目はないし、
設定ファイルもあさってみたのですが、探し方が悪いためか、見当たりません。
神よ、どうぞ、おちからを…

388 :login:Penguin:02/11/21 09:07 ID:R/rDr7J/
>>386
こんなライターに記事を書かせるのが間違いだ。

389 :login:Penguin:02/11/21 10:11 ID:tIwiWJyB
smpで思い出したけどdebianでtopでsmpの確認って出来ないのでしょうか?
/proc/cpuinfoではちゃんとCPU2個あるのですが
topだとCPU2個表示されません。
GentooやRedhatではtopするとCPU0とCPU1がちゃんと表示されてました。

ちなみにkernelは2.4.19-686-smpでsargeを使用してます。

390 :login:Penguin:02/11/21 11:01 ID:ms/mNwzm
...復活

ping security.debian.org
PING security.debian.org (194.109.137.218): 56 data bytes
64 bytes from 194.109.137.218: icmp_seq=0 ttl=21 time=296.3 ms
64 bytes from 194.109.137.218: icmp_seq=1 ttl=21 time=289.3 ms
64 bytes from 194.109.137.218: icmp_seq=2 ttl=21 time=289.4 ms


391 :login:Penguin:02/11/21 11:48 ID:09BGVuit
>>386
降参

392 :login:Penguin:02/11/21 11:54 ID:ydYLgae8
>>386
>>388が正解かと思われ。

しかし「1CPUしか」っていう記述は怪しいな…

393 :379:02/11/21 11:58 ID:VKXRXoU9
>>380,381,382,383
ありがとう、うまくいきました!!
sarge のdvipdfm-cjkはすんなりと入ってくれました。
前にトライしたときはsargeのdvipdfm(cjkでないほう)だったので
駄目だったようです。



394 :login:Penguin:02/11/21 12:02 ID:09BGVuit
>>392
それじゃ答えがGNUみたいに再帰的で・・・

395 :login:Penguin:02/11/21 13:07 ID:cQNPPC7P
>>386

>マルチスレッドにコンパイルするように指定
複数のジョブを実行するように指定

>ハイパースレッディングの肝は、メモリとのI/Oのオーバーヘッドの
>間に別の計算を行うという点にある。
ハイパースレッディングと無関係。

かなあ。
2番目は自信無し。


396 :login:Penguin:02/11/21 17:43 ID:TsE5yJRb
ガイシュツなら申し訳ないのですが、sidでxineを使ってて、早送りとか一時停止とかすると
音がずれるか出なくなります。
解決方法を知っている、あるいは、同じような症状の方っていますか?

397 :login:Penguin:02/11/21 22:57 ID:KMWKT75D
sidのmozilla-browser-snapshot(0.0.20021120.09.trunk-1)ですが,
起動しません。最近のmozilla-browser-snapshotはさくさく動いていたので,
ちょっと,残念。3回に1回くらいの割合で動かないのがでてきます。

次のアップグレードまでは,mozilla-browserで我慢します。

ところで,bonobo-activationですが,なかなか,新しいのがでてきませんね。
当方は,ダウングレードして,凌いでますが。何か簡単には直せない問題で
もあるのかな。


398 :login:Penguin:02/11/22 00:01 ID:3MUPHJxR
>>392
SMP対応カーネルは1CPUでも動くはずだよねぇ。

399 :たーぼー:02/11/22 23:43 ID:sxMuRECt
>>320
どうにかWoodyのインストールに成功しgnome1.4を立ち上げることが出来るようになったのですが、ユーザーでのログインしかできません。(コンソールでは$ suでrootになれますが)とりあえず「/etc/apt/sources.list」の更新をしたいのですが、どうしたらよいのでしょうか?
Turbolinux8ではrootにてログイン>「ファイル」をエデイタで編集>上書き保存で可能なのですが?(検索をしてももう一つわかりません)


400 :login:Penguin:02/11/22 23:48 ID:fqj2RKqy
>>399
xdmか?
rootでのloginはできないのは仕様です。

401 :login:Penguin:02/11/22 23:48 ID:MleKY3/O
通常 rootでloginする状況はほとんどないはずです。loginしたあとsuでしょ。
# とはいえ、gnomeを通常のセッションと思えばrootでloginしたほうが自然かなぁ

402 :login:Penguin:02/11/22 23:50 ID:DSU0M771
suでrootになってviなんかで編集じゃダメなの?
ていうかDebianとゆーよりはくだらない質問スレの方がいい気がする。

403 :login:Penguin:02/11/23 00:26 ID:iRF+KsPf
woodyに標準添付のftpdで下記のようなバージョン情報を表示させないようにしたいのですが
これはmotdのようにファイルを書き直すことで変更可能でしょうか?

FTP server (Version 6.4/OpenBSD/Linux-ftpd-0.17) ready.

404 :login:Penguin:02/11/23 05:30 ID:t8GgGsM6
alsa-moduleができない。
/usr/src/linux にて、#make-kpkg modules-image
としても、
/usr/src/modules/alsa-driver/ にて、debaian/rules binary-image KVERS=2.4.20-rc2-ac3
とかしても駄目だ。。。

たしけちー

405 :login:Penguin:02/11/23 08:36 ID:joIAo/lX
KVERSの他に、KDREV,KSRCを追加してみるとか。

その前に、エラーメッセージを書き込むべきか…



406 :login:Penguin:02/11/23 09:21 ID:TbD2gun4
sid の gnome2 関係はもうマトモになったんでしょうか?
いつのタイミングで update しようかと迷っているんで。

407 :login:Penguin:02/11/23 10:16 ID:SBobmhm9
>>406

現在,bonobo-activation関連パッケージで調子が悪いので,
しばらく待った方がいいと思う。

408 :login:Penguin:02/11/23 17:40 ID:h76HSyf0
debuanかdebuanguruから、当該パッケージの2.1.0が出ているようなんだけど、
あれは修正版なのかな?
(テストする気力なし)

#alsa-moduleですが、KDREVとかやっているのですが、
ALSA_NOPNP=y,ALSA_CARD=usbaudio でmakeしようとすると、
configureでとまってしまうんです。
CPU使用率99.7%は暴走と言うべきか?

409 :404,408:02/11/23 19:43 ID:t8GgGsM6
それで、/usr/src/linux にて
#make-kpkg modules-image した時の事なのですが、
-----
cat debian/modules.d/control.source > debian/control
cat debian/modules.d/control.module-image >> debian/control
./configure --prefix=/usr --with-kernel=/usr/src/linux-2.4.20-rc2-ac3 \
--with-moddir=/lib/modules/2.4.20-rc2-ac3/alsa --with-sequencer=yes \
--with-isapnp=no --with-cards="cmipci, usb-audio, via82xx"
-----
となって暴走してしまいます。
解決策はありや?

410 :login:Penguin:02/11/23 19:55 ID:171KADGp
どこで飛ぶのか調べられない?

411 :login:Penguin:02/11/23 21:15 ID:HB9A84Qq
modules_imageだよね

412 :名無しさん@Emacs:02/11/24 01:26 ID:1CWTwBa1
woodyのptex なのですがyatexからだと問題なtypesetできます
しかし同じファイルを直接
$ ptex hoge.tex
とやると下のようなエラーが出てまともにtypesetできません
解決方法を教えて下さい

-----------
This is pTeX, Version p3.0.1, based on TeX, Version 3.14159 (EUC) (Web2C 7.3.7)
(./sample.tex
! Undefined control sequence.
l.1 \documentstyle
[]{jarticle}
?


413 :login:Penguin:02/11/24 01:29 ID:tTTtJOT2
>412
Try
$ platex hoge.tex

/usr/bin/platex は /usr/bin/ptex へのシンボリックリンクのはずですが
呼ばれるコマンド名によって挙動が変わります。

414 :login:Penguin:02/11/24 02:04 ID:9/bGa6oA
northeyeタンがんばれー

415 :404,40[89]:02/11/24 05:02 ID:oCXalgzw
>>410
飛ぶのは上にある、./configure ...... です。
topでみると、CPU占有率99%以上がずっと続きます。

>>411
マニュアルにも、皆さんも
kernel_image, modules_image, kernel-source,
kernel_headers, kernel_doc とか書いていますが、
一度たりともアンダースコアを使ったことはありません。

416 :login:Penguin:02/11/24 05:08 ID:MlJQza4y
>>411
おれはいつも、
# make-kpkg modules-image kernel-herders kernel-image
でやってます。

417 :login:Penguin:02/11/24 09:35 ID:9/bGa6oA
bonobo-activation
キタ━(゚∀゚)━( ゚∀)━(  ゚)━(  )━(゚  )━(∀゚ )━(゚∀゚)━!!!!
なおってるよう。northeyeタンマンセー

418 :login:Penguin:02/11/24 10:59 ID:djZC23P7
>>417
おお!久々X環境に復帰!


419 :login:Penguin:02/11/24 11:32 ID:QRzYlWiX
さっき気がついたけどsargeのmule-ucs,utf-8で日本語が表示できない。
debianのpoolからsidのやつとってきて入れたらなおった。


420 :login:Penguin:02/11/24 12:06 ID:djZC23P7
sidのtetex-binがーーーーーーーーー!

421 :411:02/11/24 12:27 ID:7ejaF35m
スクリプト覗いたらハイフンも両方みてくれてますね。スマソ


422 :login:Penguin:02/11/24 12:40 ID:zacHUoZf
>>417
今bonobo関連以外のupgradeしてるけど、XF86が4.2.1-4になったのと関係ありそう?


423 :login:Penguin:02/11/24 12:42 ID:zacHUoZf
sidのgnome+もじらから日本語で書き込みできます?
私と同じようにダメになった香具師がもじら組にいるようなんだけど??


424 :login:Penguin:02/11/24 13:05 ID:9/bGa6oA
>>423
sidのgnome2+mozilla-1.1+kinput2で日本語カキコできてます。
(mozilla-snapshotは起動すらしませんが)

425 :login:Penguin:02/11/24 15:20 ID:VDZV0kjA
>>423
同じくgnome-2+mozilla-1.1+kinput2でカキコ
でもテキストエリアのフォントが変


426 :たーぼー:02/11/24 17:29 ID:YjaD9fFm
'woody'の/etc/apt/sources.listの記述は今でも下記でよいのでしょうか?
# Debian Package
deb ftp://ftp.jp.debian.org/debian woody main contrib non-free
deb ftp://ftp.jp.debian.org/debian-non-US woody/non-US main contrib non-free
deb ftp://ftp.jp.debian.org/debian-jp woody-jp main contrib non-free

deb ftp://ftp.jp.debian.org/debian woody-proposed-updates main contrib non-free


# Debian Security Package
deb http://security.debian.org/ woody/updates main

どうもdeselectを起動するとエラーメッセージが出るもので?


427 :login:Penguin:02/11/24 17:48 ID:kjeFJqUE
>>426
> どうもdeselectを起動するとエラーメッセージが出るもので?
どんな?

428 :login:Penguin:02/11/24 18:04 ID:leWdepRK
このスレのお世話になりながらVine2.5からWoodyに乗り換えました。
概ね幸せなのですが、1台だけネットワークで困ってます。
問題のマシンはThinkPadX23でe100なnicが内蔵されているのですが、
これを使ってpumpやdhclientでADSLに繋いでいるとブチブチ切れてしまいます。

過去レス>>164以降は読みました。
保安器が6ptなため、tpX23のpcmciaの蟹や他のDebianマシンのe100でも
電話の着信時に切れることはありますが、tpX23のe100では
切れる頻度が異常に高く、電話着信時以外にも5分に1度は切れてます。

VineではtpX23のe100が使えていたし、Debianでもipを固定して
ADSLではなく他のマシンのssh鯖に接続するときには正常なので
nicが故障してるとは考えにくいです。
どなたか途切れず快適なADSL生活をお授けください。







429 :login:Penguin:02/11/24 18:38 ID:6bF/5vJW
ADSLじゃねーけど、俺もPCMCIAなNICでDHCPでIP取得させてたとき、妙にぶち
ぶち切れまくったことがあったなあ。
もうなにやったかよく覚えてないんだが、/etc/pcmcia/network.optsあたりを
いじくったような記憶。

ま、参考にゃならんだろうけど、そういうこともあったよ、ということで。

430 : 426:02/11/24 19:46 ID:YjaD9fFm
>>427
Type 'Deb' is not known in on line 3 in source list /etc/apt/sources.list

入手可能一覧スクリプトの更新 エラー終了ステータス 1 を返しました。
<Enter> を押すと続行します


431 :login:Penguin:02/11/24 20:18 ID:0ETmoAjV
◆◆◆2ちゃんねる住民調査実施中◆◆◆

・アンケートフォーム
http://cgi.din.or.jp/~norihide/cgi-bin/2ch/qnaire1.cgi

2ちゃんねるをテーマにした「論文」を書いています。
(先行研究→http://www5.airnet.ne.jp/umakoya/2chtext.html
その過程で「2ちゃんねら〜」の実態に興味が湧き、
アンケート調査を敢行することにいたしました。
CGIで自動的に統計処理され、結果は即時にご覧いただけます。
個人情報が外部に漏れることはありません。
2ch利用者の方は一人一回のみ、全16問のアンケートにご協力ください。
データ収集期間は11月24日いっぱいの予定です。

なお2ch全体から、広く、偏りの無いデータを集めたいと考えています。
もしよろしければこのアンケートの存在を、2chの各板・スレッドに宣伝して頂ければ幸いです。

432 :login:Penguin:02/11/24 20:44 ID:QRzYlWiX
>>430
vi /etc/apt/sources.list
<Esc>:%s/^Deb/deb/g<Enter>
:wq



433 :428:02/11/24 21:10 ID:jbuTWGEi
>>429
なる。thx
うちの場合はきっとpciとpcmciaの共存がうまくいってないってことで
/etc/network/以下をいじればいいんでしょうね。
Googleでいじりかたのヒントがみつからなかったので古いHDDにもういちど
Vine2.5を入れてその辺の設定を覗いてみよう・・・
と思ったら古いHDDは厚すぎてtpX23に挿さらない罠。
今度もっと容量大きなHDDを買って来て試します。

434 :426:02/11/24 21:22 ID:YjaD9fFm
>>432
# dselect
1[U]pdate<Enter>->2[S]elect<Enter>
以下のトピックスからヘルプ情報が利用できます:

i 競合や依存関係解決用サブリストの手引き
k キー操作
l 表示(その1): パッケージ一覧とステータス文字
d 表示(その2): パッケージ一覧のハイライト。情報画面

上のリストからキーを入力してください。スペースキーでヘルプを終了します。
'.'(ピリオド)キーでヘルプページを順次見ていくことができます。
kokokarano key sousa wo itsumo matigaete iru to omoimasu ?



435 :login:Penguin:02/11/24 21:31 ID:QRzYlWiX
jスクロールアップ
kスクロールダウン
/キーワードパッケージ検索
<shift>+インストール
<shift>-削除
<shift>=ホールド


436 :login:Penguin:02/11/24 21:33 ID:6bF/5vJW
>>433
man interfaces じゃダメなのか?

437 :435:02/11/24 21:39 ID:QRzYlWiX
...

嘘 <shift>+ インストール
嘘 <shift>- 削除
嘘 <shift>= ホールド
正 +インストール
正 -削除
正 =ホールド



438 :433:02/11/24 21:46 ID:jbuTWGEi
>>436
全然わかりません。

$ cat /etc/network/interfaces | grep -v \#
auto lo
iface lo inet loopback
iface eth0 inet dhcp
iface eth1 inet dhcp

となっているのですがeth0でpumpするとブチブチ切れて
eth1だとちゃんと繋がっています。


439 :login:Penguin:02/11/24 22:14 ID:JHfW89DF
kmuto氏が朝日新聞解約だと。

440 :login:Penguin:02/11/24 22:23 ID:6bF/5vJW
>>438
へえ、同じ設定なのに切れたり切れなかったりするんだ。
eth1はpcmciaなんだよね?
そっちは/etc/pcmcia/network.optsを見てると思うんだけど、そっちの設定と
突き合わせてみたら違いが分かるかもね。
man 5 interfaces のThe dhcp Methodあたりのオプションを設定すればうまく
いくのかなあ。

Vineではどうしてたのか、気になるねえ。

441 :426:02/11/24 22:51 ID:YjaD9fFm
>>437
該当するパッケージ群が「提案」する状態が調べられ、初期マークはそれに沿うように設定されています。この提案を了承するならば単にリターンキーを押してください。

[リターンキーを押して] mo 3.[I]nstall ni ikimasen?

442 :438:02/11/24 23:08 ID:jbuTWGEi
>>440
何度も何度もthxです。
eth0: tpX23内蔵e100
eth1: pcmcia蟹(使う時だけ挿す)またはtpX23内蔵無線LAN(使う時だけmodprobe orinoco_pciする)
で、/etc/pcmcia/network.optsでは特に何も設定されてなくて
# This tries to use Debian's network setup in /etc/network/interfaces
なスクリプトがそのまま生きてるようです。
同じ設定なのにeth0だけコケる理由がマジでわかんないです(涙





443 :login:Penguin:02/11/24 23:36 ID:jtRZxbTq
三ヶ月ほどgentooに浮気をしていました。
明日からdeb厨に戻ります。

444 :login:Penguin:02/11/24 23:37 ID:oX/TOJ/g
どうだった?

445 :login:Penguin:02/11/24 23:48 ID:nMQP878z
>>443
gentooどうですか?私も興味あります。
ソースから入れるらしいですが(よく分かってない)
インストール、アンインストールはめんどくさくないですか?
スレ違いだ〜。すいません。(gentooスレ逝けよって話ですね(^-^; )

446 :login:Penguin:02/11/24 23:50 ID:GoI4lfvW
>>443
戻るってことは、やっぱりまだgentooはだめぽって事かな(w

447 :login:Penguin:02/11/24 23:52 ID:kjeFJqUE
Gentoo の話はよそでやれや。

448 :login:Penguin:02/11/24 23:57 ID:nMQP878z
すいません。Debianユーザからみたgentooってどーなのか
聞いてみたくて

449 :login:Penguin:02/11/25 00:06 ID:XASLAZUs
別にユーザーに対しての意見は無いだろ

450 :443:02/11/25 00:28 ID:IL4j3TbS
厨なのでportageの仕組みの全てが理解出来たわけではないけど
【スーパーで食材買ってきて手料理】と【デリバリーお弁当】
の中間で、
【加工済み食材配達】といった感じでした。
忙しいけど手料理にこだわる主婦には丁度良いかもしれません。

家族(マシン数)が多ければ多いほどメリット増かな。
一人が料理(make)して、他の家族に最適なバイナリパッケージを
安全確認済みの素材から作って食べさせる、といった具合です。

でも私は一人暮らしだし料理にかかる手間と時間が惜しくて。
それに対応レシピ数もまだまだ少なく、また現在のレシピ管理は
シンプルで、debのキメ細かさを知った身には少々物足りなかった。

浮気して初めてわかる世話焼き本妻のありがたみ、です。

451 :login:Penguin:02/11/25 00:31 ID:TkNzufqz
deb のどこら辺がキメ細かいの?


452 :login:Penguin:02/11/25 00:40 ID:KvwQp03L
>>451
>832 名前:login:Penguin :02/11/25 00:27 ID:TkNzufqz
>>>831
>あなたのメッセージを読んでみたんですが
>何が言いたいんでしょうか?
>ヒマなので粘着してるんですが
>いろんなLinuxをインスコしたことのある程度の房なのですが
粘着煽り厨が釣れたようだ。

おながいだから、ヨソでやってね(はあと>>450

453 :login:Penguin:02/11/25 00:54 ID:TkNzufqz
>>452
> おながいだから、ヨソでやってね(はあと>>450

( ´_ゝ`)フーン

454 :名無しさん@Emacs:02/11/25 01:11 ID:ViZQkMAF
>>443
参考になりますた。どうも。

455 :login:Penguin:02/11/25 01:22 ID:1YT2joW1
sidだけど、tgifで数式をいれようとするけど、入らない.......
eq4-ps2epsiがうまく動いてくれないんだけど、どうしたらいいんでしょ?

456 :login:Penguin:02/11/25 01:30 ID:CJ79WD5l
動かなくなると困るものがあるんならunstable/testingにしなければいいでしょ

457 :455:02/11/25 03:35 ID:1YT2joW1
>>456
sid以外は動いてるのかなぁ?少なくとも一年前のsidでも
動かなかったけど。

458 :login:Penguin:02/11/25 04:15 ID:U93ndjvJ
>>457
問題がunstableに有るのか、自分の設定に有るのか判断出来ない人は
stableにしとけば?

判断できるならBTSに相談

459 :login:Penguin:02/11/25 10:17 ID:PiMbdRLK
「フォントの設定方法をイチから教えてもらえるスレ」
http://pc.2ch.net/test/read.cgi/linux/994758481/334
に貼ってあったココ、テンプラに追加していい?
ftp://lev.ii2.cc/



460 :login:Penguin:02/11/25 10:50 ID:emOhheDu
>>438
debianのDHCPクライアントはpumpじゃなくってdhclientでないかい?


461 :login:Penguin:02/11/25 12:09 ID:jN6LZYG5
>>460
インストール時に入るって意味ではdhcp-clientだけど、他にも代替物がある状態(どれを選ぶかは好み次第)で「debianの」ってのは違うような。
いや、dhcp-clientは試した? ぐらいの意味だろうけど。
で、>>428
>過去レス>>164以降は読みました。
からすると、すでに試してる可能性が高いかと。

462 :login:Penguin:02/11/25 12:46 ID:gxbGnWAf
gentooですが、ちょっとだけ。
debian-devel-listでも話題になって、Xの大物とかも出て来ています。
gccでCPU最適化してどうのとか、Debianにもapt-srcがあるよとか、
これまで「Debian伝道師だったのが、Gentoo伝道師」になっただけとか
安定した環境を構築するとは、うんぬん。

portageのもとのports出してるFreeBSDもaptはすごいねとか言っているし
gcc最適化フラッグを立てても、x86/PowerPC/Alpha/Sparcだけでなく、
いろんなプラットホームで安定して動かないといけないとか返答がありましたが、
何かのホストサーバではなく、デスクトップで使うなら、
apt-build(うーん)/apt-src/dbuild??(何だっけ?)が使い物になったら、
デスクトップは好きにカスタマイズできるんじゃないでしょうか。

それより問題は、Desktopだと思います。
gnome2も使えはしますが、Winの人に言わせると、「カスタマイズできない」。
ObjectDesktop/StyleXPとかの事言っているんでしょうね。
しかしIBMがGnomeのマニュアル書いているくらいですから
何とかなるんでしょうね。



463 :login:Penguin:02/11/25 12:46 ID:gxbGnWAf
あと一つ。
上にありましたが、bonobo-activationの不具合のとき、
BTSに確認したのかと聞きたくなるほど、バグレポートが寄せられたという話がありましたが、
我々日本人だと、ML/Googleを検索して、BTS/他で言うとBugzillaを検索しつくして、
それで「おそれながら…」と報告する、そんな感じでやるのが
暗黙の了解、って気がしますが、毛唐の連中はおかまいなしでやっているようですので、
まねするのがいいのではないでしょうか。

MLでもそうですが、やり始めた人には、検索の仕方もわからないと思うので、
たとえばCD-R/RWを使う時のSCSI-Emulationとか、
まだ答える余裕のある人が、いちいち対応すればいいだけの話で、
やれ検索しろだの、過去ログ調べろだの、そういうのはおれはあまり好きじゃねえ。

話は戻ってGentooですが、ディストリの優劣や人気投票で
使うでィす鳥をかえるのは愚劣かと。
portageみたいのがほしいなら、apt-build/apt-src(ともに開発途上っぽい) などがありますが、
彼の地のMLみると、CPU最適化で効果は5%以内らしいですから、
バイナリが秩序正しくインストールされるのを取るか、
仕組みを勉強するか、知っていておもしろそうだから使うかのどちらかでしょう。

464 :login:Penguin:02/11/25 14:07 ID:c0rl02oH
>>442の現象おもしろいなあ。
蟹が安定してIntelが不安定なんてふつーありえねーよなあ。
絶対どっかの設定だと思うんだが……

まあ、>>442がVineの設定吸い上げて来るのを楽しみに待つか。



465 :login:Penguin:02/11/25 14:54 ID:HyiDRVfq
etc-update
ぱくってきたりしないのー?

466 :login:Penguin:02/11/25 15:13 ID:d2GhsUOc
>>464
そんなのごく普通にありふれてよく見かけますが何か?

467 :login:Penguin:02/11/25 15:28 ID:9RtZXy7l
>>465
俺も欲しい。

でもあれってsdiff呼んでるだけじゃない?


468 :438=442一応解決:02/11/25 15:33 ID:6qmL5N0m
>>460-461
dhclientもpumpも試しまくってますが、e100ドライバでdhcpだと切れるのです。
切れた時でも/sbin/ifconfigでinetアドレス:192.168.1.100と表示されるのですが、
ここでもう1度pumpしないと繋がらない(dhclientだとSIOCADDRT: File existsと
出るだけで繋がらない)のです。eepro100ドライバだと大丈夫です。

>>464
「Vineではe100パッケージ取って来てモジュール作ったりしないで
カーネル2.4のeepro100をそのまま使ってたよな」と思い出したので
eepro100を入れてカーネル再構築したところ、dhcpがブチ切れなくなりました。
/etc/network/interfacesは書き換えていません。
不可解なことだらけなのでThinkPadスレ逝って訊いて来ます。


469 :login:Penguin:02/11/25 17:10 ID:0BARI65n
i830MシリーズでRender Extension が使用できる
Debian sid 向けの XFree deb (-4.2.99?) はどこかに転がっていませぬか?

470 :login:Penguin:02/11/25 17:12 ID:DeSYj3R4
tgif2texのdebパッケージ、どっかにないですか?

471 :login:Penguin:02/11/25 18:22 ID:c0rl02oH
ふーむ、なるほど、まさかとは思ったが、ドライバだったか。


472 :login:Penguin:02/11/25 20:47 ID:eMtAD/Nk
おーい、sidどうしちゃたのさ!
X関係のdebファイルが全然なくて
うごかーーーん。
やんなきゃいけないしごとがあるのにーーー



473 :login:Penguin:02/11/25 20:51 ID:FULRwTfN
>>472
仕事に sid 使うなよ。

474 :login:Penguin:02/11/25 20:54 ID:ac1ATVvO
>>472、もちつけ
     /\⌒ヽペタン
   /  /⌒)ノ ペタン
  ∧_∧ \ (( ∧_∧
 (; ´Д`))' ))(・∀・ ;)
 /  ⌒ノ ( ⌒ヽ⊂⌒ヽ
.(O   ノ ) ̄ ̄ ̄()__   )
 )_)_) (;;;;;;;;;;;;;;;;;;;)(_(


475 :login:Penguin:02/11/25 21:28 ID:eMtAD/Nk
もちついてらんねーーー
ドすればいーの???


476 :login:Penguin:02/11/25 21:34 ID:8N42ZVDK
>>475
$ dpkg -l xserver-xfree86
要望=(U)不明/(I)インストール/(R)削除/(P)完全削除/(H)維持
| 状態=(N)無/(I)インストール済/(C)設定/(U)展開/(F)設定失敗/(H)半インストール
|/ エラー=(空欄)無/(H)維持/(R)要再インストール/X=両方(状態,エラーの大文字=異常)
||/ 名前 バージョン 説明
+++-==============-==============-============================================
ii xserver-xfree8 4.2.1-4 the XFree86 X server

最近XFree86のバージョン上がったけど使えてるよ。
ぼのぼのもなおってるし。

477 :login:Penguin:02/11/25 21:45 ID:zzqVR5eK
あいがとーー
でもデブファイルをダウンロードしよーとすっと
そんなファイルねーってーサーバ−が言ってるって
いってダウンできないっすーーー


478 :login:Penguin:02/11/25 21:48 ID:FULRwTfN
>>477
なんで sid 使ってるの?

479 :login:Penguin:02/11/25 21:55 ID:8N42ZVDK
>>477
apt-line見せれ。

480 :login:Penguin:02/11/25 22:00 ID:9RtZXy7l
>>477
それは今mirror中てことだよ。
よくあること。
しばし待て。


481 :login:Penguin:02/11/25 22:02 ID:dN/mA/1f
interscanにscanmailを引っかけたのは君達ですね


482 :login:Penguin:02/11/25 23:55 ID:1QI1uKGA
みなしゃん、あいがとー
絶望的な気持ちで家に帰って来たけど
あしたの朝はミラーが終わってる可能性大だよね!

sid使ってるのは開発晩だと
知らないうちにいろいろ新しくなってたりする
事が有って他のしーからでっす


483 :login:Penguin:02/11/26 00:05 ID:HujFsu9P
すみません。  core.ring.gr.jp の調子が悪かったため  apt-line を書き直していたら
間違えて sarge で書いて apt-get update
今、 apt-get upgrade の真っ最中です・・・


これを元に戻すためにはどうしたらいいでしょうか?

484 :483:02/11/26 00:07 ID:HujFsu9P
apt-line を普通に stableで書き直して
apt-get update
apt-get upgrade でうまくいきますかねぇ・・・・?

485 :login:Penguin:02/11/26 00:57 ID:3pLMju6/
>>482
知らないうちにいろいろ新しくなってたりするって…(w
BTSすらチェックしないでupgradeしてるとコワイことになるよ。
…なんてオドシてみる。

>>483-484
APT HOWTO

486 :login:Penguin:02/11/26 01:59 ID:x32YHJ78
>>482
漏れも同じ理由で遊び用マシンにsid入れてるが…
さすがに仕事には使わんぞ。

487 :login:Penguin:02/11/26 07:27 ID:YcFhaQJv
devfsを使っているんですが、/dev/mixerなどのデバイスファイルが作られないんですけど。

488 :login:Penguin:02/11/26 09:33 ID:AxwxFTSF
>>486
わたしの場合、仕事にも使ってるメインマシンがsid(わら
もち、サブマシンとかゲーム用のwindowsマシンとかシリアルに繋げてごにょごにょするための古いノートとかもあるけど。

>>487
devfsdはインストールした? してない場合(で、boot時にdevfsをマウントした場合)、/etc/fstabを書き換えないと/がマウントできなくなるから外してるとは思うけど。
あと、alsaかossか。alsaでoss互換モジュールを読み込んでいないなら、ミキサーデバイスは/dev/sound/mixer。

489 :login:Penguin:02/11/26 09:36 ID:ntT13pIS
>>488
自分で自分のめんどう見れるならいいけど、
>>472 >>477 なスキルのヤツは使っちゃいかんよ。

490 :488:02/11/26 09:36 ID:AxwxFTSF
>>488
ぐあ。
「外してる」ってのは「指摘が」ってこと。「devfsdをインストールすべきでない」って意味じゃないです。

491 :487:02/11/26 10:46 ID:YcFhaQJv
>>488
devfsdインストールしてます。
/etc/devfs/devfsd.conf

/etc/modutils/1devfs
あたりがあやしいとにらんでるんですが。

lsmodしてもサウンドチップのモジュールはロードされてますが、
snd-mixer-ossがロードされてないんですよ。
modprobe snd-mixer-oss
とすればちゃんとロードされます。

492 :login:Penguin:02/11/26 12:19 ID:oNsRAixX
gcc-3.2のpreが取れたage

493 :login:Penguin:02/11/26 13:50 ID:MM4gYSJF
も、もうダメぽ
やっぱしXかんけーのdebファイルがないって、、、
もうだめぽ
開発晩の恐ろしさを思い知りますた。
BTSってゆーのも知らないでし


494 :login:Penguin:02/11/26 14:23 ID:Yf2dJDSG
>>493
aptソースどこ?

495 :login:Penguin:02/11/26 18:23 ID:HujFsu9P
すみません。 自分の使っているプロトコルがSSH1なのかSSH2なのかを確かめるコマンドはありますか?

496 :login:Penguin:02/11/26 18:25 ID:ntT13pIS
>>495
「使っている」ってのは、どういう意味で?

497 :login:Penguin:02/11/26 18:29 ID:HujFsu9P
そういえばいろいろな使い道がありますよね。
putty を使って 自分のサーバーにログインして遊んでいます。 その際に一応SSH2を選択してはいるものの
本当にSSH2なのかが不安になったので聞いてみました。

498 :login:Penguin:02/11/26 18:32 ID:ntT13pIS
>>497
自分のサーバなら sshd_config で SSH1 を禁止しちゃえば?

499 :login:Penguin:02/11/26 18:49 ID:9m45vMvo
>>495
ssh -v

500 :login:Penguin:02/11/26 19:00 ID:zXN8NPZw
>>491
/etc/midutils/alsa は大丈夫?
alsaconf使うとsymbolic linkがおかしかったり、色々と
問題があるんで注意。




501 :login:Penguin:02/11/26 21:54 ID:fFBzTACA
>>493
どうせ腐ったapt lineを書いているだけだろうけど、
何も学ぶ気の無い奴はsid使ってても辛いだけ
stableでも使えば?


502 :login:Penguin:02/11/26 23:39 ID:YcFhaQJv
>>500
sidのalsaconf使えないですよね。
チップもかぎられるし、optionのsnd_hogeの「snd_」がいらなくなったし。

503 :login:Penguin:02/11/27 10:44 ID:BvRyRs8o
sidのmozilla-browser-snapshot(0.0.20021125.00.trunk-1)だけど,
またしても,起動しませんでした,これで,22回続けて起動せず。

504 :login:Penguin:02/11/27 10:49 ID:eayt/+YI
そうですか。

505 :login:Penguin:02/11/27 11:25 ID:8N0HGCwj
>>502
sidのalsaconfって、alsa-0.9(beta?)のalsaconfではなく、
0.5用のやつでなかったか?

506 :login:Penguin:02/11/27 12:32 ID:aSmofzeX
alsa-sourceに入ってるutils/alsaconfは0.9だよ。

507 :login:Penguin:02/11/27 13:38 ID:5DeOZF7S
いまサーバに使っているturboをdebianへ変えようと
予備のマシンへdebianをインストールしてます。
LANへ繋いでインストールしているので、ホスト名は
駆動中のサーバホスト名とは違う名前にするのかなと
思い、そうしてます。

この後、ホスト名を駆動中のサーバホスト名と同じ
ホスト名にして入れ変えるのか。

それとも別名で、セカンダリDNSサーバやクライアン
トソフトの設定変更をするのか。

あるいは駆動中サーバかインストール予備マシンを
LANから外してインストールしなおすのか。

どうしたらいいでしょうか。


508 :名無しさん@Emacs:02/11/27 13:48 ID:+IWNoe5z
完全に入れ換えるなら、IPアドレスとホスト名を
/etcの下でgrepすればいいじゃん。漏れはそれで
差し替えた事がある。

509 :507:02/11/27 14:00 ID:5DeOZF7S
>>508
わかりました、それやってみます。ありがとう!


510 :login:Penguin:02/11/27 14:13 ID:eayt/+YI
「駆動」ってのは斬新だな。

511 :login:Penguin:02/11/27 16:25 ID:Ee8V28F+
linux初心者です。
make-kpkg --revision abc1 kernel_image
を実行すると、以下のようなエラーが出てコンパイルできません。

depmod: *** Unresolved symbols in/usr/src/kernel-source-2.4.18/
debian/tmp-image/lib/modules/2.4.18/kernel/drivers/char
/drm/sis.o

depmod: sis_malloc_Ra3329ed5
depmod: sis_free_Rced25333
make[2]: *** [_modinst_post] Error1
make[2]: Leaving directory '/usr/src/kernel-2.4.18'
make[1]: *** [real_stamp_image] Error2
make[1]: Leaving directory '/usr/src/kernel-2.4.18'

どうしたらよいのでしょうか?

512 :login:Penguin:02/11/27 18:11 ID:/bZnYLx/
>>511 情報少なすぎ。チップセットとかビデオチップとか書きたまえ。

<<< おしえて >>>>
alsa-moduleをつくるとき、こんなエラーがでる。
使いたいのはUSB-Audio。長くなってすまないが、きになるのが、
structure has no member named `dev'
C言語の構造体のことを言っているのか、/etc/groupにdevグループがないと言っているのか…
あとdevfs+devfsd+usbutils+murasakiでfstabにdevfsを登録済み。

gcc -D__KERNEL__ -DMODULE=1 -I/usr/src/modules/alsa-driver/include \
-I/usr/src/linux-2.4.20-rc4-ac1/include -O2 -mpreferred-stack-boundary\
=2 -march=i686 -malign-functions=4 -DLINUX -Wall -Wstrict-prototypes \
-fomit-frame-pointer -pipe -DALSA_BUILD -DEXPORT_SYMTAB -c usbaudio.c
In file included from usbaudio.c:2:
../alsa-kernel/usb/usbaudio.c: In function `snd_complete_urb':
../alsa-kernel/usb/usbaudio.c:542: too many arguments to function `usb_submit_urb_Rda3083c7'
[....]
../alsa-kernel/usb/usbaudio.c:2276: structure has no member named `dev'
../alsa-kernel/usb/usbaudio.c: In function `usb_audio_disconnect':
../alsa-kernel/usb/usbaudio.c:2285: warning: implicit declaration of function `dev_get_drvdata'
../alsa-kernel/usb/usbaudio.c:2285: structure has no member named `dev'
../alsa-kernel/usb/usbaudio.c:2285: warning: passing arg 1 of `snd_usb_audio_dis
../alsa-kernel/usb/usbaudio.c: In function `usb_audio_disconnect':
[....]
make[4]: *** [usbaudio.o] エラー 1

513 :login:Penguin:02/11/27 18:20 ID:SlpGkULd
>>512
構造体の方です。
rc2-ac1にalsaが対応出来て無いんでしょう。


514 :511:02/11/27 20:36 ID:BAImZm85
すいませんでした。

ビデオチップ GeForce2MX、チップセット SiS735、CPU Duron8ooMHz、
LANカード LGY-PCI-TL、debian woody、現在のカーネル 2.2.20

これで十分でしょうか。どなたか僕に救いの手を…

515 :login:Penguin:02/11/27 21:23 ID:5Sh0Wvnm
>>514
8ooMHzってのはともかく。
2.4.18を使うのはなにかこだわりがあってのことでしょうか? でなければ2.4.19を試してみてはどうでせう。
あと、ものすごく後ろ向きな解決方法だけど、CONFIG_DRM_SIS=nにしてみるって手も。

2.4.20は今年中に出るかなぁ。

516 :login:Penguin:02/11/27 22:37 ID:/Y++QwaK
おまいら、decompiler が出てます。
実際に動かすことができた方は、いらっしゃいますか?

ttp://boomerang.sourceforge.net/

517 :login:Penguin:02/11/27 22:50 ID:zqbQ9Yv1
>>515
>2.4.18を使うのはなにかこだわりがあって
Woodyのカーネルは2.2.20または2.4.18だと思うが?
漏れは2.4.19使ってるけどあのsrcパケジはsidのだよ


518 :login:Penguin:02/11/27 23:18 ID:tJdA49aC
>>512
2.4.19 のツリーと 2.4.20-rc2 のツリーを見比べてみるべしみるべし。
usb まわりだってことはわかってるわけだから...
# kernel-headers パッケージでもいいけどね。
あと、alsa-driver/include/ 以下も。

ま、2.4.20 がリリースされたら alsa でも対処するでしょ。


519 :518:02/11/27 23:24 ID:tJdA49aC
ああ、スマソ。2.4.20-rc4-ac2 ね。
まぁ 2.4.20-preX,-rcX で対処は共通なんで勘弁な。


520 :login:Penguin:02/11/27 23:51 ID:98mXDUt6
sidなんだけど、dselectでパッケージアップデートしたら、
xfonts-scalableがセグメンテーションフォルトでアップデートできなかった。
それどころか削除もできん。

同じ症状の人いない?

521 :login:Penguin:02/11/28 00:13 ID:9sk5E4HC
alsa-moduleノ件、C言語をわかんないのに教えてくれてドーモ。
(Perl'erなもので)

alsaでUSB-Audioが使ってみたいので、2.4.19に落とします。
あと、K7-XP使ってますが、uname -pi すると、"unknown unknown"となります。
これを、"AuthenticAMD AMD Athlon(tm) XP 1700+" と表示させたいのですが、
gccのオプションと言うか、kernelのMakefileのどこに書けばいいのでしょう。
make-kpkgで指定できますか?
ちょっと調べたけど、理解が及ばなかった。

522 :login:Penguin:02/11/28 00:28 ID:uupJ+NxG
woodyを使っています。
apt-get install apacheを行おうとすると、
以下のメッセージがでます。
Sorry, but the following packages have unmet dependencies:
apache: Depends: apache-common (>= 1.3.26-0) but it is not going to be installed
Depends: apache-common (< 1.3.27-0) but it is not going to be installed
Depends: perl5 or
perl but it is not going to be installed
調べてみると、apache>apache-common>perl>perl-baseというように依存しており、
perl-base 5.6.1-7が必要なのですが、
自分の使っているwoodyにはperl-base 5.6.1-8が入っていました。
このperl-base 5.6.1-8はどうやら
sources.listにwoody-proposed-updatesのaptラインを書いておいたため入ったみたいです。

proposed-updateは依存関係を気にしない場合だけsources.listに書いておくべきなのでしょうか?
それとも、本来proposed-updateは依存関係も考慮したパッケージが置かれるので
少ししたらこの依存関係の問題は修正されると見て良いのでしょうか?


523 :login:Penguin:02/11/28 00:35 ID:Ae4yvjoY
>>521
ちょっといじるぐらいじゃ無理。


524 :520:02/11/28 00:36 ID:yHCIsMVb
今度はxemacsもアウトだ・・・。
MLのほうにも出てないけどみんな大丈夫なの?

525 :login:Penguin:02/11/28 00:54 ID:5KDpKR7y
>>521
この情報ってgccやautoconfで使うやつじゃなかったっけ。
安易に変えないほうがいいよ。


526 :login:Penguin :02/11/28 01:00 ID:eoiJJh5r
debianをインストールしてカーネルの再構築をしたいんですけど
前の設定を継続して使いたいんですけど、どうすればよいでしょうか

527 :login:Penguin:02/11/28 01:04 ID:e4nhzdjq
>>526

/boot 以下に config-なんたら ってファイルがある。
そのファイルをカーネルソースの直下に .config としてコピーかな。


528 :login:Penguin:02/11/28 01:05 ID:qLNdfroS
>>526
/boot/config-*

529 :520:02/11/28 01:12 ID:yHCIsMVb
xftcacheがセグメンテーションフォルトしていたようです。
もう一回入れ直してもだめだったんで、ヘタレな俺は
これからsargeに落とします。

うまくいくかなぁ・・・。

530 :login:Penguin:02/11/28 01:14 ID:eoiJJh5r
>>526-527
ありがとうございます

531 :login:Penguin:02/11/28 01:30 ID:QL/PHM1P
mozilla_1.2のdebまだ?

532 :520:02/11/28 02:25 ID:yHCIsMVb
やっと戻って来れた。

今デスクトップのほうも調べたんだけど、
やっぱりxftcacheがセグフォで落ちる。
とりあえずxftcacheを待避して、代用のダミーを置いて回避。

ノートのほうは散々使ってるからエラーするのもわかるんだけど、
ノートはほとんど触っていない状態なんだけどなぁ・・・。

533 :login:Penguin:02/11/28 08:41 ID:2TNUVbCo
>>517
woody-proposed-updatesに2.4.19あるけど……。

534 :521:02/11/28 11:01 ID:9sk5E4HC
>>523 >525
ちょっといじるくらいでは無理で、
いじらないほうがいいっすか。
もっとCが分かるようになってからにします。

#Perlやって、Cをこれから。Perlの「知識」は役に立つんだろうか。
#条件分岐以外ね。

535 :login:Penguin:02/11/28 11:17 ID:iM240B+0
>>522
うーん、うちのwoodyのperl-baseはperl-base 5.6.1-7なんだけど。
proposed-updatesはring.asahi-net.ne.jpを指定してる。

536 :login:Penguin:02/11/28 11:18 ID:QkJGYOs5
sarge使ってるんだけど、update-alternatives --config ccでgcc-3.2を選ぶことってできないの?

537 :login:Penguin:02/11/28 12:39 ID:qyxTRk1c
woodyにBIND9.2をインストールしています。
今までセットしてたのがredhatだったので
redhatのbind9用のファイルをコピーして
使おうと思っています。

そこで、named.confのoptionsで、
directory "var/cache/bind"
となっていますが、ここにはファイルは無くて
あるのは"/etc/bind"なんですよね。

このままでいいんでしょうか?
或いはdirectory "/etc/bind"と書き換えるの
でしょうか?


538 :login:Penguin:02/11/28 12:50 ID:oLbioBRZ
>>537
「directory」が何を意味するかはわかってる?

539 :537:02/11/28 13:20 ID:qyxTRk1c
>>538
ゾーンファイルの格納先ディレクトリだとおもいますが、
db.rootとかdb.localとかdb.127とか
ゾーンファイルが/etc/bind下にあるんです。


540 :login:Penguin:02/11/28 13:38 ID:9sk5E4HC
>>563
update-alternatives に自分でインストールすれば出来る。
それで、gcc-2.95/3.0/3.1を指定したことがあったけど、面倒なのでやめて、
$CC=gcc-3.2とかする様にしたり、Makefileで指定するようにした。

541 :login:Penguin:02/11/28 13:40 ID:oLbioBRZ
>>539
それがわかってるなら、
どこにするかは自分で決めていいんでない?

542 :537:02/11/28 14:24 ID:qyxTRk1c
>>541
ありがとうございます。
なぜデフォルトで"/var/cache/bind"と
なっいるのか或いは、"/etc/bind"にして
いない意味があるとおもうのですが、
どうしてなのでしょうか?

543 :login:Penguin:02/11/28 15:03 ID:2TNUVbCo
>>542
Debianポリシーもにしたがっているんでしょう。
あと、FHSも重要。

FHSはたぶんここでいいと思う。
http://www.pathname.com/fhs/
Debianポリシーはこっち。
http://www.debian.org/doc/debian-policy/

544 :537:02/11/28 15:04 ID:qyxTRk1c
>>541
失礼しました、デフォルトに従い、考えないようにします。
ありがとうございました。


545 :login:Penguin:02/11/28 15:06 ID:oLbioBRZ
>>544
別に失礼じゃないけど。
あと、考えるのをやめるのはやめれ。

546 :537:02/11/28 15:07 ID:qyxTRk1c
>>543
どうもわざわざありがとうございます。
これから行って勉強します、感謝します。


547 :537:02/11/28 15:08 ID:qyxTRk1c
>>545
わかりました。考えるのをやめるのはやめます。
行ってきまーす。


548 :login:Penguin:02/11/28 16:59 ID:j1spE+8A
>>537
糞うぜえ奴だな(笑)
なんだかmanon思い出したよ

549 :login:Penguin:02/11/28 17:06 ID:dnHZzxCR
>>548
manonて何ですか?と聞こうと思ったけど>>548に糞うぜえと言われそうなので
>>1の過去ログ検索で調べました。便利ですね。管理者の方、thxです。
それにしてもdebianにもかつては香ばしい人もいたのですね。

550 :login:Penguin:02/11/28 17:09 ID:o+oq4GhM
>>524

sidのxemacsかい?

551 :login:Penguin:02/11/28 17:10 ID:17AF0wrq
>>549
オマエモナーと言ってほしいのか?

552 :login:Penguin:02/11/28 18:00 ID:iV8KTGMK
うぜぇ

553 :login:Penguin:02/11/28 19:36 ID:yAKhAXEP
おまいらマターリしる

554 :login:Penguin:02/11/28 20:59 ID:B9/+y0ED
Openoffice.orgがincoming.debian.orgに
キタ━━━━━━(゚∀゚)━━━━━━ !!!!!

555 :520:02/11/28 21:19 ID:yHCIsMVb
>>550
sidのxemacsだったけど、エラーはxemacsじゃなくて
speedbarだった。
そっちはどう?

556 :login:Penguin:02/11/28 21:33 ID:hiP6BOP8
Wanderlustの`User-Agent:'が`i386-debian-linux-gnu'から
`i386-pc-linux-gnu'に変わったにょ。


557 :login:Penguin:02/11/28 21:34 ID:hiP6BOP8
>>555
こっちもエラーになりますた。


558 :520:02/11/29 01:47 ID:kQOtW2Mg
>>557
同士ハケーン!!
漏れだけヘタレかと思った。

・・・ヘタレだけど。

559 :名無しさん@Emacs:02/11/29 02:19 ID:pcSMuylW
incomingのmozilla1.2入れてみた
gtkテーマはスクロールバーが異常に使いにくくなるな

560 :login:Penguin:02/11/29 03:32 ID:ijXCWBiT
debian でifstatus っていうネットワークの状態を報告するツールのパッケージって無いのでしょうか?
もしくは似たようなツールを知りませんか?

※ifstatusは、システム全体のネットワークインターフェースをチェックし、デバックモードやプロミスキャスモードにあるインターフェースを報告するツールである。

 


 

561 :login:Penguin:02/11/29 05:19 ID:EM0EhY9r
sargeの位置づけってどうなってるの?
woodyより新しくてsidより安定ってこと?


562 :login:Penguin:02/11/29 05:25 ID:NKYd5U8u
>>561
http://debian.fam.cx/#content:35

563 :login:Penguin:02/11/29 05:32 ID:NKYd5U8u
>>561
あと、これも…
http://www.jp.debian.org/releases/

564 :login:Penguin:02/11/29 08:39 ID:PX2Ql//K
ん?今日はapt-get何も落ちてこない?

565 :login:Penguin:02/11/29 10:11 ID:PF8+SPni
sidのtomcat4-webappでexamples関連のファイルが落ちてこない
(serveltとjspのサンプルが404 Not Foundになってファイルもない)のは、
そーゆうものでしょうか? tomcat-docsはインストールされてます。



566 :login:Penguin:02/11/29 13:51 ID:qOrOx4/8
カレーうまうま


567 :login:Penguin:02/11/29 14:12 ID:zkhGl3sP
>>565
mirrorに失敗してるだけだろ

568 :565:02/11/29 16:06 ID:PF8+SPni
>> 567
そーゆうもんですか。mirrorを変えて試してみます。


569 :login:Penguin:02/11/29 16:34 ID:dlknEAgR
>>566
カレーは、香辛料を石臼で挽いて食べるのがウマ-


570 :login:Penguin:02/11/29 18:01 ID:ocbhoWsY
sid で使える、ICQで、日本語がちゃんと使えるのって
どんなのがあるんでしょう?
gnomeicuは、日本語通らない.......

571 :login:Penguin:02/11/29 20:26 ID:rFAHFUiI
woody で CVS 先端の w3m を用いて w3m-ssl をローカルでビルドしようとし
ています。libssl-dev が必要と言われるので apt-getでインストールしよう
とするのですが

Sorry, but the following packages have unmet dependencies:
libssl-dev: Depends: libssl0.9.6 (= 0.9.6c-2.woody.1) but 0.9.6g-0.woody.1 is to be installed
E: Sorry, broken packages

とエラーが出てインストールしてくれません。何か解決策はありますか??

572 :561:02/11/29 21:59 ID:xSzppw+V
あいがとごぜました。
最近sidもトラブル続きだしsargeにしとこかなぁ。


573 :login:Penguin:02/11/29 22:42 ID:A18c81Be
>555

レス遅れてすまん。こちらでは,speedbarパッケージはインストール
されていませんでした。

BTSをみても

http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=speedbar

なんの報告もありませんね。

574 :login:Penguin:02/11/29 22:45 ID:e2XDJf/P
sidのXFree86-4.2.1
こちらの環境ではX-Video-Extensionつかって
mplayerとか動かしたらなぜかbluescreen-of-death
しか映らなかったけど(xvinfoではなんだかづらづら表示された)
もう直ったかな?

575 :login:Penguin:02/11/29 23:26 ID:e2XDJf/P
それらしきモノ発見
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=166234

パッチをreverseしてrebuildしたらなおる...らしい。
CVSでは既にfix済み...らしい。

>> I'm having the same problem on a similar setup with an i810e.
>> Removing debian/patches/009_i810_xv_blue_bar_fix.diff and rebuilding
>> fixes it for me.
>This may even already be fixed in CVS; David has been working pretty
>hard on the i810 driver since patch #009 was added.

576 :520:02/11/30 02:07 ID:2DPM4TZ4
>>573
speedbarに問題があるんじゃなくてemacsのほうに問題がある、
ってのもありえるのかなぁ・・・。

別にspeedbarはそんな使ってなかったからいいけど。

577 :login:Penguin:02/11/30 08:41 ID:HSxm12Sp
>>571
apt-lineに
deb http://security.debian.org/ stable/updates main contrib non-free
をかいてないとか?

578 :571:02/11/30 09:35 ID:1ScVjnoe
>>577
書いてあります。今気付いたのですが apt-cache show libssl-dev すると

Package: libssl-dev
(中略)
Version: 0.9.6g-0.woody.1
Replaces: ssleay, libssl096-dev
Provides: libssl096-dev
Depends: libssl0.9.6 (= 0.9.6g-0.woody.1)
Conflicts: ssleay (<< 0.9.2b), libssl08-dev, libssl09-dev, libssl095a-dev, libssl096-dev
Filename: pool/main/o/openssl/libssl-dev_0.9.6g-0.woody.1_i386.deb

Package: libssl-dev
(中略)
Version: 0.9.6c-2.woody.1
Replaces: ssleay, libssl096-dev
Provides: libssl096-dev
Depends: libssl0.9.6 (= 0.9.6c-2.woody.1)
Conflicts: ssleay (<< 0.9.2b), libssl08-dev, libssl09-dev, libssl095a-dev, libssl096-dev
Filename: pool/updates/main/o/openssl/libssl-dev_0.9.6c-2.woody.1_i386.deb

Package: libssl-dev
(中略)
Version: 0.9.6c-2
Replaces: ssleay, libssl096-dev
Provides: libssl096-dev
Depends: libssl0.9.6 (= 0.9.6c-2)
Conflicts: ssleay (<< 0.9.2b), libssl08-dev, libssl09-dev, libssl095a-dev, libssl096-dev
Filename: pool/main/o/openssl/libssl-dev_0.9.6c-2_i386.deb

と3つリストアップされるのですが、これがそもそもおかしいですか??

579 :login:Penguin:02/11/30 10:01 ID:PV0Fu2NQ
Announcing apt-get.org
http://www.debianplanet.org/node.php?id=873

apt-get.org: Unofficial APT repositories
http://www.apt-get.org/

580 :login:Penguin:02/11/30 12:25 ID:DWq0zpiq
sidでrealって見れねーの?


581 :名無しさん@Emacs:02/11/30 12:46 ID:TubzkJo5
これ早く直してくれよゥ
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=170641

>>580
見られるだろ、うちはRealOne持ってきて見てる

582 :login:Penguin:02/11/30 14:55 ID:oYV/aVt0
update-alternativesの使い方がいまいち解からんのだが、gcc-3.2をalternativesにinstallするときって

#update-alternatives --install cc cc /usr/bin/gcc-3.2 10

でいいの? これ実行すると/usr/bin/ccが消えちゃうんだけど・・・

583 :login:Penguin:02/11/30 18:38 ID:+c7Pp6FW
うちでは
$ ls -l /usr/bin/gcc
lrwxrwxrwx 1 root root 2 2002-10-08 19:18 /usr/bin/gcc -> cc*
$ ls -l /usr/bin/cc
lrwxrwxrwx 1 root root 20 2002-02-12 03:17 /usr/bin/cc -> /etc/alternatives/cc*
$ ls -l /etc/alternatives/cc
lrwxrwxrwx 1 root root 17 2002-11-06 16:18 /etc/alternatives/cc -> /usr/bin/gcc-2.9 5*

...だけど
$ sudo update-alternatives --config gcc
No alternatives for gcc.
$ sudo update-alternatives --config cc
There is only 1 program which provides cc
(/usr/bin/gcc). Nothing to configure.
...だそうな。

$ sudo update-alternatives --config emacs だと
---
There are 2 alternatives which provide `emacs'.

Selection Alternative
-----------------------------------------------
*+ 1 /usr/bin/emacs20
2 /usr/bin/emacs21

Enter to keep the default[*], or type selection number:
----
とゆーふーに表示される。
ので/var/lib/dpkg/alternatives/emacs その他を参考に書式をぱくって
/var/lib/dpkg/alternatives/cc を手で編集...ですか?

584 :login:Penguin:02/11/30 20:49 ID:IRk2FCTn
>>582
/var/lib/dpkg/info/*.postinstの中を見て参考に汁!!

--installのあとにfull path(つか/usr/binとかの設定
したい場所)でないのがアレじゃない?
#update-alternatives --install /usr/bin/cc cc /usr/bin/gcc-3.2 10
でどうよ?


585 :login:Penguin:02/11/30 21:31 ID:dQ0/OsDR
>>570
sidのgnomeicuは日本語使えていますよ。最低でもgnome2では。
設定のlocale EUC<->SJISとかって項目をチェックするだけ(w
第一、元々のメンテナが北目さんだったのに、なんで日本語が通らないと(w


586 :login:Penguin:02/11/30 21:46 ID:qPoo/hEt
>>580
産休。
持ってきて見られたよ。
せっかく落とした裏モノが見れてよ肩。


587 :login:Penguin:02/11/30 22:07 ID:7DhXN4v1
apacheがwebセクションなのに
apache2がnetセクションなのはなぜ?

588 :login:Penguin:02/11/30 22:07 ID:gkv8UlIS
sid の galeon-snapshot というか mozilla-browser-snapshotで
フォームに日本語が入力できないのですが、入力できるようにする
方法はありますか?


589 :583:02/11/30 23:59 ID:+c7Pp6FW
...調子に乗っていろいろ試してみた。

# update-alternatives --config ftp

There are 4 alternatives which provide `ftp'.

Selection Alternative
-----------------------------------------------
+ 1 /usr/bin/netkit-ftp
2 /usr/bin/ncftp3
* 3 /usr/bin/lftp
4 /usr/bin/gftp-text

Enter to keep the default[*], or type selection number:

あぁ便利だなぁ流石Debian
bashrcのalias定義が減らせそう。

590 :login:Penguin:02/12/01 00:41 ID:3v16qylm
gs-jaなど、印刷で日本語が出来る環境はできているはずですが、
xpdf-japaneseなどで、東風フォントなど、きれいなフォントが
defomaで自動的に設定されていないみたいです。
以前はちゃんとなっていたのですが、X/Gnome2/KDE3を全部アンインストールして、
もう一度入れなおしたところ、gs関係のフォントがビットマップを無理に拡大するような感じになり、
うまくありません。
直し方って無いでしょうか。

591 :login:Penguin :02/12/01 01:14 ID:1mwyHPx2
仕事で使う必要の出てきそうな初心者なんですが、質問です。
できればノートパソコンでlinux(debian)専用機にしようと思います。
ドライバなどの点で「これがいい」というお勧めのメーカーや機種が
ありましたら教えてください。
根拠もなく、IBM(thiknpadR32)ならサポートしているような気が
しているのですが・・・。

592 :login:Penguin:02/12/01 01:16 ID:emw6JTct
>>591
こっちの方がいいかも。
ノートパソコン専用すれ
http://pc.2ch.net/test/read.cgi/linux/981811571/

593 :login:Penguin:02/12/01 01:37 ID:XUU9c415
gnome2でAAしてます.
最近metacityからsawfishにウィンドウマネージャを変更したのですが
AAフォントだとタイトルの日本語が化けます.英語は正しくAAされます.
現象はkochiフォントとMSフォントで確認しました.

どなたか,同じような環境で正常に動作している方いらっしゃいますか?

594 :login:Penguin:02/12/01 01:52 ID:Glyg5hno
僕もGnome2でAAの設定したいんだけど、なかなか面倒ですね。
答えじゃなくてごめんなさい。板汚し失礼しました。

595 :login:Penguin:02/12/01 02:00 ID:ta2GWGK2
>>594
.gnomerc

LANG=ja_JP.eucJP
GDK_USE_XFT=1
export GDK_USE_XFT LANG

.xftconfig

dir "/usr/share/fonts/truetype/kochi"
match any family == "Sans" edit family += "Kochi Gothic";
match any family == "Serif" edit family += "Kochi Mincho";
match any family == "Monospace" edit family += "Kochi Gothic";

で出来てますけど。

596 :login:Penguin:02/12/01 02:41 ID:hOt7ky51
>>585 >>570
設定の、UserInterfaceの、
charset to use there is no encoding info
をSJISにすればOKだね。設定方法が
変わってるから、注意!

597 :login:Penguin:02/12/01 02:54 ID:Glyg5hno
レスどうもありがとう。
http://lists.debian.org/debian-openoffice/2002/debian-openoffice-200207/msg00096.html
上のリンクを参考にしてやってたんですけど、
mkttfdirを実行していなかったせいか、
ttf-kochi-gothicをインストールしたものの、xfontselやMozillaでは
このフォントが見つけられませんでした。

mkttfdirを実行するためにfttoolsをインストールしようとするとbroken packages
でインストールできません。

apt-get --fix-broken update で依存関係を修復でしたね?
一応試してみたものの変化ありません。

Gnome2を試したくてsidにしたのですが、これはsidの罠にはまってるんでしょうか?
sid使いながら情けない事いってますが許してくださ。

598 :login:Penguin:02/12/01 03:15 ID:dVM9xIH+
>>588
mozilla-browser-snapshot にパッチを当てなきゃ入力できない。
GTK+2 port は XIM まわりの作りが不完全。

599 :ユーザ名とパスワードの最大長:02/12/01 04:23 ID:thzaHDSF
ユーザ名とパスワードの最大長はどうなっているのでしょうか?
カーネルとしては UID/GID しか見ていないと思うので、
使っているライブラリのバージョンに依存すると思うのですが、
一般的にはどれくらいなのでしょう?

ユーザさんによっては 30 文字くらいのユーザ名を使わせてくれという人もいるので。

Debian GNU/Linux 3.0 (woody) を使っています。

600 :ユーザ名とパスワードの最大長:02/12/01 07:35 ID:thzaHDSF
>>599
Linux Administrators FAQ List
Written by the people of linux-admin@vger.rutgers.edu
http://www.tigerteam.net/linuxgroup/linux-admin-FAQ/Linux-Admin-FAQ.html#toc6

によると

6.17 What is the maximum username length, and is there way to extend it?
No. Username length It's not configurable.
Under libc-5, the utmp and wtmp files only allow 8 characters for a username.
Under libc-6, this is increased to 32 characters.

You can use usernames longer than this limit.
However, the utmp/wtmp entries will be truncated,
and so won't correspond to a valid username.
This doesn't matter for most things.

601 :ユーザ名とパスワードの最大長:02/12/01 07:40 ID:thzaHDSF
>>600
結局 libc6 だったら問題ないということかな。
メールアドレスだけ頂戴、っていうようなとあるユーザさんが
「私は KoizumiJunichiro12345@ore.no.domain みたいなのがいい」
って言うんですが、そんなことできたかなぁって思って。

もし KoizumiJunichiro12345 ってユーザが作れなければ
/etc/aliases で適当なユーザに振ってしまえばいいわけですが、
メールアドレスにおけるユーザ名部分と、
POP3 認証におけるユーザ名が異なるというのが理解しづらいらしい。

もちろん POP3 認証を UNIX のユーザ認証と完全に分離して
MySQL とかでユーザのデータベースを作ってそっちで認証すればいいわけですが、
わずか数人のためにそこまでするのも面倒だなぁ、と。

どうも Debian に特化した話題ではないようなので
(しいて言えば libc6 の話題みたいなので)
以後は別スレッドに移動します。
でも何かコメントがあったらレスください。
このスレもいつも読んでいるので。でわ。

602 :login:Penguin:02/12/01 08:40 ID:WMw3Nutz
>>590
defoma-reconfigure じゃないかな?

>>597
/etc/X11/XF86Config-4 に
FontPath "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType/" を追加して
xset fp rehashでは?

defomaはttcapを使うので Load "xtt" のほうが Load "freetype" よりもベターな気がする。

OOo使うなら
/etc/X11/XftConfig に
dir "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
を加えてxftcacheするといいかも。

Xft/AAの映り具合はlibfreetype6のバージョンとかにもだいぶ左右される気が...

603 :login:Penguin:02/12/01 14:37 ID:HKySUrJj
sidだけど、MozillaでAA使うにはどうしたらいいの?
Xft使うにはソースからいれろってこと?

604 :login:Penguin:02/12/01 17:29 ID:rgADzi06
ttf-* というパッケージをインストールしたら、自動的に /etc/X11/XftConfig に登録されるようになったらいいのになあ、と言ってみるテスト。

605 :login:Penguin:02/12/01 17:42 ID:OZDPYYwz
>>604
defoma

606 :名無しさん@Emacs:02/12/01 21:55 ID:8kGGhgGW
emacs21+cannaでは.canna見てくれないのでしょうか。
顔文字使いたいんですけど。

607 :login:Penguin:02/12/01 22:01 ID:dVM9xIH+
>>601
POP のパスワードは郵便受けに付けた鍵、メールアドレスの名前とは別、と
思えば、それほど不自然ではないかと。


608 :607:02/12/01 22:02 ID:dVM9xIH+
s/POP のパスワード/POP のユーザ名+パスワード/
ところで、大規模に運用するなら、LDAP でしょうな

609 :login:Penguin:02/12/01 22:15 ID:GOHG1FXt
>>601
Emacs21ってことは、Cannaクライアントはycでしょ?
となると.cannaをまともに見てくれてなかった気が。

つーことで誰かemcwsのdebパッケージ化ヨロ
入力にダイレクト感があってよかったよ、emcws。
muleとかNEmacsがああだったよなあ。

Emacs20-dlはなんで微妙に重く感じるんだろう、入力。

610 :609:02/12/01 22:18 ID:GOHG1FXt
>>601じゃなくて>>606だった。
navi2chの表示番号がずれちゃってたぜ(汗)

611 :login:Penguin:02/12/01 22:30 ID:ta2GWGK2
>>609
sidからeggの新しいの入れれば。
(setq default-input-method 'japanese-egg-canna)
でかんなつかえるし。

612 :名無しさん@Emacs:02/12/01 22:45 ID:8kGGhgGW
>>609
Woodyのeggです

/etc/init.d/canna に
CANNA_SERVER_OPT="-u canna -inet"

とやって使えるのですけど、せっかく追加した顔文字が使えない(泣

613 :609:02/12/01 22:53 ID:GOHG1FXt
eggも読んでくれなかったかと思うぞ。
それで以前、debian-usersでぅぇぃ!先生がemacs20-dlのメンテナを引き継ぐ
引き継がないの話になったんでしょ?

614 :login:Penguin:02/12/01 22:59 ID:o3y/KN2r
eggはcannaにも対応してるよ。language-envで自動設定だし。
で、ぅぇぃ!先生がemacs20-dlをやりたいと言ったのは、
eggのUIが気に入らないから。



615 :login:Penguin:02/12/01 23:02 ID:8kGGhgGW
いまさらemacs20に戻れと言われても(泣
canna捨てですか?

616 :603:02/12/01 23:26 ID:HKySUrJj
だれもMozillaでアンチエイリアス使ってないの?

617 :login:Penguin:02/12/02 00:02 ID:ZUZ/BuOx
>>616
/etc/mozilla/prefs.js でもいじれ

618 :    :02/12/02 00:02 ID:dVO32Ghx
今日potateをインストールしてその後インターネットでwoodyにアップグレードしたんですが
cpやらの基本コマンドとかの日本語表示説明が消えちゃいました。
あとmanの日本語表示が出来なくなっちゃいました。
set-language-env使って一通りやったんですがうまくいきません。
お知恵を貸してください。
あとLESSコマンドが消えてるみたいなんですがこれで良いんでしょうか?


619 :login:Penguin:02/12/02 00:12 ID:pcdr1MHb
>>616
...こんなのがあることはあるけどかなり面倒
http://fontconfig.org/
http://fontconfig.org/mozilla/patches/

バイナリもあるけど
http://fontconfig.org/mozilla/dist/
いずれにせよ"Xft 2.0"は自前コンパイルかな

620 :login:Penguin:02/12/02 00:29 ID:yot2u48d
>>616
1.1ですけどsidのmozillaままでAAできますた
http://penguin.s4.xrea.com/imgboard/img-box/img20021202002853.png

621 :login:Penguin:02/12/02 00:38 ID:pcdr1MHb
>>620
げ! ほんとだ。
どーゆーふーにしてAA出してるのか
apt-get sourceしてしらべてみよう。

622 :login:Penguin:02/12/02 00:55 ID:9K4l4rbY
>>618
manpages-jaは入ってる?

623 :login:Penguin:02/12/02 00:57 ID:upFyfld1
>>615
我々Cannaerに残された道はemcwsしかないのだ……

624 :login:Penguin:02/12/02 01:03 ID:+cZfCUIO
egg-cannaで快適なんだけど、何が問題なの?
# .cannaのかわりに.emacsに設定書くんじゃだめ?

625 :login:Penguin:02/12/02 01:32 ID:WODTLDKK
>>618 jless が入ってないとか alias less=jless とか export PAGER=jless とか

626 :login:Penguin:02/12/02 01:42 ID:bLpPe2UL
>>620
すげー。MozillaでAAかよ。
昔使ってたMacOS9を思い出すよ。奇麗だったなー、IE5。

で、どうやった?
libfreetype6は作り替えたのか? それともdebuan || guruのやつ?
元のまま、prefs.js替えただけ?
KDE-JPのXFree86へのパッチとか当てたりもしたのか。

627 :626:02/12/02 01:43 ID:bLpPe2UL
すまん。
>>620
フォントは何を?

628 :login:Penguin:02/12/02 01:45 ID:upFyfld1
>>624
romakana-tableはどうやって設定するの?
use-dictionaryは?
symbolic-definitionは?


629 :621:02/12/02 01:50 ID:pcdr1MHb
...よくわからんけど
デビアンのプールからブツをとってきて
ふつうにdpkg -iでインスコした...だけではだめで

それからgdkxft入れて
LD_PRELOAD=/usr/lib/gdkxft.so gnomecc でフォントの設定して
それからおもむろに
LD_PRELOAD=/usr/lib/libgdkxft.so mozilla
とするとめでたくAAになりました。 拍手。

sargeに入れましたが問題ないようで
ldd -r /usr/lib/mozilla/mozilla-bin
でも異常無し。

630 :login:Penguin:02/12/02 01:51 ID:9/uMNCsg
>>624
canna-shionの顔文字辞書を使いたいんです
半角カタカナも使いたいし
.emacsにはどんな風に設定したらいいのでしょう?

631 :login:Penguin:02/12/02 02:00 ID:yot2u48d
>>626
mozillaもfreetype6も素のsidのパケジのまま。
フォントはダイナの華康ゴシックW5。
prefs.jsでもいいんだろうけど、user.jsつくっただけ。
こんな感じ。

user_pref ("font.FreeType2.enable", true);
user_pref ("font.freetype2.shared-library", "libfreetype.so.6");
user_pref ("font.FreeType2.autohinted", false);
user_pref ("font.FreeType2.unhinted", false);
user_pref ("font.antialias.min", 8);
user_pref ("font.embedded_bitmaps.max", 100000);
user_pref ("font.scale.tt_bitmap.dark_text.min", 32);
user_pref ("font.scale.tt_bitmap.dark_text.gain", "0.1");
user_pref ("font.directory.truetype.1", "/usr/local/fonts/dyna");
user_pref ("font.directory.truetype.2", "/usr/local/fonts/macosx");
user_pref ("font.directory.truetype.3", "/usr/local/fonts/win2k");

632 :login:Penguin:02/12/02 02:05 ID:upFyfld1
どうも>>620のようなAAはぼやっとして好きじゃないんだよな。

http://www.mozilla.org/projects/fonts/unix/enabling_truetype.html

とりあえずこんな方法でAAしてみた。
大きく印象が変わったりはしないけど、文字がすっきりするね。

633 :login:Penguin:02/12/02 02:06 ID:yot2u48d
>>629
gdkxft使わないとだめですか?
入れなくてもAAできるみたいですが。
KDEなんでmozillaに影響でる設定ないし、gnomeccもつかってまへん。

634 :login:Penguin:02/12/02 02:18 ID:Ev+0NlI3
>>629
Woodyでもいけたよありがとぉ

635 :    :02/12/02 02:21 ID:dVO32Ghx
>>622 625
どうもすみませんレスしてもらって。
日本語表示環境の方は自己解決しましてドキュメント読んでlocale.genの設定が
間違ってました。
EUCにしたらちゃんとうまく生成されてmanと基本コマンドの日本語が表示されました。
ご迷惑かけてすみません。
あとlessはやっぱり無いんですね。しょうがないのでln -sでjlessにリンクしときました。
ページャーのlvっていうのもはじめて見ました…。
でもdebian良いですね。
potateからのパッケージアップグレードは見ていて爽快でした。アップグレードしましたけど
問題もなさそうです。カーネルはアップグレードされてないみたいなので
いじらないと駄目そうですね。
前はslackwareだったんですがdebian良いのでしばらく居座るかもしれません。

636 :login:Penguin:02/12/02 02:22 ID:upFyfld1
む? AAかかったフォントって、boldやitalicにならないな。
みんなのところはなる?

637 :login:Penguin:02/12/02 02:59 ID:ode/vfim
JAVAのコンパイラとVM、皆さん、どこからインストールしてますか?


638 :login:Penguin:02/12/02 02:59 ID:pcdr1MHb
>> 632
...まとめてみると
env NS_FONT_DEBUG=400 mozilla
のようにしてmozillaを動かして "freetype not compiled in"
とか言われなかったら、freetype2の使えるmozillaなので

/usr/lib/mozilla/defaults/pref/unix.js または
~/.mozilla/だれか/なんとか.slt/users.js

などの設定ファイルに、肝腎の
pref("font.FreeType2.enable", true);
を忘れずに書いて、そのファイルに
>>631さんが晒してくださったような書式でこりこり書く。

できたらmozillaたちあげてふつうにフォントを設定する、ですか。

> Note that the very first time Mozilla/Netscape sees a new
> TrueType font(s) it will scan the font(s).
そーいえば一番最初にsid版mozilla立ち上げたとき
/var/lib/x-ttcidfont-conf.d/dirs/TrueType/
なんだかスキャンしてたような...(途中で落ちた)

なるほどそうだったのか!
もう少し試してみます。

639 :638:02/12/02 03:11 ID:pcdr1MHb
イカサマなしでAAできました。
settingのところで
AAができるフォントはなんだか見覚えのないfoundary名で
表示されてるのでそれとわかります。

タダでいいことを教えていただき、感激しています。

640 :login:Penguin:02/12/02 03:37 ID:RC6aqkMy
>>639
AAにしたら表示がかなり遅くならない?

641 :login:Penguin:02/12/02 03:57 ID:pcdr1MHb
このsidのmozillaでは
とくにそういうことはないですよ。
ほげP明朝とか、ふがUIゴシックなんかを
AAなしで表示したらめちゃくちゃ遅いけど。

いま気がついたのですが
user.jsつくりなおそうと思って、
rm -rf ~/.mozilla してbrandnewにしたら
なんもややこしいことしなくても
デフォルトでAAになってました。

642 :login:Penguin:02/12/02 11:45 ID:pm30cN9i
sidのvimとscreenを一緒に使うと、vimの画面が一行ずれるのって漏れだけ?

643 :login:Penguin:02/12/02 11:57 ID:9K4l4rbY
>>629
昔、libgtkxftのドキュメントに、マルチバイトはサポートする気ねーからgtk2使え。
って書いてたのを思いだしたんだけど、libgdkxftって日本語使えないよね?


>>636
freetypeって日本語のボールドとかイタリックはシカトされてた気がする。
っていうかfreetypeで日本語のボールド、イタリック使う方法あればキボンヌ。


644 :login:Penguin:02/12/02 15:14 ID:N0Vz24g+
>>642
なんだ?一行ずれるって。

645 :名無しさん@Emacs:02/12/02 16:38 ID:BhlbYlAG
どうやってもMozillaにAAかからないで悩んでたんだが
単純にBitmapを持ったTTフォントを使っていたからだった

646 :名無しさん@Emacs:02/12/02 16:48 ID:BhlbYlAG
libfreetyp6の設定変更して、こんな感じ
でも字が薄くて読みにくいので戻そうと思う
http://penguin.s4.xrea.com/imgboard/img-box/img20021202164622.jpg

647 :login:Penguin:02/12/02 16:50 ID:VvGO+kDL
>>645
> 単純にBitmapを持ったTTフォントを使っていたからだった

ビットマップを持ってないフォントってどれ?

さっきの英語ページ見てると、フォントは、大文字で始まる
フォントを使えって書いてあるように見える。
Take-kochi gothic-なんたら と、
Take-kochi mincho-なんたら しかないんだけど。
MSのは使えんのかなぁ?
richo-ms gothic-なんたら ってのは、あるんだが.......

648 :名無しさん@Emacs:02/12/02 16:56 ID:BhlbYlAG
>>647
MSゴシックなんかはビットマップ持ってる。商用フォントはたいてい持ってるね。
Kochiなんかだと無かったと思うから、いきなりAAできるんじゃないかな。
上でも書いたけどlibfreetype6を作りなおせばMSゴシックでも表示できるけど
汚くてがっかりすると思うからやめたほうがいい。

649 :647:02/12/02 17:09 ID:VvGO+kDL
http://penguin.s4.xrea.com/imgboard/img-box/img20021202170835.jpg

みたいになる。

650 :login:Penguin:02/12/02 17:44 ID:upFyfld1
なるほど、bitmapはAAかからんのか。
だからOpenTypeのビットマップ無しフォント使うんだな。

651 :login:Penguin:02/12/02 18:06 ID:nILo/jb6
AAってのは「略式のbitmapにaliasしない」ってことでそ

652 :login:Penguin:02/12/02 18:07 ID:upFyfld1
http://www.kde.gr.jp/ml/Kuser/msg03174.html

めも

653 :login:Penguin:02/12/02 18:17 ID:upFyfld1
>>652の方法はもじらじゃ効かなかった(涙)

654 :login:Penguin:02/12/02 18:58 ID:pcdr1MHb
libfreetype6はバージョン/コンパイルオプション
なんかによってEBが表示できるのとできないのがある。

なるべく新しいバージョンのfreetype2に(最新リリースは2.1.3)
http://www.kde.gr.jp/~akito/patch/download.html
に置いてある"ttcmap4.patch"をあてて
TT_CONFIG_OPTION_EMBEDDED_BITMAPS をdefineして
buildした"libfreetype6"を使えば最強の筈。
(ここには他にもなんだかすごいお宝がいっぱいある)

sid版Mozillaのfreetype2を使ったAAはどういう方式なのか
(たぶんMozilla.orgの標準)よくわからないけど、

現行のXft1(xftcacheなど)
次世代のXft2(fc-cacheなど)
どちらとも違う独自の方式なのでは?

このmozillaのソースとってきて
mozilla-1.1/debian/mozilla-runner を覗いてみたら

##
## Set FONTCONFIG_PATH for Xft/fontconfig
##
# disabled on debian
#FONTCONFIG_PATH="/etc/fonts:${MOZILLA_FIVE_HOME}/res/Xft"
#export FONTCONFIG_PATH
...うんぬんとあるのでいずれXft2に対応するのかな?

655 :login:Penguin:02/12/02 20:56 ID:1Wg+S5Vs
(一瞬AsciiArtの話題かと思った漏れは逝ってよしでしょうか……)


656 :login:Penguin:02/12/02 21:17 ID:QXAtKdpl
(´-`).。oO(2chでAAっていえばチミのがただしいだろう…)

657 :login:Penguin:02/12/02 21:27 ID:nILo/jb6
(´-`).。oO(AAされたslって楽しいかも)

658 : :02/12/02 21:33 ID:LlTSbDlo
>>655
( 気にするな、仲間は沢山いるぞ )

659 :login:Penguin:02/12/02 22:03 ID:dVO32Ghx
昨日からDebianに惚れこんで使用しだしまして
今日ノートパソコンにインストールしました。
インストール容量もサーバー用途なので全部で200メガと
凄くすっきりしてて幸せな気分になりました。
所でsamba等のパッケージはtarボールパッケージでは日本語パッケージの配布がありますが
基本的にDebianは多言語対応(もちろん対応してないサーバーもありますが)
の物が上がっていると考えてよろしいのでしょうか?

660 :login:Penguin:02/12/02 22:10 ID:kkDrV60i
てst

661 :647:02/12/02 22:22 ID:VvGO+kDL
>>649
のスクリーンショットみたいなのしか
できないなぁ。なんでだろう......道は長いか...


# ATIのドライバがsidだとlibcのバージョンが違ってて
# 使えないのが痛いなぁ...

662 :login:Penguin:02/12/03 11:25 ID:bB4bwVlH
>>659
何言ってんだかよく分かりませんが、
samba-jaってのがあります。
多分JP Projectの方々がこさえたのでしょう。

663 :login:Penguin:02/12/03 20:51 ID:gVRnj0hD
どなたかアップル社ibookにDebianのインストールを成功した方おられる
でしょうか。PCにRedHatやvineを入れたことはあります。Mac68kにはNetBSD
を入れました。
この程度のインストール厨にはDebianをibookに、は無理でしょうか?
外国の方がインストール成功の写真があって出来ればポータブルに入れてみたい
と思っているのですが。判定お願いします。
Debianはとにかく難しいという話でビビっています。

664 :login:Penguin:02/12/03 21:01 ID:YZI4lNLF
>>663
いるよ。
http://www.debian.org/News/weekly/2002/16/index.ja.html

665 :663:02/12/03 21:14 ID:gVRnj0hD
>>663
レスどうもです。日本にはこういう猛者?はいないのでしょうか…。
PCにほかのlinuxを入れるようにCDから簡単に入れられるのでしょうか?
HDDを初期化しないといけないのでなかなか決心が付きませんが、なんとなく
入れてみたいDebian…。
情報ありがとうございました。

666 :login:Penguin:02/12/03 22:09 ID:KsPdS8Pe
>>665
PowerBook 300 (Wallstreet) にしかいれたことが無いが、
http://debian.fam.cx/#content:56
の LordSutch.com ISOLINUX mini-ISO image (alpha、i386、m68k、powerpc用)
が使えるのかも…
iBookでMLを検索するといくつかヒットするので何とかなると思うが…

667 :login:Penguin:02/12/03 22:16 ID:0qPVwYel

woodyに対応したDebianの書籍ってまだ出版されていないんですかね?
雑誌の附録CDに入っていたDebian入れようとしたけど、なかなかうまくいかなくて、
解説本を買ってやらなきゃだめかな、と思い始めているところです。


668 :login:Penguin:02/12/03 22:34 ID:v3kdrg7U
woodyに対応した書籍出して欲しいと願っておる一人です。
ムトゥ様が書いてくれてたら良いんですが。
ムトゥ様の本はdebianっていうよりLinuxの細かいTipsが所どころに
載ってて為になりました。この人は本当に色々詳しいんだなぁって
関心しました。
是非Debianの素晴らしさを他の人にも体験してほしい所です。
Debianはインストール時が少し面倒くさいんですが
インストール後は非常に楽チンでDebian以外は使いたくなくなりますね。

669 :663:02/12/03 23:12 ID:gVRnj0hD
>>666
勇者ですね!先達がおられるのは励みになります。
今関連テキストを読みあさっています。情報ありがとうございます。
ベッドで寝ながら Debian/プログラムを勉強できたらと思っています。
#牛とペンギンの絵、いいですね

>Debianはインストール時が少し面倒くさいんですが
mac68k/NetBSDは少しく苦労したので、Macintosh特有のトラブルが
ないか脅えていますが、楽しみでもあります。


670 :login:Penguin:02/12/04 01:07 ID:DKGRCeyp
freetype作りなおしたら
woody上のphoenixでもアンチエイリアスできたYO
なんかまだフォントの扱いが統一されてない感じで
ちょっとわかりにくいね


671 :名無しさん@Emacs:02/12/04 01:30 ID:4vRufZEW
freetype作り直しってどうやるの?
ソース取ってきてmake installってこと?

672 :login:Penguin:02/12/04 01:42 ID:5y5ADHSq
>>671
http://lists.debian.or.jp/debian-users/200207/msg00193.html

673 :login:Penguin:02/12/04 02:03 ID:XuJ6mu21

ま た メ リ ケ ン の 手 配 ミ ス か

674 :670:02/12/04 02:13 ID:DKGRCeyp
>>672
そうそうそれ
フォローさんくす

emacsでもアンチエイリアスとか無理かな
そこまでやるとうざいか


675 :おむこさん志望 ◆QtGqCwfDSA :02/12/04 03:10 ID:CBDyYkHe
>>674
emacs から freetype のAPIを直接つかってもいい。
また、Gtk+2 で使ってる pango は表示したい文字列を UTF-8 で渡すので一見すると CJK 間で
統合された漢字の表示で問題が出そうだけど、emacs 側で文字集合に対し
明示的にフォントを指定する( jisx...なら東風フォント、ksc...ならBaekmuk.., gb2312 なら... みたいに)
ようにすれば多言語表示も問題なくできそうな感じ。 pango は API が整備されてるから実装は
楽そう。

というか Debian とかんけーねーな

676 :login:Penguin:02/12/04 05:03 ID:uQbzOcgP
これ
user_pref ("font.embedded_bitmaps.max", 100000);
を、例えばこんなふうに
user_pref ("font.embedded_bitmaps.max", 12);
すると最大12pixel(?)のフォントまでしかビットマップを使わなくなって、
それ以上の大きさはビットマップがあっても AA かかるYO!


677 :login:Penguin:02/12/04 10:05 ID:YQPaOOaI
>>663
iBOOKってどのモデルですか?
どのモデルでも666さんが紹介しているCDイメージでインストールできますけど、
最近のモデルはnvidiaのグラフィックカードだったと思うので、Xまわりは大変かもしれません。

それと、iBOOKに限らずですが、
http://debian.fam.cx/#content:64
を読んでおいてください。
また、インストールするパッケージが分からなかったらVineを参考にすると良いです。

678 :login:Penguin:02/12/04 23:02 ID:SSAqrx2p
お! kernel-source-2.4.20 が北。


679 :login:Penguin:02/12/04 23:04 ID:SSAqrx2p
678 あれ?トレン...



680 :login:Penguin:02/12/04 23:55 ID:7HDVIK+q
VMware の中に sarge ブッ込んだのはいいんですが、

while (1) {
 X を上げようとして失敗
}

という風なループに陥っております。

起動時に X を立ち上げないようにしたいのですが、どこらへんをいじれば
よいのでしょうか?

681 :login:penguin:02/12/05 00:19 ID:LYIQtk90
>>680
lilo [Shift]
linux single[return]
# chmod 644 /etc/init.d/xdm or # chmod 644 /etc/init.d/kdm


682 :名無しさん@Emacs:02/12/05 01:47 ID:gTCKiEu5
/etc/init.d/networking を、誤って別の内容のもので上書きしてしまったのですが、
このファイルだけを持ってくる方法ってないでしょうか。


683 :login:penguin:02/12/05 01:49 ID:LYIQtk90
>>682
dpkg -S "networking"

684 :login:Penguin:02/12/05 03:09 ID:DkHVIxCY
PCMCIAモジュールがmake-kpkgできなくなりますた。woody。
・カーネルソースを新規に/usr/srcに展開
・pcmcia_cs.tar.gzも新規に/usr/srcに展開
・てきとうにmake menuconfig、てきとうにPCMCIAの設定(全部Y)
・make-kpkg clean
・make-kpkg --revision hoge1 kernel_image modules_image
・小一時間ほど放置
・/usr/src以下に、kernel-image-2.4.18_hoge1_i386.debができる
だけ。PCMCIAのモジュールパッケージがどこにも見当たりません。

make-kpkg modules_imageや、pcmciaディレクトリでdebian/rules binary-modulesを実行すると
Module /usr/src/modules/pcmcia-cs processed fine
というメッセージを最後に残して終了してしまいます。何がいけないんでしょう…

685 :login:penguin:02/12/05 07:25 ID:LYIQtk90
>>684
$ grep PCMCIA .config
# PCMCIA/CardBus support
# CONFIG_PCMCIA is not set
# CONFIG_PHONE_IXJ_PCMCIA is not set

686 :login:Penguin:02/12/05 13:20 ID:i5RwSsXJ
質問。

emacs-20.7.tar.gz を make しても、起動しません。
frame を作成するため elisp から Xt の関数を呼び出しす直前で落ちます。
Xt を静的リンクにすると起動します。

これは debian の Xt がおかしいのですか?それともコンパイルの仕方がかしいのですか?


687 :login:Penguin:02/12/05 14:07 ID:SyhPeBbm
apt-get updateするとこんなエラーが出るのはうちだけ?
# sargeで使っていてsidからはいくつかパケジ借りてるだけなので
# apt-lineからftp.jp.debian.orgのsidを外すとエラーは出なくなるけど

Reading Package Lists... Error!
E: Dynamic MMap ran out of room
E: Error occured while processing wml (NewVersion1)
E: Problem with MergeList /var/lib/apt/lists/ftp.jp.debian.org_debian_dists_sid_main_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.




688 :login:Penguin:02/12/05 14:42 ID:NB7VH6Oi
ちょっと聞きたいんだけど、
apt-get するとき、彼方のサーバのPackages.gzを見ると思うんだけど、
sid の新しいやつって、gzipじゃ無くて、bzip2圧縮のだけしか見ないように
なったんだっけ?
それともReleaseを見なくなったんだっけ?
そんなのがどこか流れた気がするが、
navi2ch.sourceforge.net/debian にはPackages.gz があるのに、
apt-get update してもエラーがでるんだよね。

689 :名無しさん@Emacs:02/12/05 14:48 ID:mzSf0nqQ
>>688
なんで先に自分を疑わないのか?

690 :login:Penguin:02/12/05 17:17 ID:wAH59gK6
>>687
過去ログ検索
ttp://debian.dtdns.net/2ch-debian/index.cgi?query=Dynamic+MMap+ran+out+of+room&whence=0&max=20&result=normal&sort=score


691 :687:02/12/05 18:06 ID:7y0jORxj
>>690
thx!!

692 :名無しさん@お腹いっぱい:02/12/05 19:34 ID:xtB2YXlo
apt-getでjfbterm入れたのですが、コマンドを実行しても
/etc/jfbterm.confを読んでるような表示がでたあと、
open /dev/fb0: No such device
といわれて使えません。
jfbtermはaptで入れただけで設定とかはとくにしてません。
/dev/fb0は存在して、
crw--w--w- 1 root tty 29, 0 12月4 16:07 /dev/fb0
って感じです。
/proc/devicesには29番のエントリがありません。
どないしたらええんでっしゃろ?

693 :login:Penguin:02/12/06 00:58 ID:IFtvTk3/
>>692
fbのドライバをいれる。driver/video の下から自分にあったのをいれるです。


694 :_:02/12/06 03:34 ID:mf8UMTP1
CDドライブとFDドライブを使わずFTPから落としたイメージを
ハードディスクに直接コピーして
別パーティションのlinuxから、そのイメージを起動できるようにliloして
インストールってできますか?
うちのノートLANはつながってるのですがドライブがないもんで・・・

695 :login:Penguin:02/12/06 08:45 ID:Gn3ltmao
>>694
MS-DOSかWindowsの起動パーティションに
install.bat、loadlin.exe、linux.bin、root.bin、rescue.bin
などを作ればインストールできると思う。ファイルは
http://aist.ring.gr.jp/pub/linux/debian/debian/dists/stable/main/disks-i386/current/
にある。README.txtや
http://www.jp.debian.org/releases/stable/i386/ch-install-methods.ja.html
を読んでくれ。(install.batを少し書き換える必要があったかも…)

696 :sol:02/12/06 15:56 ID:QLUVCocx
woodyをルータにして使っているのですが、クライアントマシンのLAN接続の
アップorダウンをログ監視できないでしょうか?
solaris だと接続されるとアップorダウンのメッセージがでますよね。


697 :login:Penguin:02/12/06 16:33 ID:PGPS+92C
>>696
SYNパケットをログ出力するとか?

698 :login:Penguin:02/12/06 16:34 ID:loqegS53
>>696
man dhcpd


699 :末吉亮介:02/12/06 17:57 ID:2YimPMiX







http://genie.gaiax.com/home/ffppppffpfp






700 :login:Penguin:02/12/06 18:25 ID:7JZ8TfY0
DebianでXOOPS使いたいんだけど、誰かパッケージ作ってください。
おながいします。

701 :login:Penguin:02/12/06 20:46 ID:+YmXkYTJ
テンプレのとうりにpinの設定(etc/apt/preferencesのほう)をしたんですが、
apt-get -s upgrade してみると、debian:testingなパッケージがインストールされるようです。

sources.list は woody,sarge,sid それぞれあります。
どこが間違ってるんでしょうか。

702 :login:Penguin:02/12/06 23:36 ID:qwQA9Fnl
>>701
PHPNukeのパッケージを元に自分で作ってみたら?

703 :702:02/12/06 23:37 ID:qwQA9Fnl
スマソ
>>701 => >>700
でした。

704 :login:Penguin:02/12/07 03:02 ID:UqwxTLrm
sidでptexがインスコできなくなっちゃったので-jpだけwoodyに戻した。
みんなどしてる?


705 :名無しさん@Emacs:02/12/07 10:45 ID:TMxcheSP
>>704
それもう直った

706 :login:Penguin:02/12/07 15:16 ID:hQtT53KT
なんか dselect が obsoleted になっているんだけど・・・・
俺だけ?

707 :login:Penguin:02/12/07 15:18 ID:hQtT53KT
>>706
package search results

------------------------------------
Release Package (size)
testing dselect 1.10.9 (87.5k)
a user tool to manage Debian packages
unstable dselect 1.10.9 (87.5k)
a user tool to manage Debian packages

-------------------------------------
Responses 1-2 shown, out of total of 2.

http://packages.debian.org/cgi-bin/search_packages.pl?keywords=dselect&searchon=names&subword=1&version=all&release=all
での検索結果。stable からはなくなっちゃったのかなぁ。なんで?

708 :login:Penguin:02/12/07 15:33 ID:N2WF4fqd
いいかげん dselect を obsolete にしないと、
誰も新しい例の(なんだっけ?)に移行しないからじゃないか?

709 :ありがとう:02/12/07 15:37 ID:hQtT53KT
Debian GNU/Linux スレッド Ver. 12
http://pc.2ch.net/test/read.cgi/linux/1033049225/52
http://pc.2ch.net/linux/kako/1033/10330/1033049225.html

woodyでsidやsargeのパッケージを借りるには(pinの使い方)
http://debian.fam.cx/#content:39

710 :login:Penguin:02/12/07 15:39 ID:hQtT53KT
>>708
んでわ、potato から woody にアップグレードした漏れは、
とりあえず何を使えばよいのでしょうか・・・

711 :login:Penguin:02/12/07 15:51 ID:hQtT53KT
そういや、 /etc/apt/apt.conf.d/ はつかえるのに
/etc/apt/sources.list.d/ はつかえないんだね。

712 :login:Penguin:02/12/07 17:06 ID:hQtT53KT
>>710
aptitude をつかうのが今の常識ですか?

713 :login:Penguin:02/12/07 18:46 ID:CJ3cw7ZS
はじめまして。abiwordで日本語のフォントが出せずに苦労している素人です。1.03がでたようですが、自分でパケジ化するしかないのでしょうね。woody+XF86-421です。まだグノメ1.4です。どなたさまかご教示ください。



714 :login:Penguin:02/12/07 18:48 ID:Xc1T9wAS
>>713
sid に 1.04 のパッケージがあるから rebuild してみる、とか。
http://packages.debian.org/abiword

715 :login:Penguin:02/12/07 19:05 ID:3wMVyEAG
>>713
woody の時に gnome1.4 + abiword1.02 で普通に日本語使えたよ。
/usr/share/AbiSuite/fonts/jp
に fonts.dir 作成すればよい。


716 :701:02/12/07 19:38 ID:s/OYtc9+
>>701 をだれか教えてください。
ギブアップです。いくら検索してもわかりません。
proposed-update のせいでもないみたいだし。

717 :login:Penguin:02/12/07 20:41 ID:JOn63Xlf
誰か>701を教えてあげろよ(藁

718 :login:Penguin:02/12/07 20:45 ID:jqijP5Fx
sargeにしたら、kinput2を使ってXIMで日本語入力ができなくなりました。XFree86 4.2.1-3 です。どうしたら日本語の入力ができるのでしょうか?

719 :login:Penguin:02/12/07 20:52 ID:hQtT53KT
>>716
/etc/apt/preferences の
Pin: release a=hogehoge のところで、
hogehoge に sarge とか sid だけじゃなくて、
testing とか unstable とかも指定したら、何かが起こる!

720 :701:02/12/07 21:03 ID:s/OYtc9+
---/etc/apt/preference-ここから
Package: *
Pin: release a=testing
Pin-Priority: 110
Package: *
Pin: release a=unstable
Pin-Priority: 90
---ここまで
テンプレそのままですけど、なにか致命的なかんちがいしてるんでしょうか。

721 :701:02/12/07 21:06 ID:s/OYtc9+
上のpreference->preferences は単なる書き間違いなので
気にしないでください。

722 :login:Penguin:02/12/07 21:33 ID:hQtT53KT
>>720
漏れは以下のとおり。
不用意にアップグレードされないように全部 98 にしてます。
いちおう testing, unstable だけじゃなくて、
sarge, sid も指定してます。
むだかもしれないけど。

Package: *
Pin: release a=sarge
Pin-Priority: 98

Package: *
Pin: release a=testing
Pin-Priority: 98

Package: *
Pin: release a=sid
Pin-Priority: 98

Package: *
Pin: release a=unstable
Pin-Priority: 98

723 :701:02/12/07 22:04 ID:s/OYtc9+
sarge,sid を入れてみるのはもう試したので、
preferences の内容が間違ってるってわけじゃなさそうです。
sources.list をうpしたほうがいいんでしょうか。

724 :login:Penguin:02/12/08 00:43 ID:A5tQQh7M
>>701
--------------
Package: *
Pin: release a=stable
Pin-Priority: 989
Package: *
Pin: release a=testing
Pin-Priority: 110
Package: *
Pin: release a=unstable
Pin-Priority: 90
-------
と言ってみるテスト。


725 :login:Penguin:02/12/08 02:40 ID:L3o/WUKN
pool方式ってなんか解りにくいなぁ、
前の方が良かったと感じる今日この頃・・・。

726 :login:Penguin:02/12/08 03:55 ID:YybkFMwb
>>707
woodyではdpkgに入ってる。


727 :あれ書いたひと:02/12/08 04:11 ID:YybkFMwb
>>701
リリース間に空行が必要なようです。
テンプレだと消えてましたね。すんません。
テンプレは直しておきました。


728 :701:02/12/08 11:26 ID:bKBc5iTD
>>727
どうもです。でもやはり、かわりませんでした。
>>724
そうしたら、stable にはなるんですが、proposed-updates がインストールされません。

別のパーティションに試しにもう一度インストールしてみます。


729 :login:Penguin:02/12/08 12:06 ID:Slh85d4S
>>728
> そうしたら、stable にはなるんですが、proposed-updates がインストールされません。

ごめん、俺は proposed-updates はまぁいいかと思ってたんで。

> 別のパーティションに試しにもう一度インストールしてみます。

む〜、それはやりすぎ?

730 :login:Penguin:02/12/08 14:45 ID:BtY+anCh
ローカルのマシンしかなくて個別にパッケージを
ダウンロードしたいのですがあらかじめ必要なパッケージの
依存関係を知る方法は無いでしょうか?


731 :login:Penguin:02/12/08 16:17 ID:Z7x5KZnN
>>730
http://packages.debian.org/パッケージ名
じゃ駄目?


732 :login:Penguin:02/12/08 16:53 ID:8w/6LaYp
>>730
素直に
apt-cache show パッケージ名
じゃだめ?

733 :login:Penguin:02/12/08 17:37 ID:wCE2MpBu
emacs21 と navi2ch-cvs の組合せってどうなの?
記事中の url が開けないんだけど、うちだけ?


734 :login:Penguin:02/12/08 17:54 ID:Tl/UZWRH
>>733
browse-url-browser-functionちゃんと設定してるか?

735 :名無しさん@Emacs:02/12/08 18:15 ID:hxzAJ+I/
うちは最近Mozillaが起動してると、
プロファイルを使用中といわれてurlを開けないな。
使ってないときは大丈夫だけど。

736 :login:Penguin:02/12/08 19:11 ID:Slh85d4S
qmail と daemontools がコンフリクトするんですが、
なぜでしょうか?

737 :login:Penguin:02/12/08 20:33 ID:Slh85d4S
>>736
ごめん、俺の勘違いだったみたい。
今使っている exim と共存させようとしてたからってだけなんだけど。
あと、 daemontools-installer は sarge の方が新しくていいみたい。

738 :login:Penguin:02/12/09 00:56 ID:Tn9bzqgE
>>731
web に載っているるとは知りませんでした。
大変助かりました。ありがとうございます。

>>732
実は testing のパッケージを使用したいので
ローカルに持っている apt-line (でしたっけ?)の依存関係
と異なると思ったのです。説明が悪くすみません。
ご親切にありがとうございました。


739 :login:Penguin:02/12/09 10:09 ID:/t56hjzO
# apt-get -s dselect-upgrade \
| grep 3.2.2-0pre0 \
| grep ^Inst \
| sed -e 's/Inst //' -e 's/ (.*/ hold/' \
| dpkg --set-selections
dpkg: status database area is locked by another process

tmp file作ってからdpkg --set-selectionsしてるんだけど、
もっといいやりかたないかな。


740 :724:02/12/09 11:05 ID:Bmo8nOvC
>>701,728
proposed-updatesインストールされませんか。
おかしいなぁ。おれのはアップグレードされてると
思ってたけれども。もう一度やってみよ。

で、>>729 が俺の偽者をやってる気がするが、
気のせいか?(w

741 :login:Penguin:02/12/09 17:05 ID:baxOj4f8
スレッドテンプレが見れませんね。。

742 :login:Penguin:02/12/09 17:18 ID:Z06eLurI
>>741
HDDが逝ってしまいました(;´Д`)
スレッドテンプレのデータは吸い出せたんですが、
新しいHDD買ったりしなきゃならないんで、
復旧にはしばらく時間がかかると思います…

743 :login:Penguin:02/12/09 17:20 ID:0jjXunw6
>>741
なんのためのミラーでつか?

744 :login:Penguin:02/12/09 18:37 ID:O/lYOxyM
sidでskk始めたいと思っているんですが,どのパッケージをinstallすれば良いのでしょうか?


745 :login:Penguin:02/12/09 18:43 ID:ImZBtCra
>>744
テンプレすらよまないつもりでつか?

746 :login:Penguin:02/12/09 19:44 ID:VRIFG43h
>>744
その程度も調べられないならsidなんてやめとけって。
煽りじゃなくて。

747 :login:Penguin:02/12/09 22:14 ID:kt07BwyF
>>744
woody ならこんな感じ。
dbskkd-cdb
ddskk
skkdic-cdb
skkinput

sid は知らん。

748 :login:Penguin:02/12/09 22:19 ID:cMpxFWCc
crontab -e のエディターってどこで設定できるの?

749 :login:Penguin:02/12/09 22:23 ID:cMpxFWCc
>>748
解決しました
EDITORに設定すればいいのか

750 :login:Penguin:02/12/10 14:12 ID:k3rWPjhT
>>742
おそレスですががごくろうさまです。


751 :login:Penguin:02/12/10 15:36 ID:EWqECg9P
以下を行ってみましたが、
二枚目のネットワークカードの設定がうまく行きません・・・

/etc/lilo.conf に append="ether=0,0,eth0 ether=0,0,eth1"
/etc/network/interfaces にeth0に習って、eth1を追加
再起動

どうやればうまく設定できるのでしょうか?
どなたかご教授願います。

/etc/porc/ioports には、eth0, eth1 とも書かれています。

752 :login:Penguin:02/12/10 15:38 ID:WlHgdFGg
>>751
/etc/modules に二枚目の NIC のドライバ名を書く。

753 :login:Penguin:02/12/10 15:45 ID:WlHgdFGg
>>751
脊髄反射で書いてしまったが、なんか最後の行がひっかかるな。
/proc/ioports の間違いならドライバはロードされてるのか?
/sbin/ifconfig -a してみれ。eth1 が出るか?
だったら /sbin/ifup eth1 してみれ。
それで動くなら auto eth1 の行を追加。

754 :751:02/12/10 15:55 ID:EWqECg9P
>>753
おーーーーーーーーー
/sbin/ifup eth1
ってやったら、設定が生きました!!!

あ、すみません。
最後の行は、/porc/ioports の間違いです・・・。

ありがとうございました。

755 :login:Penguin:02/12/11 10:21 ID:TZVnyRRf
1ch の住人です。http://1ch.tv/thread.php?th=99&ar=5&ca=1 から来ました。
最近話題がなくて寂しいかぎりです。

質問ですが、これ(http://dice.debian.gr.jp/dtools/dmail.png)はどこで入手
できますか?http://www.mailstock.org/ にはつながらないようですが……

756 :login:Penguin:02/12/11 10:30 ID:/2JDC8eO
>>755
Sylpheed でいいじゃん。

757 :login:Penguin:02/12/11 12:06 ID:wEHticj1
http://sourceforge.net/projects/mailstock/

758 :login:Penguin:02/12/11 16:12 ID:ryHhF8l7
debianをインストールしようと思うのですが、
potatoの本でインストールしてから、
woodyにアップデートするのと、
woodyの本が出てから買って、
それでインストールするのではどちらがいいでしょうか?

759 :login:Penguin:02/12/11 16:23 ID:+TFDbaPj
>>758
potatoの本でwoodyをインスコ。
potatoもwoodyも、インスコなんてほとんどかわらんよ。
とっととインスコしてイジくりまわしたほうがレヴェルアップする。

…とおもう。

760 :login:Penguin:02/12/11 16:29 ID:ryHhF8l7
>>759
ありがとうございました
がんばります

761 :login:Penguin:02/12/11 17:03 ID:y1O/gX/Z
公式のCDは1〜7までありますが
どれがバイナリでどれがソースで
といった対応表はいったいどこにあるんでしょうか

762 :login:Penguin:02/12/11 17:16 ID:jrfI2ekT
>>761
CD1 だけ焼いて、それでネットワーク経由のインストールするのがいいと思うよ。
常時接続環境にいるんだよね?

763 :761:02/12/11 17:16 ID:jrfI2ekT
漏れもがんばって全部焼いたんだけど、結局 CD1 しか使わなかった。

764 :login:Penguin:02/12/11 17:18 ID:y1O/gX/Z
>>763
これからネットワークカードのドライバを入れるため
CDがいるんで、ついでだから正規のCDを作っとこうと。

CD-1つかってインストロールは終わったんだけど
カーネルのソースが入ったソースCDはどれかな、と
思ったわけで。

765 :login:Penguin:02/12/11 17:29 ID:w54iLsMo
カーネルのソースは特別扱いだから
# apt-get install kernel-source-2.4.18
で入るよ(最新は2.2.22と2.4.19)。
CDならバイナリCDのどれかに入ってたはず。


766 :login:Penguin:02/12/11 17:48 ID:GstKW76u
>>761
1から7まで全部バイナリですよ。
ソースがほしければ、sourceディレクトリにある1から7を拾ってきてください。

ちなみにスレッドテンプレには、NONUSを含めて8枚いるみたいなことが書いてあるけど、
NONUSがあれば1はいらないです。

767 :login:Penguin:02/12/11 19:30 ID:8KVdstEP
フロッピー二枚だけ落として、デスクトップに入れますた。
東芝の古いノートにも入れますた。こっちは+四枚。

…誰だ、Debianは難しいなんて言ったやつ。
taskselもapt-*も便利すぎ。ダメ人間になりそうです。


768 :login:Penguin:02/12/11 19:34 ID:y1O/gX/Z
>>765
>どれかに
(゚∀゚)全部ダウンロードしろってか!

はい、してます。 先は長いなぁ

769 :login:Penguin:02/12/11 20:05 ID:dB1dhMzM
>>768
kernel-source-2.4.19*.debだけ、ダウンロードしてきて、
dpkg -i で入れたほうが楽では?

ところでカーネルソースが必要なネットワークカードってなんだろ?
2.4.20とか入れたらそれだけで動いたりして。


770 :login:Penguin:02/12/11 22:39 ID:zqikJYKE
やったー
emacs21+egg4+cannaで辞書の追加方法が判りました
しかし半角カタカナの出し方がわからないっす(泣

771 :login:Penguin:02/12/11 22:43 ID:fKBZQlGq
>>770
Ctrl-n * 2

772 :login:Penguin:02/12/11 22:55 ID:zqikJYKE
>>771
それが駄目なんですよ
C-n↓ C-p↑ だと思うんですけど、変換中の文字列にフォーカスしないで
カーソルがそのまま素直に上下に動いちゃうんですよ




773 :iptables:02/12/12 01:03 ID:+L4jieXu
woody kernel 2.4.18 使っています。
みなさん、iptables のログ、ちゃんと /var/log/kern.log に出てますか?
なんか俺は /var/log/syslog にしか出ないんですが。

/etc/syslog.conf をながめてみても、
kern.* -/var/log/kern.log
ってなってるんですよ。

logger -p kern.info orehabakadesu

とすると、やっぱり /var/log/syslog に出力されます。

タ、タスケテ

774 :iptables:02/12/12 01:30 ID:+L4jieXu
>>773
あ、/var/log/syslog に出力されるのは、
*.warn -/var/log/syslog
があるのでそれでいいのです。
なんで kern.log には出力されないのでしょうか?

ほかのファシリティ たとえば
logger -p lpr.info orehabakadesu
だとちゃんと lpr.log に出力されるのです。

775 :login:Penguin:02/12/12 01:41 ID:N9wrLHDZ
woody・sidのabiwordで日本語TrueTypeフォントが選択できません。
ウェブをあさってみると、どこもdebianではインストールするだけで
日本語が使えるって書いてあるのですが、
/usr/share/defoma/scripts/abiword-common.defomaを見ると、
LocationがJapaneseだと登録できないようになってますが、
日本語使うのは無理って事なんでしょうか?


776 :iptables:02/12/12 01:53 ID:+L4jieXu
>>774
なんか klogd を起動しなおしたら出力されるようになった・・・
でも logger では kern ファシリティ を kern ファシリティとして出力できないみたいですね。

777 :login:Penguin:02/12/12 03:16 ID:B6hxqUlU
ハンカクヘンカンスルノニ
M-x japanese-hankaku-region
メンドウデウツニナリソウダ

778 :rpmdpkg:02/12/12 03:34 ID:/h8zvyem
最近redhatからdebian(woody)へ移行した者です。
dpkgについて質問させて下さい。

rpmで
# rpm -F *.rpm
とすると、カレントディレクトリにあるrpm達のうち、
古いバージョンがインストールされているrpmのみがアップグレードされ、
インストールされていないrpmはスキップされます。

dpkgでこれに該当するオプションは、
# dpkg -iO *.deb
と考えてよろしいのでしょうか?

目的は、
apt-get upgradeで落した.deb達をローカルに保存しておき、
新規セットアップ時に再利用したいが、
不要な.debはインストールしたくない、
という具合であります。

なにとぞ。

779 :login:Penguin:02/12/12 07:52 ID:1Quefr8j
そのディレクトリで
dpkg-scanpackages . /dev/null | gzip -c9 > Packages.gz
として "Packages.gz" 作って

deb file:/どこか/そのディレクトリ/ ./
を/etc/apt/sources.listに登録すると

apt-getでもdselectでもaptitudeでも、
バージョンが重複しているものは
いちばん新しいものを自動的に選択してくれる。


780 :login:Penguin:02/12/12 08:15 ID:lFkWqs68
>>778
>>1 のWebページより
http://debian.fam.cx/#content:51
で解決するかと。

このWebページはよくできてるなぁ

781 :login:Penguin:02/12/12 10:40 ID:CDWEGn3b
>>777
なんかキーに割り当てればいいじゃん。

782 :login:Penguin:02/12/12 11:46 ID:RMTRTXsd
templa948タン、PCフカーツしたんでつか。
乙っす。

そして、ありがたやありがたや…

783 :login:Penguin:02/12/12 13:07 ID:ApuKARN8
console-tools_1%3a0.2.3dbs-27_i386.deb
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=172688
これはびびった。あらゆる入力がだめ、、、
と思ったら、大丈夫だった。やれやれ。alt+ctl+f2




784 :templa948:02/12/12 13:55 ID:1xmaIARs
>>782
どもっす。
DynamicDNSのpasswd忘れて(氏)、復旧に時間かかっちゃいました。
すんまそん。

785 :login:Penguin:02/12/12 14:35 ID:ItJR6VBd
>>779-780のやり方は非常に便利ではあるが、>>778的には単純に保存しておい
た*.debを /var/cache/apt/archives に置いて、

# apt-get update && apt-get upgrade

で、いいんじゃない?


786 :login:Penguin:02/12/12 15:06 ID:YCzsC5fD
>>784
乙カレー

787 :うひひ:02/12/12 17:29 ID:sFG/YlRm
インスコ挫折チウ
paloがウマク喰わないよぉ

つかみんなはPA-RISCのインスコって
ESIEE 落として喰わせるてるのか?
netiインスコ系だとpalinuxってのも見かけるが
素のWoody6(7)枚組み落として喰わせるのかなぁ?
ESIEEでヤッテルけどどれが良いんだろう?


788 :べんきょうになりますた:02/12/12 19:35 ID:+L4jieXu
>>787
うひひタンのレス、なんのことかわからなかった・・・・
http://lists.debian.org/debian-parisc/
http://pateam.esiee.fr/
http://packages.debian.org/unstable/base/palo.html

789 :login:Penguin:02/12/12 20:07 ID:B6hxqUlU
タマゴステタヨ
yc-elマンセ-!

790 :778:02/12/12 20:07 ID:FrTA7avC
>>779,783,785
ありがとうございます!
とりあえず779さんご指摘の通り、
dpkg-scanpackagesで自前のapt lineをローカルに一本作ってみました。
LAN内で複数台の運用も想定した場合、やはりこれが一番快適そうですね。

apt line元が自前でこんな簡単に作れるとは知りませんでした。
というかdpkg-devパッケージの存在すら知りませんでした…。
精進します。

791 :namazu屋:02/12/13 02:36 ID:b6tsB3L5
2, 3日おかしくなっていたみたいですね。なおしました。すんません。


792 :login:Penguin:02/12/13 08:50 ID:q9eZsmrv
トリップなしのうひひは本物ですか?

793 :うひひ ◆HPUXiz1O02 :02/12/13 09:06 ID:PK/edFTL
>>792
本物。初スレはナビが維持してねーからさぁ
っていうかトリップ解析してたパリスクマチンに犬噛まそうとして
HDDとっかえちってるからトリップと言われてあわてたよ

夕べ何種類かISO落としたから今日は焼きを楽しむ


794 :うひひ ◆HPUXiz1O02 :02/12/13 10:24 ID:PK/edFTL
>>787
とりあえずWoody6枚組みのnonUSはダメだキーボードが効かす
boot直後で強制切断を余儀なくされた
IDEのCDROMとUSBのキーはFAQっぽいところで指摘はされてい
たんだが案の定
ヤパWoody配布はちょと古い系だからダミだね

パリニックス系ネトインスコ版で攻めてみる

795 :login:Penguin:02/12/13 10:35 ID:y8bzNy/G
それはともかく、そろそろr1が出てもいい気が。
特にリリース直後の大量fixがあるから、そのへん含んだCDが欲しいなあ。

796 :login:Penguin:02/12/13 10:54 ID:9bkv5fL8
>>794
何を言っているのか、さっぱりわからん。
せめて日本語で書いてくれ。

797 :login:Penguin:02/12/13 11:06 ID:b7I8xxVg
自分の使っているアーキテクチャのことしかわからない漏れ。

798 :login:Penguin:02/12/13 11:14 ID:vL/dDT/D
ホスト名を変えたいのですが、

uname -n で表示されるホスト名って
どのファイルを参照しているのでしょうか?

よろしくおねがいします。

799 :login:Penguin:02/12/13 11:52 ID:HyNF2C7+
直接にはhostnameコマンドで指定する。
起動時には/etc/hostnameを参照して設定される。


800 :login:Penguin:02/12/13 12:06 ID:WO7+pnny
Woodyでphp4.2以降を利用したいのですが、unstableからソース持ってきて
頑張っていたのですが、依存関係でめげました。何かいい方法はないでしょうか?
よろしくおねがいします。

801 :798:02/12/13 12:10 ID:vL/dDT/D
>>799
あ、/etc/hostname なんてファイルあったんですね。
見落としていました・・・。

ありがとうございました。

802 :login:Penguin:02/12/13 12:27 ID:GUXubvEK
>>800
php4.2 がでたばっかりの時には sid のソースでも
ぱけじ化した記憶があるんだが今はできないのか...。

現在電源が切れてる遠いところのマシンに置いてあっ
るのでバージョンの確認はできんが。> ぱけじ。

woody の php4 のソースを取ってきて、本家のソー
スをとってきて uupdate するのは?
もちろんかなーりそのあとが面倒とは思うが。

あとまず依存関係ってのが他のぱけじのバージョン
だけだったら一度 woody 上でそのままコンパイル
してみるのも手。
それで通るんだったら debian/control を書き換え
て作ってみるべし。

# あとは識者にまかせた(w

803 :うひひ ◆HPUXiz1O02 :02/12/13 14:17 ID:PK/edFTL
>>796
すまん。極めて標準的なwoody多数枚のisoは
内容が古く対応機種に問題ありで
ネットワークインストール1枚系のISOが良いよといこと
(更新頻度の問題だろうが)
86の場合は特に問題ないだろうが新サポートのアーキテクチャ
ならではの問題

>>794の続き
paloにやられてますた。ID=f0でpaloのパーテーションを数メガ
HDD頭に作らないといけなかった
領域はガンバッテみたが4区画しか切れずpaloの枠が非常に痛い

現在は無事にリブートしてインストール第2幕を走っております
セキュアプデトで非常に時間をとられてますがISDNなので
しょうがない
今後はデュアルブート狙いなのでHP純正のブートローダとpalo
との調整


804 :login:Penguin:02/12/13 14:50 ID:jyLSa8Bu
                \ │ /
                 / ̄\   / ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄
               ─( ゚ ∀ ゚ )< 良いよといこと!
                 \_/   \_________
                / │ \
                    ∩ ∧ ∧  / ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄
 ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄\∩ ∧ ∧ \( ゚∀゚)< 良いよといこと良いよといこと!
良いよといこと〜〜!>( ゚∀゚ )/ |    / \__________
________/ |    〈 |   |
              / /\_」 / /\」
               ̄     / /
                    ̄



805 :login:Penguin:02/12/13 15:13 ID:b7I8xxVg
うひひタンの言ってることがわからない

漏れは x86 系しか知らない
 ↓
 _ ∧∧__   / ̄ ̄ ̄ ̄
 |( ゚д゚)| < 寝る!
 |\⌒~\  \____
 \ |⌒⌒|

806 :うひひ ◆HPUXiz1O02 :02/12/13 16:41 ID:PK/edFTL
順調。簡単ながらいっちょアガリ
しかしXまでの道のりは遠い


>>805
すまんこ
このスレ系にも少数の非86君がいるはず。
つーかPA-RISCはいたはずだ
なので何らかの指導をしてほしくてちょっと書いてみた
x86並に使えない未知の部分ってのがマッタクわからんのよ
taskselなんて3項目しか出てこない



807 :login:Penguin:02/12/13 19:15 ID:ivguCEPM
Xが起動しません。
NVidia/TNT2M64(PCI)でおとといまで起動できました。
$startx
[...]
[GLX]: Initializing GLX extension
でコンソールに戻ってしまいます。

今日新しいNVidiaのドライバで、
modprobe nvidia(NVdriverから名前変わったようだ) しても、
やはりそこでつまづきます。

sidでXFree86-4.2.1.1 (Debian 4.2.1-4 20021123003806 branden@debian.org)
/var/log/XFree86.0.logは[GLX]の初期化の後、Mouseのところまででとまります。
root でXを起動すると、普通に起動できますが、一般ユーザーでできません。
ただ、videoグループには入っています。

どうなんでしょうか。手を貸してください。

808 :login:Penguin:02/12/13 19:26 ID:4/meTPCE
>>807
# dpkg-reconfigure xserver-common
かな?

809 :login:Penguin:02/12/13 19:46 ID:b7I8xxVg
>>806
> taskselなんて3項目しか出てこない

まじでつか!

810 :名無しさん@Emacs:02/12/13 19:46 ID:BaAtQKUd
>807

ろぐないとわからん


811 :807:02/12/13 20:41 ID:ivguCEPM
>>807
/etc/X11/XF86Config-4 を変更するって事かな?
その他パーミッションとかも?
ちょっとやってみる。
もともと、lang-env がemacs21に対応したと勘違いし、
user-ja-conf実行、それからおかしくなった。
>>810
$lv /var/log/XFree86.0.log
/(EE) --> not found

Option "dpms"を読んだあと、NV-GLX NV-CONTROLをロードして、
最後に
(II)Initializing built-in extension RENDER
(II)[GLX]: Initializing GLX extention
(II) Keyboard....
[...]
(II)XINPUT: Adding extended input device "Logicool MX-300" (type: MOUSE)

で終わる。
$startx すると、立ち上がらずコンソールに戻り、[GLX]の初期化と出る。
#startx すると、普通に立ち上がる。

812 :login:Penguin:02/12/14 00:18 ID:/bai5dt4
sidのlibfreetype6使うとmozillaで日本語フォントがレンダリングされるな

813 :login:Penguin:02/12/14 01:26 ID:65RXci/2
>>812
どういういみ?

814 :login:Penguin:02/12/14 02:07 ID:pfzqGTt2
SOTECのWinbook Slimにcorega PCC-TXD(PCMCIA NIC)を刺し
woodyをインストールして使用していたのですが
先日、レジューム状態でNICを外してそのままレジュームから抜けてしまい
それ以降、NICを刺してifconfig eth0 upなどしても
No such deviceとなってしまうようになってしまいました。
その後、過去と現在の/var/log/messageを見比べたら
ISA irqs (scanned) = 3,4,5,7,9,10,12,15 status change on irqs
となっていた所が
ISA irqs (scanned) = none!<6> *NO* card interrupts, polling interval = 1000 ms
と変わってました。
この部分でIRQを認識させるにはどうしたらよいのでしょうか?


815 :login:Penguin:02/12/14 02:29 ID:Qz8Jq4AM
woodyのalsa-0.9で悩んでます。

alsaを再起動するとmoduleが読み込まれない。
modprobe snd-emu10k1やんと、ちゃんと動くんですが・・
alsa起動時は(snd-card-emu10k1)ってでるんで,ためしに
modprobe snd-card-enu10k1やったんですがダメでした。
ALSAの起動スクリプトってmodule呼んで、alsactl restoreも
やってくれんですよね?
現状では、毎回手動でやってます。
/etc/modutils/alsa が怪しい気がすんで、晒しときます。



816 :815:02/12/14 02:31 ID:Qz8Jq4AM
/etc/modutils/alsa
# --- BEGIN: Generated by ALSACONF, do not edit. ---
# --- ALSACONF verion 0.4.3b ---
alias char-major-116 snd
alias snd-card-0 snd-card-emu10k1
alias char-major-14 soundcore
alias sound-slot-0 snd-card-0
alias sound-service-0-0 snd-mixer-oss
alias sound-service-0-1 snd-seq-oss
alias sound-service-0-3 snd-pcm-oss
alias sound-service-0-8 snd-seq-oss
alias sound-service-0-12 snd-pcm-oss
options snd snd_major=116 snd_cards_limit=1 snd_device_mode=0660 snd_device_gid=29 snd_device_uid=0
options snd-card-emu10k1 snd_index=0 snd_id=CARD_0
# --- END: Generated by ALSACONF, do not edit. ---

ちなみに、snd-card-emu10k1をsnd-emu10k1に置き換えてみたんですが
駄目ですた。お助けを

817 :815:02/12/14 03:28 ID:Qz8Jq4AM
自己解決しました。
/etc/modutils/alsa書き換えても意味ないんですね。
/etc/modules.confのsnd-card-emu10k1をsnd-emu10k1
に書き換えて無事解決です。お恥ずかしい。

818 :login:Penguin:02/12/14 04:10 ID:4JVuKt5s
>>817
/etc/modutils/alsaを書き換えて
# update-modules
するのがdebian的。

819 :login:Penguin:02/12/14 04:57 ID:yJ8jPnvX
sid ですが。
xev で alt キーは Alt_L, Alt_R と認識しています。

が emacs で alt + x しても M-x とならず x が入力されます。
X 上で Ctrl + Alt + BS しても X が落ちませんし Ctrl + Alt + Del
してもシャットダウンされません。

GTKアプリ, 例えば Galeon などでも Alt + F しても ファイル(F) メニュー
が開かず F キーのみ単純に押下した事になってしまいます。

ようはX 上で Alt キーが無視されているようなのです。

どこを疑えばよいでしょう?


820 :login:Penguin:02/12/14 05:36 ID:F4iRNRjl
お願いがあります。
debianでntpdをほぼ標準状態で動かしている方がいましたら
/etc/ntp.conf
の内容を教えてください。
ntpdは起動してて ntpq -qで上位とリンクできてるのですが
ログは出ないし/var/log/ntpstateディレクトリも空っぽで、時刻修正してる形跡がないんです。

821 :login:Penguin:02/12/14 05:48 ID:sd86gZ+m
>>820
漏れも今 /var/log/ntpstate 見たら空っぽだった。
あわてて ntpdate してみたら socket in use .
ntpd 落として ntpdate で上位と同期してみたらちゃんと同期できてた。

なんでだろ、/var/log/ntpstate 空っぽ。
/var/log/daemon.log にはちゃんと起動・終了は記録されてるし、
もちろん ps でプロセスも確認できる。

ちなみに、 /etc/ntp.conf の内容は次の通り。

server eagle.center.osakafu-u.ac.jp
server gps.kobe-pc.ac.jp

この2行が書いてあるだけ。
たぶんデフォルトではいっぱい書いてあったんだろうな・・・
参考にならなくて、ごめん。


822 :login:Penguin:02/12/14 06:02 ID:Lrd0QZQy
>>820

うちはこんな感じ。標準かどうかはぁゃιぃ。

driftfile /var/lib/ntp/ntp.drift
statsdir /var/log/ntpstats/

statistics loopstats peerstats clockstats
filegen loopstats file loopstats type day enable
filegen peerstats file peerstats type day enable
filegen clockstats file clockstats type day enable

server ntp1.jst.mfeed.ad.jp
server ntp2.jst.mfeed.ad.jp
server ntp3.jst.mfeed.ad.jp


823 :821:02/12/14 06:23 ID:sd86gZ+m
>>820 じゃないけど、 >>822 の設定の一部分移したら、
/var/log/ntpstate にちゃんとログが取れました。
ありがとう。

824 :login:Penguin:02/12/14 06:59 ID:z78s/IQN
>>819
最近、同じようにALTがきかないで悩んでいた人を見た。

ttp://home.jp.freebsd.org/cgi-bin/showmail/FreeBSD-users-jp/72200
で始まるスレッドによると、XFree86のバージョンによってはALTを押されて
いる間ずっと対応するキーコードが出力されるようだ。

sidのXのバージョンなどなにも調べずに書いてるので、無関係ならすまん。


825 :821:02/12/14 08:06 ID:sd86gZ+m
>>823
時刻合わせ総合スレッド
http://pc.2ch.net/test/read.cgi/linux/1008318869/

ここも参考になるかもね。

826 :login:Penguin:02/12/14 20:54 ID:aVWh/V35
>>13 のようなlibc6 のリビルドって具体的にどうやってすればいいんでしょうか。
testing のものを apt-get source でとって来ても、 dpkg の依存で
dpkg-buildpackage できません。んで testing の dpkg をインストールしようとすると、
libc6 に依存。

たぶん、自分がどっかで勘違いしてると思うので本当のやりかたを教えてください。

827 :login:Penguin:02/12/14 22:18 ID:zF2fPKf/
>>826
もう一度ここをよく…

APT HOWTO - ソースパッケージでの作業
http://www.jp.debian.org/doc/manuals/apt-howto/ch-sourcehandling.ja.html

828 :login:Penguin:02/12/15 00:52 ID:ySAeJO3q
Macintosh Quadra 950でwoody動かしておられる方はいませんか

829 :login:Penguin:02/12/15 03:39 ID:WVMCYqSR
>>819
こちらの環境では
$ xkbcomp -xkm :0
とするとserver-0.xkmというファイルができて、それを
$ xkbprint server-0.xkm
とすると server-0.psというのが生成される。で、さらにそれを
$ gv server-0.ps
すると現在のキーマップの参考情報のようなものが表示されるけど、
どういう風に見るのかは不明。参考まで。

830 :login:Penguin:02/12/15 18:51 ID:DeilN/4D
woodyのcannaで mkbindic でバイナリ変換した辞書が
マウントできないみたいなんです

Vineで mkbindic したファイルと比べるとサイズが
違うんですけど、どこか違うんでしょうか?

831 :login:Penguin:02/12/15 18:53 ID:DeilN/4D
追記
Vineでバイナリ変換したファイルは問題なくマウントできて読み込めます


832 :login:Penguin :02/12/15 21:18 ID:KrRCn6da
testing とか unstable のパッケージって勝手にインストールしちゃってもいいものなのでしょうか?
j2sdk1.4 をインストールするのに unstable の libc6 パッケージが必要っぽいのですが
入れちゃって大丈夫ですか?

833 :login:Penguin:02/12/15 21:50 ID:M5ZGQpvT
>>832
> 勝手にインストールしちゃってもいいものなのでしょうか?
だれも禁止はしないよ。
自分で判断すれ。

834 :login:Penguin:02/12/15 22:31 ID:Z+D8WzIl
>>1
デブやん!

835 :login:Penguin:02/12/15 22:59 ID:qm3SJDkf
ヒラギノのOpenTypeフォント使ってる人いない? どうやって使うのか解からん(´・ω・`)

836 :login:Penguin:02/12/16 02:55 ID:yE4zDnqf
>>835
マルチポストですか?( ̄ー ̄)ニヤリッ

837 :login:Penguin:02/12/16 20:16 ID:d6L/AhHr
3.0r1出た?アナウンスあった?

838 :login:Penguin:02/12/16 20:22 ID:fxpv0rE2
>>837
http://www.jp.debian.org/News/2002/20021216

839 :login:Penguin:02/12/16 20:27 ID:d6L/AhHr
>>838
キタ━(゚∀゚)━( ゚∀)━(  ゚)━(  )━(゚  )━(∀゚ )━(゚∀゚)━!!!!

840 :login:タコ:02/12/16 21:46 ID:NOiF+22K
woody 2.4.18-bf2.4でビルドしてフロッピーでbootしていて、2.4.19-386か
2.4.19-686カーネル再構築(alsaも)して、bootフロッピー作ると、
それで起動できません。
/sbin/liloは dpkg -i **_i386.debのあとしてるのですが。。。。
/proc/asoundもできません。
http://www.namazu.org/~tsuchiya/debian/kernel.htmlなどを参考に
させて頂いたのですが。。。。。 ただ すべてROOTで行いました
どうしたら うまく いくのでしょうか?
usrでビルドするものなのでしょうか?


841 :login:Penguin:02/12/16 23:18 ID:wxt13lgt
>>835
http://penguin.s4.xrea.com/imgboard/img-box/img20021216231811.png
つっこむだけだけど。

842 :login:Penguin:02/12/16 23:41 ID:zvzHJk1a
>>835

そもそも,OpenTypeって,Xで使えるのかな? もし,使えたとしても,
fonts.dirはどうやって書くのだろう。mkttfdirで作れるのかな。
コマンドの名前からすると,TrueTypeしかだめっぽいけど。

でも,ヒラギノって,印刷すれば,すげーきれいだけど,
解像度の低いディスプレイではどうなんだろうね。

843 :login:Penguin:02/12/17 00:01 ID:tXdnEuOx
>>841
つっこむだけでgnome2で使えた。 でもmozillaで使えない・・・・

844 :login:Penguin:02/12/17 00:27 ID:WxtFSIgU
>>843
momongaのhow-toにmozillaでの使い方わかりやすく書いてたよ。
わしはそれみてdebianの素のdebで表示てきてるが。

845 :login:Penguin:02/12/17 09:07 ID:IgqcOZJs
>>842
xftっつーもんを使って表示できるようだよ。
GTK+、QT、mozillaがそれぞれ別個に対応してるみたいね。
てーか、ヒラギノのTrueTypeに入ってるビットマップフォントはあんまりきれ
いじゃないから、ヒラギノ使うならOpenTypeのほう使ったほうがいいよ。
xftで表示しても、ビットマップ持ってるフォントはそいつで表示しちゃうからね。

846 :login:Penguin:02/12/17 10:00 ID:bKXgY5+E
>>800,802
apt-get build-dep php4 php4-pgsql
unstableから apt-get source php4 php4-pgsql
debian/controlのBuild-Dependsを適当に削除(爆
そんなかんじでビルドででけました。
ちょっとぶっきらぼうかな・・汗。

uupdateははじかれまくってめげました(笑

ありがとうございました。 >>802

847 :login:Penguin:02/12/17 11:03 ID:qc/+UGnv
死奴でmozillaが立ち上らないのだけど、そういう人いません?

848 :login:Penguin:02/12/17 11:26 ID:lkhwWmJA
>>847
漏れもsargeで立ち上がらないから代わりにgareon使ってる

849 :login:Penguin:02/12/17 11:59 ID:dvOgCgtp
>>847
~/.mozillaを作れないのが原因かと。
sudo mozillaで~/.mozillaを作って、chown、chgrpしる。

850 :login:Penguin:02/12/17 12:19 ID:/Ng3I2cq
>>>847
fontconfigをインストールして,rootでfc-cacheを実行したら
起動出来た.私のところだけかも.mozillaのバージョンは
2:1.2.1-4.

851 :login:Penguin:02/12/17 13:40 ID:dvOgCgtp
>>850
なんだろうね。
もしかすると、dpkg-reconfigure mozilla-browzerしたら直ったりしたのかも。
うちではwoodyの1.0.1で849の症状だったのだけど、847さんのとは違ったようだ。

852 :login:Penguin:02/12/17 17:36 ID:YGChjwsS
847じゃないですけど、同じようにmozillaが起動しなくなりました。
(mozilla-snapshotは起動できてたんで、そっち使ってましたが)
>>849の方法では駄目で>>850の方法で起動できるようになりました。


853 :850:02/12/17 20:37 ID:/Ng3I2cq
>>851
mozilla-browserは,2:1.2.1-4からlibfontconfig1に依存
するようになった.このバージョンに更新したら,急に起動出来なく
なった.原因を調べる為にstraceでログを取ってみたら,
fonts.cache-1というファイルが見付からないために起動できない
ように「見えた」.そこで,libfontconfigに依存したfontconfig
をインストールして,それに含まれた実行ファイルを試したら,
/usr/share/fonts/の下にfonts.cache-1が作られ,起動出来た.
で,ttf-kochi-(mincho|gothic)をインストールしていないと,
日本語を表示出来なかった.

854 :login:Penguin:02/12/17 22:34 ID:ahgCtSxV
最近の四℃のもじらって、fontconfig/Xft2対応って
ChangeLogに書いてなかったっけ?

855 :login:Penguin:02/12/17 23:00 ID:HRvhN4dD
>>842

レスサンクス。

このへんのフォントの管理の仕組がさっぱりわかららないんですよね。
GTK+,QT,Mozillaはxftという仕組を使って独自にフォントの管理まで
やっているという理解でよいのかな。

/etc/XftConfgにopentypeファイルがあるパスを書いてあげれば,
それで使えるようになるのかな。xftの場合はfonts.dirはいらないのかな。

うう,なんか疑問は深まるばかり。この辺の仕組を解説しているWeb Pageや
書籍,雑誌があると助かるんだけど,だれか,御存じでない。

そう言えばいまだにdefomaもよくわからん(笑)。

856 :850:02/12/17 23:03 ID:/Ng3I2cq
>>854
> 最近の四℃のもじらって、fontconfig/Xft2対応って
> ChangeLogに書いてなかったっけ?

はい.書いています.

mozilla (2:1.2.1-4) unstable; urgency=low

* --enable-xft

更新時に依存関係を満たすためにlibfontconfig1は
インストールされますが,fontconfigはインストール
されません.

857 :login:Penguin:02/12/17 23:21 ID:ahgCtSxV
とりあえず、
http://fontconfig.org/
と、
http://keithp.com/
が、XFree86の大物で、fontcofigとか、Xft2やってると思われるお方。

最初はここしかなかった。
http://www.xfree86.org/~keithp/
XRender Extensionが懐かしい。
その中の、
"Font Configuration and Customization for Open Source Systems"
http://www.xfree86.org/~keithp/talks/guadec2002/html/

扉まで案内した。うまくいったらテンプレに張ってちょ。

858 :login:Penguin:02/12/17 23:23 ID:4LmJLr05
あのー、最近のsidのopenoffice.org (1.0.1-6)にopenoffice.org-l10n-jaを入れてるのですが、
メニューの漢字フォントが豆腐になります。
例のフォントをMinchoにするのはやってあって、前まで漢字が表示されていたのですが、最近になって漢字が豆腐になりました。
デスクトップ環境はgnome2です。
同じ現象ではまってる方いますでしょうか??


859 :login:Penguin:02/12/18 01:35 ID:1E1lE0Xy
[debian-announce:00033] ワラタ

860 :login:Penguin:02/12/18 12:22 ID:85n2+7ZV
>>858
http://blow-away.net/openoffice/docs/main/install/debian.html
たどれば?

861 :login:Penguin:02/12/18 12:36 ID:88hCfmCX
>855

自己レスです。

ちなみにsid使ってます。

/etc/X11/XftConfigにopentypeのファイルがあるパスを書いたところ
Gnomeでopentypeが使えるようになりました。fonts.dirはなくても大丈夫でした。

mozilla-browser-snapshotは/etc/mozilla-snapshot/pres.jsにやはりopentypeのファイルのあるパス
を書いたところ,表示できました。

しかし,なぜか,Gnomeの方はヒラギノは文字化けしてしまいました。小塚は大丈夫でした。
mozilla-broswer-snapshotはヒラギノも大丈夫でした。GnomeとMozillaではフォントの取り扱い
がちがうのかもしれませんね。

やはり,opentypeのフォントはきれいですね。ちょっと感激しました。

862 :login:Penguin:02/12/18 21:40 ID:88hCfmCX
debian-gtk-gnomeによると,sidのmetacityパッケージが
おかしいという話がでていますがみなさんのところは大丈夫ですか。
私は恐いので,しばらくアップグレードはしていないのですが。

863 :login:Penguin:02/12/18 22:36 ID:rdM2vvLx
あぁ、debian使い始めてからあまりの楽さに
もう他のディストロに触りたくなくなってきた。
職場のRHLを全部置き換えたい・・・・

864 :login:Penguin:02/12/18 23:04 ID:DWrwaVBW
>>864
何が楽なの?

865 :login:Penguin:02/12/18 23:29 ID:WRl2RGJg
Woody使ってます。
先日、apt-get upgradeした時に、
mozilla-broswerが1.0.1になったような
気がしていたのですが、Windowの
タイトルバーには依然1.0.0と表示されてます。
私の勘違いですか?


866 :login:Penguin:02/12/19 00:04 ID:T5j4R8b7
>864自問自答か?で、何が楽ってそりゃもうRHL>/etc/rc.d/init.d/hogedebian>/etc/init.d/hoge

867 :login:Penguin:02/12/19 00:13 ID:mAr1IJQ4
結局、まだsidのwnn7(dpkeyserv)が動かない問題は直らないのか....
なにが悪いんだろう?外部にマシンないから、漢字変換めんどうで
困ってるんだけど......

868 :login:Penguin:02/12/19 00:17 ID:/7ht6hcU
>>867 動かないと困る用途に sid 使うのは罵倒して欲しいからですか?

869 :login:Penguin:02/12/19 00:20 ID:6t2jHlIA
>>866
いつの RHL の話ですか?

870 :login:Penguin:02/12/19 00:35 ID:qTCjE87h
>>862
うちではタイトルバーに日本語が表示されなくなった。

871 :login:Penguin:02/12/19 00:40 ID:qTCjE87h
>>870
ウソでした。表示されます…。特に不具合とかおこってないね。うちの環境では。

872 :しくじった?:02/12/19 00:49 ID:vRqPgu2H
jigdoでwoodyのCD-imageを作成したのですが、
さて、CDに焼こうか!と思って気が付いた事が1つ・・・
イメージ名が debian-30r0-i386-binary-*.iso なんですけど
名前がr0なだけで中身はr1?

873 :login:Penguin:02/12/19 00:59 ID:brWKO45D
http://www.jp.debian.org/CD/
によると今isoをダウンロードできるバージョンは、3.0r0ということに
なってはいるが、探すとr1ももう有った。

874 :login:Penguin:02/12/19 01:05 ID:mAr1IJQ4
>>868
Wnn7に出した金がもったいないと感じるのが、困る原因なのだが。
金出したのに、結局Cannaかよ、って。

動かないと困る用途にはちょっとsidは困るかな。

875 :login:Penguin:02/12/19 01:11 ID:vSPKKyoP
>>864
update-alternatives弁理
update-rc.d悶絶
debian menu system埼京

876 :login:Penguin:02/12/19 01:40 ID:bALO5RwS
>>867
umlでwoodyのjail作って、そこで動かすってのをどこかで見た記憶が。
漏れは、翻訳魂をそれで使ってる。


877 :login:Penguin:02/12/19 02:26 ID:Ksjk5ydU
vine26r1は45分ほどでisoイメージをダウンロードできたんだけど、
jigdoでのダウンロードは激しく遅いね。。23:00くらいからやってるけど
まだ終わらないよ。。
ひとつひとつファイルをダウンロードするからリクエストとリクエストの
間のログインやらの待ち時間が積み重なってるのかな。

878 :login:Penguin:02/12/19 02:59 ID:vRqPgu2H
>>877
ミラーの場所にもよるんでしょうけど、
初回目って意味だと1ファイルに固まったisoを
ダウンロードするよりもjigdoは遅いですね。

やっぱり1枚目だけ焼いてネットインストするのが一番楽ですね。



879 :login:Penguin:02/12/19 06:00 ID:P5aXsIRs
syslogの設定にもよるんでしょうけど、
auth.logはcronのログばっか、messagesは-- MARK --って文字列ばっかりです。
これっていいのでしょうか?
重要なログが流れてしまいそうで。。。

-- MARK -- って何?

880 :login:Penguin:02/12/19 06:11 ID:7CKbKNFO
Debian GNU/Linux 3.0(カーネル2.4.18)でAPMやACPIといった
パワーマネージメント機能をすべて無効にする方法はありますか?
haltで電源が切れる際にハードディスクの電源の落ち方が変なので手動で
電源を切るようにしたいと思っているのですがどうしても自動で電源が
切れてしまいます。
インストールしたままのカーネル2.2.20では自動で電源が切れること
はなかったのですがkernel-packageで2.4.18にしたところmenuconfigで
どう設定しても、またBIOSのPowerManagementの項目をdisableにしても
自動で電源が切れてしまいます。
なにかいい方法があれば教えてください。お願いします

881 :login:Penguin:02/12/19 08:11 ID:6t2jHlIA
>>879
> -- MARK -- って何?
man syslogd

882 :login:Penguin:02/12/19 08:12 ID:6t2jHlIA
>>880
カーネル再構築すれば?

883 :login:Penguin:02/12/19 09:49 ID:7CKbKNFO
>882
ありがとう。
カーネル2.2.20では自動で電源が切れることはなかったんで
/boot/config-2.2.20を真似して
CONFIG_APM=y
CONFIG_APM_DISABLE_BY_DEFAULT=y
として再構築してもダメで
CONFIG_PM=n
としてもダメなんでどうしたものかと

884 :login:Penguin:02/12/19 09:53 ID:93ZCTmCT
>>883
/etc/lilo.confにapm=offとかは?

885 :login:Penguin:02/12/19 10:15 ID:L5sCCjWW
>880
apmd, acpid パッケージ入ってるなら削除
modconf で apm, acpi 関連のモジュールを削除

とかでどうだろう。

886 :login:Penguin:02/12/19 11:34 ID:t6lbpIE5
>>877
ちょっとよく覚えてないんだけど、たしか HTTP でも取れなかったっけ?
こいつでも 3way handshake は必要だけど、login しなくていい分
少しは早かったはず。


887 :login:Penguin:02/12/19 12:12 ID:7CKbKNFO
>884,885
ありがとう
Grubでapm=offしてみましたがやっぱり自動で電源が落ちてしまいます。
dpkg -lやps -axでapmd,acpidは見当たらないです。modconfしてみたのですが
apm,acpi関連はありませんでした。

888 :login:Penguin:02/12/19 12:51 ID:wU6phil/
>>865
うちもそうです。
バイナリが/usr/bin/mozilla-1.0.0になっているのが原因かと。
aboutの表示だとver.1.0.1になっているので安心してよいかと。
気にはなりますが。

>>880
/etc/init.d/halt の下から3行目、
halt -d -f -i -p $hddown
の-pを削除してみるとどうでしょう。


889 :login:Penguin:02/12/19 13:40 ID:7CKbKNFO
>888
ありがとう。おかげでハードディスクの電源が自動で切れないようになりました。
-pを削除してもダメだったんで$hddownも削除してみたらうまくいきました。
助言をくれたみなさんどうもありがとうございました。


890 :名無しさん@Emacs:02/12/19 14:40 ID:JWP85iB1
shmemってどこで有効化したり
サイズ変えたりできるのれすか?
.configには見あたらないの


891 :login:Penguin:02/12/19 16:30 ID:Fn79mTuk
woody版の徹底入門来月あたりに出るらしいすね。そしたらインスコしてみよ。

892 :login:Penguin:02/12/19 16:41 ID:yMfdBunK
あのー質問です。/etc/security/console.permsをつくっても
よみこまれないみたいなのですが、書くファイルがちがうん
でしょーか?

893 :login:Penguin:02/12/19 19:01 ID:6ybBwKj9
>>892
読みこまれたのかどうかは strace 取ってみればわかるぞ(w

894 :login:Penguin:02/12/19 20:55 ID:mAr1IJQ4
>>876
> umlでwoodyのjail作って、そこで動かすってのをどこかで見た記憶が。
> 漏れは、翻訳魂をそれで使ってる。

なるほど。umlは使ったことないけど、これも良いきっかけだ。
頑張ります。ありがとう!

895 :login:Penguin:02/12/19 21:38 ID:1/Rzk8O0
どなたか

http://lists.debian.org/debian-x/2002/debian-x-200212/msg00110.html

の XFree86 CVS .debs 使われている方いらっしゃいますか?

これのおかげで GNOME2 で AA できてかなり幸せだったのですが、
(Official の X deb では XRENDER が使えなかった)

libxft2 が xlibs に統合? されたようで libxft2 が
remove されました。よって libxft2 を Depends している パッケージが
消えてしまいますた。Mozilla-xft が消え Mozilla で AA できなくなり
悲しい…

はやく正式リリースされないかなー。



896 :login:Penguin:02/12/19 22:00 ID:kCduVqRW
>>891 目次が( ゜д゜)ホスィ…

897 :login:Penguin:02/12/20 00:42 ID:RhxzV4M/
vimのhighlightに感動して使用しているのですが。
vimでshift-jisを表示する簡単な方法はありませんか?
potato->woodyで使っています。
vimはversion 6.1.18です。
jvimではなく、vimでしたいのです。

.vimrcに以下を書きました。
set encoding=sjis
set fileencoding=iso-2022-jp,euc-jp,
set fencs=sjis
set fencs+=sjis

sjisをjapanese.sjisやshift-jisにしてもできません。
各行の順番を変えてもできません。
また、
LANG=japanese.sjis
export LANG
set|grep LANG
をしてもできません。
しかし、eucは表示できます。
どうかお教えください。


898 :login:Penguin:02/12/20 00:45 ID:G0I9CiOI
>>897
sjisをcp932にしてみれば

899 :login:Penguin:02/12/20 01:03 ID:RhxzV4M/
>>898
ありがとうございます!
できました!
昨日、5・6時間ネットをさまよっていましたができませんでした。
cp932もネットみましが、これが重要とは思いませんでした。
以下の設定でできました。
set encoding=japan
set fileencoding=cp932
set fencs=cp932
set fencs+=cp932
各行がどのように機能しているかは、これから勉強します。
本当に助かりました!!

900 :login:Penguin:02/12/20 01:56 ID:6DlKxUkL
 ISOイメージをLinuxに沢山積んで、autofsで快適に使っていたRedHat厨房です。
 Debianの場合、loopback mountの最大数を増やしてやるためにはどうするべき
でしょうか?

 RedHatでは loop.c のソースを見て /etc/modules.conf に options loop max_loop=64
などとやっていましたので同様の設定を試したところ、最終的に loop.o がmoduleとして
存在しない事がわかりました。
 しかし、この状態でも mount -o ro,loop などが使えるので、loopbackができないわけ
ではない様に見えるのです。 (最大8台まで。デバイスを増やしても変わらず)

※インストールは以下の記事とNetinstで行いました
ttp://www.debianplanet.org/node.php?id=875
ttp://www.domsch.com/linux/debian/bootbf2.4.19-ac4.iso


901 :login:Penguin:02/12/20 07:36 ID:tRZeMSuP
マウスがすりきれたので目についた安売りの480円の3ボタンスクロールマウス
を買ってきた。おうちに帰ってから箱を開けたらやられた! ps/2ではなくusbだった。

...というわけでUSBマウスの設定をする羽目になったが、結構てこずった。

/dev/usbmouseは使えず、/dev/input/miceを新設する必要があった。
mv /dev/usbmouse /dev/usbmouse.orig
mkdir /dev/input
mknod /dev/input/mice -c 13 63
ln -s /dev/input/mice /dev/usbmouse
modprobe usbmouse

これで使えるようになった。
murasakiがインストールされている必要があるかもしれない。

902 :login:Penguin:02/12/20 07:39 ID:tRZeMSuP
以下の設定でとりあえずちゃんと動いている。
# /etc/gpm.conf
device=/dev/input/mice
responsiveness=
repeat_type=
type=imps2
append=""
sample_rate=

/etc/X11/XF86Config-4
Section "InputDevice"
Identifier "Configured Mouse"
Driver "mouse"
Option "CorePointer"
Option "SendCoreEvents" "true"
Option "Device" "/dev/input/mice"
Option "Protocol" "IMPS/2"
Option "ZAxisMapping" "4 5"
EndSection

安売usbmouseはdebianで動きました、の巻でした。

903 :895 :02/12/20 10:12 ID:02xJ0etK
ii xlibs 4.2.99.2-0+0.20021219.2

な状態で apt-get install libxft2 すると

Sorry, but the following packages have unmet dependencies:
libxft2: Depends: xlibs (> 4.1.0) but it is not going to be installed
E: Sorry, broken packages

となります。

ちなみに libxft2 の Depends は
Depends: libc6 (>= 2.3.1-1), libfontconfig1, libfreetype6 (>= 2.1.3-1), xlibs (>> 4.1.0)

で xlibs (>> 4.1.0) は満たしていると思うのですがどうしてインストールされ
ないのでしょう?

904 :login:Penguin:02/12/20 12:35 ID:8YsWyDGC
>>901
せっかくのネタなのでdebian的なトコロをツッコんでおこう。

cd /dev
./MAKEDEV input
ln -s input/mice usbmouse
modprobe usbmouse

で終わると思うんだが。
詳しくは man MAKEDEV っつーことで。

905 :login:Penguin:02/12/20 12:49 ID:ZrQixKX0
>>900
うちには
/lib/modules/2.4.19-686/kernel/drivers/block/loop.o
があるが。
カーネルを kernel-image-2.4.*-686 に入れ換えてみてはどうだろう。


906 :login:Penguin:02/12/20 13:18 ID:7XiIFLn2
>>904
うちも便乗質問。Woodyなのですが。
USBマウスで苦労してます。

kernel2.4.18でusb-uhci, usbcore, usbmouseは
modconfで組み込んだ。
/dev/input/miceはすでにある(?)けど、
$ cat /dev/input/mice
cat: /dev/input/mice: 許可がありません
$ sudo cat /dev/input/mice
cat: /dev/input/mice: そのようなデバイスはありません
で、デバイスを作るために
$ mknod /dev/input/mice c 13 63
mknod: `/dev/input/mice': 許可されていない操作です
$ sudo mknod /dev/input/mice c 13 63
mknod: `/dev/input/mice': ファイルが存在します
・・・いったい、どうしたら・・・

MAKEDEVも同じようなエラーを吐き出してました。


907 :login:Penguin:02/12/20 13:58 ID:nSNgAsCP
>>905
モジュールにしたきゃCONFIG_BLK_DEV_LOOP=m

>>906
/dev/input/miceのパーミッションは?

908 :login:Penguin:02/12/20 14:16 ID:7XiIFLn2
>>907
crw-rw---- 1 root root 13, 63 3月 15 2002 /dev/input/mice
です。
(sudoでも出来ないのがさっぱり分かりません)


909 :login:Penguin:02/12/20 14:24 ID:nSNgAsCP
>>908
# chmod 0654 /dev/input/mice
すればオケっぽいけど…

910 :909:02/12/20 14:32 ID:nSNgAsCP
# chmod 664 /dev/input/mice
か、スマソ。

911 :login:Penguin:02/12/20 16:34 ID:cGIrpBk+
>>908
パーミッションはそれでよさげだけど。
input, hid モジュールは入れた?

912 :login:Penguin:02/12/20 18:23 ID:7XiIFLn2
>>911
inputは入ってました。
hidは入ってなかったんで、入れました。
でも、変化ないみたい・・・

何か、根本的な所が抜けてるんやろか?


913 :login:Penguin:02/12/20 19:20 ID:7XiIFLn2
usbmgrとusbviewをapt-getしました。
ピポッて音がして、認識されたっぽい。
ひょっとして、これって、必須?


914 :login:Penguin:02/12/20 19:20 ID:GjB/3DHJ
>>912
modprobe mousedev
は?

915 :911:02/12/20 19:33 ID:cGIrpBk+
>>913
認識されたか確認するためには
tail /var/log/syslog
がいいかも

916 :login:Penguin:02/12/20 19:43 ID:7XiIFLn2
Xにログインし直して、
USBマウス、動きました。
ありがとうございました。

>915
なるほど、それが正当かもしれません。
ですが、へたれな私はusbviewに頼ります。


917 :login:Penguin:02/12/20 21:38 ID:9kLAI92t
次マケなさい

てなにね
私知らないあるよ

918 :login:Penguin:02/12/21 01:14 ID:bdgTi/ur
potatoっていつまでメンテされるんでしょうか。
最初10月とかって聞いた気がするんですが、まだsecurity fix出てますね。

919 :login:Penguin:02/12/21 01:42 ID:SU0w68BK
>>903

$ apt-cache show xlibs

Package: xlibs
(snip...)
Replaces: xlib, xbase (<< 3.3.2.3a-2), xlib6 (<< 3.3.2.3-2), xbase-clients (<< 4
.0), xlib6g (<< 4.0), xlib6g-dev (<< 4.0), xpm4g, fvwm-common, xcontrib, xsm, qc
ad (<< 1.4.6-1), libxft2 (<< 4.2.1-4)

ということではないかと。


920 :login:Penguin:02/12/21 12:40 ID:CjROGrl/
>>918
debian-archive入りするまで。
http://www.debian.org/distrib/archive
日付は正直わからん。
たぶんsirgeがstableになるころまでにはアーカイブ入りするとは思うけど。。


921 :login:Henzin:02/12/21 13:01 ID:niD5U6Dy
HP-BASICでフォーマットしたMOが認識できません。
PCカードは、REX9531のSCSI.
これは認識できるようだが、
最終的に
unable to read partition table
とでてしまいます。

insmod hpfs.o
mount -t hpfs /dev/sda /mo
とやっても無理です。

どなたかご存知のかた、ご教授ください。


922 :login:Penguin:02/12/21 19:27 ID:ixuwuVbs
今度はUSBのCD-Rに挑戦しています。
Woodyです。usbmgr, usbviewでusbマウスに加え、
usbテンキーも使えるようになりました。その節は
ありがとうございました。
その後、murasakiだとモジュールが自動読み込みに
なるみたいなんで、乗り換えました。
そこで、ADTECのAD-RW446Uを接続。
ですが、usbviewを見ると、
「USB to IDE Adaptor for CD-R/RW」
が赤字で表示。どうも、認識されていない様子。
自動に任せず、ide-scsiエミュのモジュールを
入れましたが、変化なし。
usb-ideアダプターにあたるモジュールは見当たりません。
何かご存知の方がいらっしゃいましたら、
よろしくお願いいたします。


923 :login:Penguin:02/12/21 22:38 ID:L2dH1KjN
>922
漏れヤマハのCRW2200E使ってるけど、
標準カーネルで一発認識だったしなぁ。(2.4.19-586tsc)

ケーブル挿入すると、usb 関連のモジュールと
usb-storage, scsi_mod あたり読み込んだら、あとは scsi CD-RW として使えてた。
cdrecord で正常に書き込みできることまで確認したけど
WARNING: USB Mass Storage data integrity not assured
らしいので、怖くてあんまり使ってない。

機種によってはファームウェアのバージョンアップで何とかなるというケースもあるらしい。


924 :922:02/12/21 23:55 ID:ixuwuVbs
なんか、いろいろやってるうちに、
murasakiではusbが使えなくなってしまった。(T^T)
原因不明。なので、usbmgrに戻して、元通り。
(murasaki←→usbmgrを何回か入れ替えたのが
悪かったのかも・・・)

一方、CDは、ide-scsiエミュモジュールを入れてから(?)
本体に内蔵のideのCDがマウントできなくなって、
CDも聞けなくなってしまった。なので、これも
モジュールを外して、元通り。(のはず)
とりあえず、CDは聞けるようになった。

ADTECのAD-RW446UのドライブはJVC製って事は
分かってるんだけど、それ以上は不明。
やっぱ、対応表に載ってないのは無理なのかな。


925 :922:02/12/22 00:22 ID:mSthkVcu
Wacom FAVO USBでも苦労しそうです。
ひょっとして、外ればっかり買ってる?


926 :922:02/12/22 00:32 ID:mSthkVcu
>>923
>漏れヤマハのCRW2200E使ってるけど、
>標準カーネルで一発認識だったしなぁ。(2.4.19-586tsc)

その場合、usbviewではどのように表示されて
いるのですか?


927 :923:02/12/22 11:05 ID:5ZVSEhLz
>926
usbview 使ってないけど試しに入れてみた。
Can not open the file /proc/bus/usb/devices
と言われた。
認識後のCDRWの情報は
/proc/scsi/scsi
/proc/scsi/usb-storage-0/0
にあって、/proc/bus/usb 以下は空なので、まあ当然か。
scsi エミュ の USB CDRW は usbview の管轄外と思われ。

928 :login:Penguin:02/12/22 11:06 ID:qdUSIUjf
必ずGNUStepのアプリケーションのコンパイルに失敗するんですが、どうすればいいでしょうか?
/usr/lib/GNUstep/System/Makefiles/GNUstep.sh
をルート権限で実行してもダメです。Woody,bashです。apt-get install gnustep*もしています。

929 :923:02/12/22 11:08 ID:5ZVSEhLz
あと、マネージャは murasaki でつ。

930 :922:02/12/22 12:03 ID:mSthkVcu
>>927, 929
Can not...と出るのは、>924で書いてたmurasakiの
症状と全く同じです。(最初にmurasakiを入れた時は、
usbmgrの時と同じようにusbviewに接続状況が表示
された様な気がするけど・・・。不思議)
なるほど。usbviewに出なくても、使える時は
使えるんですね。参考になります。
usbviewに惑わされずに、チャレンジしてみます。


931 :login:Penguin:02/12/22 12:32 ID:MaOUZDTu
libc6が2.3.1-6になって、dpkey7が動作するようになったね。

# 自分はVMwareで対応していました(^_^;

932 :login:Penguin:02/12/22 16:58 ID:1RWlT+rr
>>928 エラーメッセージを載せれ
>>930 /proc/bus/usb/... がないって人は、kernel のconfig で
CONFIG_USB_DEVICEFS=y になってないのか?

933 :login:Penguin:02/12/22 17:56 ID:KUGEqMDB
>>931
すっごく嬉しいです!

でも、乗りかかった船なので、UMLは頑張ってみようかと。
ネットワーク周りが微妙によくわからんなぁ....で、
試行錯誤とぐぐってまわるのを、毎日ちょっとずつ。
いつになるやら.......

934 :922:02/12/22 19:55 ID:mSthkVcu
>>932
すいません、kernelはapt-getしたkernel-image-2.4.18を
そのまま使ってるので、再構築した事ないんです。
なので、configがどのようになってるかも不明です。

murasakiではダメですけど、usbmgrだと問題なく、
usbは使えるし、usbviewにもツリー表示されますよ。

ADTECのCD-Rは依然ダメ。(どうもMac OS Xでも
使えないらしい。うーむ。やっぱりハズレか?)

一方、logitecのUSB 640MOは無事使えました。
hfs, ufsのどちらでもマウントできない時は焦ったけど、
usbviewで見ると黒字だし、何らかの反応がある事から、
認識はされているようだったので、思い切ってfdisk
などして、ext2でフォーマットしたら、使えました。


935 :login:Penguin:02/12/22 21:11 ID:KUGEqMDB
Wnn7が動いたと喜んでいたら,
wlでメールを表示しようとするとx-face-elが
エラーだしてるみたい.(これ消すと,エラーも消える)
んでもって,wlで一回メールを見てから,
M-x set-input-method japanese-egg-wnn7
ってやるとOK.(その場合,.emacsの該当部分はコメントアウト)

同じような構成の人っていないかな?
.emacsのWnn7周りを見せて戴けるとありがたいのですが.
ちなみに,現在,sid.Emacsはあまり長く使ってないので
よくわからんです.

936 :login:Penguin:02/12/22 21:31 ID:+q/iH/Fj
atokxが動かなくなった・・・

937 :login:Penguin:02/12/22 21:38 ID:MaOUZDTu
自分もsid使ってるけど、特にそういう症状はないのだが。

ii x-face-el 1.3.6.20-1 XFace utility for GNU Emacs.
ii wl 2.8.1-6 Yet Another Message Interface On Emacsen.
ii emacs21 21.2-5 The GNU Emacs editor.
ii emacs21-common 21.2-5 The GNU Emacs editor.
ii emacs21-el 21.2-5 GNU Emacs LISP (.el) files.

~/.wlも関係ありそうだけど、よく分からん…

938 :login:Penguin:02/12/22 23:02 ID:sWVtqVac
>>934
debパッケージのカーネルなら
/boot/config-2.4.18-XXX
というのがあるからそれを見る。

939 :yumi:02/12/22 23:26 ID:36/L/THA
http://www5e.biglobe.ne.jp/~nanko-m/index.htm

940 :login:Penguin:02/12/22 23:33 ID:EnWG2QLJ
>>917
昨日だっけっかな、もう少し修正しますた。
ネタが古いのはご勘弁。(SFネタです)



941 :login:Penguin:02/12/22 23:57 ID:mPgfZchr
>>937
ひょっとして、libcを2.3.1-6に上げた途端、jmodeが動かなくなった(というよりはgtk_set_locale()が"C"を返すのでlocaleが整合取れなくなった)のと近い現象かも?
atokxのimってgtk使ってますか?



942 :login:Penguin:02/12/22 23:59 ID:7CZAUDfr
お伺いしたいのですが最低限必要なCPUやメモリーはどれくらいですか?
来年中古のIBMノートをdebianで使いたいと考えおります。


943 :login:Penguin:02/12/23 00:00 ID:FvDy/lxs
>>942
その中古ノートとやらのスペック挙げて
これでつかえますかねと聞いた方が早いと思うよ

944 :login:Penguin:02/12/23 00:04 ID:AVc7vaC7
>>943
いくつかございましてどれになるか未定なものですから参考までに
お教え願えればと思いカキコいたしました。どれもpenU以上なのは
確かです。ハイ。

945 :login:Penguin:02/12/23 00:07 ID:v9MygQZO
Toshiba Portege620(Pentium100MHz,Memory40M,HD4Gに換装)に
Woody入れてEmacs20、jTeXで文書書きに使っていますが何か?

946 :login:Penguin:02/12/23 00:11 ID:AVc7vaC7
>>945
なあ〜る。・・・って一応ワープロ、表計算、メールは使うとすれば?

947 :login:Penguin:02/12/23 00:13 ID:FvDy/lxs
>>946
Windowsの代用みたいに使うんだったらメモリ128ぐらいは
あったほうがいいだろうね。
>>945みたいな古兵も渋くて(・∀・)イイ!!んだけど。

948 :login:Penguin:02/12/23 00:17 ID:oiJXln9R
私は、SONY PCV-L310/BP2にWoodyをインストールしますた。
celeronTM433MHz
メモリ 319MB
モニタ SONY PCVA-141LAP 14インチ
マウスはUSB
ですた。

949 :login:Penguin:02/12/23 00:17 ID:AVc7vaC7
>>947
ありがとうございました。ペコ。
ところでdebianの現バージョンの解説書などありましたら教えてください。
正月ヨミヨミいたします。

950 :login:Penguin:02/12/23 00:17 ID:FvDy/lxs
(;・∀・)いい加減なこと書いてるな漏れ。識者モトーム

951 :login:Penguin:02/12/23 00:18 ID:AVc7vaC7
>>948
参考になりました。ペコ。

952 :login:Penguin:02/12/23 00:19 ID:rBy8UFlX
>>949
この辺とか。
http://www.jp.debian.org/doc/

書籍はないね。

953 :login:Penguin:02/12/23 00:20 ID:rBy8UFlX
>>949
http://www.debian.or.jp/Book.html#potato
「徹底本」「今日から本」は前バージョンの本だが、
今でも通用する部分は多いよ。

954 :login:Penguin:02/12/23 00:21 ID:FvDy/lxs
>>949
徹底入門本とか
ttp://www.topstudio.co.jp/~kmuto/debian/

955 :login:Penguin:02/12/23 00:21 ID:AVc7vaC7
>>952
ありがとうございました。ペコ。
書籍はないですか・・・。ほしぃから洋書探します。

956 :login:Penguin:02/12/23 00:21 ID:FvDy/lxs
(;´Д`)ヤッチマッターヨ ツッテキマツ

957 :login:Penguin:02/12/23 00:24 ID:AVc7vaC7
>>953
>>954
merci! 明日本屋さん(LIBROと淳久堂)で探してみます。ペコ。

958 :login:Penguin:02/12/23 00:24 ID:rBy8UFlX
 
 woody本 期 待 し て ま す よ

と、だれにともなくプレッシャーをかけてみるテスト。

959 :login:Penguin:02/12/23 00:24 ID:5B3SKPkS
ペコ。

960 :login:Penguin:02/12/23 00:33 ID:oiJXln9R
私の場合は、本が無かったけど、
習うより慣れよで、4回インストールしてやっと上手く行きますた。
CD-ROMが壊れていたので、インストールCDをHDDへコピーし、
PCMCIAサポート設定->デバイスドライバモジュール->ネットワークの設定
そして、基本システムを設定しますた。
パッケージ類は、Debianサイトからダウンロードしますた。
後は、X-Windowやネットワークの設定(/etc/hostsなど)を設定し、
日本語表示/入力の設定を行いますた。
最後は、パッケージアップデートですた。
ではでは。

961 :login:Penguin:02/12/23 00:37 ID:AVc7vaC7
>>960
寝る前に大変参考になることを教わりました。ペコ。
あのver.14はどなたか立てていただけませんか。ペコリ。

962 :login:Penguin:02/12/23 00:49 ID:fnV/iSNx
>>932
> >>930 /proc/bus/usb/... がないって人は、kernel のconfig で
> CONFIG_USB_DEVICEFS=y になってないのか?

murasakiは自動でマウントしない
/etc/fstabに追記
proc /proc/bus/usb usbdevfs defaults 0 0


963 :922:02/12/23 01:34 ID:dNrYJ0NM
>>932, 938
見ました。ご指摘通りでした。
これだと不具合があるのでしょうか?

>>962
>murasakiは自動でマウントしない
なるほど。ひょっとしたら、FAQでしたか?
すみませんでした。
murasakiの方が、認識した時の音が控えめでよさげ。
usbmgrとmurasakiってMaintainerさんが同じ
みたいなんで、これからはmurasakiを使う方が
いいのかな?
/etc/fstabに追記、(明日)試してみます。


964 :login:Penguin:02/12/23 02:06 ID:k6GX5TrS
>>962
そうなの?
/etc/init.d/murasaki みると
## Mount the usbdevfs to /proc/bus/usb if it doesn't mount yet.
if $GREP usbdevfs ${PROC_FS} && ! ${GREP} usbdevfs ${PROC_MNT}; then
echo "Mount the usbdevfs to /proc/bus/usb."
${MOUNT} -t usbdevfs usbdevfs ${PROC_USB}
fi
ってあるけど。

965 :login:Penguin:02/12/23 02:24 ID:fnV/iSNx
>>964
woodyだと無いですが

966 :922:02/12/23 02:26 ID:dNrYJ0NM
>963 のmurasakiの件、/etc/fstabに追記を
今やってみました。usbviewがきちんと見えました。
やっぱり、見えないよりは見えた方がいいです。


967 :922:02/12/23 02:37 ID:dNrYJ0NM
>>964, 965
うちもwoodyで、ありません。


968 :login:Penguin:02/12/23 02:44 ID:9Hy81J2O
藤本スレはもう消えた?vvv

969 :922:02/12/23 03:13 ID:dNrYJ0NM
>934でlogitecのUSB 640MOが使えたと書きましたが。
依然としてext2しかマウントできないんですけど・・・
hfs, ufsのモジュールはmodconfで組み込み済み。
$ sudo mount -t hfs /dev/sda /mnt/mo
セグメンテーション違反です
って最初は出て、もう一度やると、コマンドラインが
戻ってこなくなって、ktermを閉じて、別のktermで
やって、閉じて・・・を繰り返したら、カーネルごと
止まった。(汗
$ sudo mount -t ufs /dev/sda /mnt/mo
でもほぼ同様。
$ sudo mount -t auto /dev/sda /mnt/mo
では「ファイルフォーマットを指定して」とか怒られる。

mtoolsも試して見たけど、mformatしたやつはdebian
でもmount -t vfat 〜 できないみたい(?)だし、
Mac OS Xでもマウントできないし、どーにもなりません。

最終的にはMac OS Xとファイル交換したいんですけど、
そのためには、フォーマットは何にすればいいのでしょう?


970 :login:Penguin:02/12/23 07:20 ID:QL5jHAEy
MOはもはや日本ローカルのデバイスになっているようなものだから、
今後は DVD-* 系に期待するのがよい。
MOはいまだにドライブが高すぎる。ATA化も遅かったし。
Mac上でUNIX系が普及すれば、多少はサポートがよくなるかもしれないが、
もう時代遅れだね。ファイルの保持性や堅牢性は、他の光書き込み可能
メディアに比べてもかなり高いのだが。

971 :login:Penguin:02/12/23 11:30 ID:Vjx0YeLC
aptの質問なんだけど、KDE3.0.5aを
ftp://download.uk.kde.org からインストールしたいので,sources.listに

deb ftp://download.uk.kde.org/pub/kde/stable/latest/Debian/ woody/

を加えて apt-get update をするとうまくリストを取得することはできるんだけど、
パッケージをインストールするときに、
Failed to fetech ftp://download(省略)/Debian/./i386/qt3/package
と出て、なんか(.)が入ってエラーになってしまうんだけど。。。
これはどうしたらいいんでしょうか?

sources.list を
deb ftp://download.uk.kde.org/pub/kde/stable/latest/Debian/ woody/i386/
にすると今度はapt-get update がうまくいかない。。。


972 :login:Penguin:02/12/23 12:03 ID:w1gf+qlq
Linux MagazineにWoodyがDVDまるまる一枚収録してあった。

973 :login:Penguin:02/12/23 12:33 ID:Vjx0YeLC
>>971
自己レスです。
deb ftp://download.uk.kde.org/pub/kde/stable/latest/Debian/woody/ ./
でうまく行きました


974 :login:Penguin:02/12/23 13:45 ID:QgZVJ8IG
>>974
日本語入力&表示は問題ないでつか?

975 :login:Penguin:02/12/23 14:07 ID:R9VztkEk
>>974
で、どうなの?問題なるの?ないの?

976 :login:Penguin:02/12/23 14:34 ID:6LwpaTVH
>>937
> 自分もsid使ってるけど、特にそういう症状はないのだが。

そうですか....ところで,
.emacsに,(set-input-method "japanese-egg-wnn7")
って書いてありますよね?もしかして,これがおかしいのじゃ
ないかと思いまして....
(最近のEmacsは表記が違うかな?と)

> ~/.wlも関係ありそうだけど、よく分からん…
/usr/share/doc/wl/examples/ja/dot.wl.gzをつかって
みましたけど,同じでした......

977 :922:02/12/23 15:24 ID:dNrYJ0NM
hfsがマウントできない件について。
なんとhfsplus, hfsutilsがインストールされて
いなかったので、apt-get。でも依然として
MacOS標準でフォーマットされたMOは
マウントできませんでした。
カーネルのモジュールは組み込み済みだけど、
それでもまだ、やり忘れてる事があるでしょうか?

一般的なLinux本でも特に変わった事なく
サポートされてるみたいな書き方なので、
こんな事でつまづいてる人はいないのかな・・・


978 :login:Penguin:02/12/23 15:25 ID:E2HTn9eN
昨日から、dnscacheが動かなくなったのは私だけですか?
glibcとsvtoolsをアップグレードしてからみたいなんですけど。
なんか、build-daemontoolsとbuild-djbdnsも出来ないみたい。
逝ってきます...

979 :login:Penguin:02/12/23 15:31 ID:bfPntquK
やっちまったー。
sidでupgrade -uでupgradeしたら
インストールの途中で
libc6-dev 2.3.1-5 を(.../libc6-dev_2.3.1-6_i386.deb で)置換するための準備をしています...
libc6-dev を展開し、置換しています...
locales 2.3.1-5 を(.../locales_2.3.1-6_all.deb で)置換するための準備をしています...
locales を展開し、置換しています...
libc6 2.3.1-5 を(.../libc6_2.3.1-6_i386.deb で)置換するための準備をしています...
libc6 を展開し、置換しています...
rm: reading directory `/var/lib/dpkg/tmp.ci/.': 関数は実装されていません
dpkg: クリーンアップ中にエラーが発生しました:
サブプロセス rm cleanup はエラー終了ステータス 1 を返しました。
dpkg: updates ディレクトリ`/var/lib/dpkg/updates/'をスキャンできません。: 関数は実装されていません
E: Sub-process /usr/bin/dpkg returned an error code (2)
で終了
以後lsすらも使えなくなりますた(T-T)


980 :login:Penguin:02/12/23 15:51 ID:LWAtja60
>>979
sash (ls,cd,mkdir,ln,ed,mount など最低限のコマンドが内部に組み込まれたシェルで、
スタティックリンクされてるのでlibc が見えなくなっても使える) をインストールしてある?

できれば root のログインシェルは sash にしとくべきだとおもう。

981 :login:Penguin:02/12/23 15:56 ID:lDzkD461
>979
ご愁傷様。tomsrtbtとか使って、libc6を手動展開かなぁ。
こういうときは、Slackwareとかの固めただけのパッケージって便利だと思う。


982 :login:Penguin:02/12/23 16:13 ID:v9MygQZO
>>979
なんでlibc6の更新に失敗したのか教えて。
うちだと大丈夫だったんだけど、後学のために。

983 :login:Penguin:02/12/23 16:19 ID:bfPntquK
>>980
インストールしてないです。
こんどからインストールするようにします。

>>981
dpkgも使えないので再インストールしたほうがよさげですね。

>>982
原因は不明です。
いつもと同じように、
sudo apt-get update
sudo apt-get upgrade -u
で失敗しました。


984 :login:Penguin:02/12/23 16:47 ID:v9MygQZO
明日またlibc6が新しくなるみたい……
(((;゚Д゚))ガクガクブルブル

985 :login:Penguin:02/12/23 17:03 ID:zGrcleTd
>>979
kernelひょっとして2.2かな。

まだ本家のwebにarchiveされてないようなので引用しとく。2.2な人はupgrade
しないように。

Subject: please don't use glibc 2.3.1-6 on linux kernel 2.2 (2.4 is ok)

>Please don't use glibc 2.3.1-6 on linux kernel 2.2.x. glibc 2.3.1-6
>has bug of getdents(), so "ls" or all getdents() operation are
>failed. It's no problem on kernel 2.4.

>If you're in trouble with this problem: (1) boot kernel 2.4, and
>downgrade glibc from -6 to -5, or (2) stop using old kernel 2.2,
>switch into 2.4 :-)

>The bug is as follows: glibc 2.3.1-6 uses getdents64() in first. On
>kernel 2.4, this system call is succeeded. But getdents64() is
>implemented after kernel 2.4.0-test7. So, this system call is failed
>on kernel 2.2, then glibc tries falling back to getdents(). But this
>"falling back" condition check has bug, all getdents() operations are
>always failed.

>I was already fixed it in the current debian glibc cvs. Jeff Bailey is
>concentrating to prepare glibc 2.3.1-7 with some other fixes. Please
>wait and use glibc 2.3.1-7, if you are kernel 2.2 user.

>I'm sorry cutting this thread, but I want more people notice this
>problem.


986 :login:Penguin:02/12/23 17:34 ID:y06V/LiD
>>次スレたてる人

前スレ
Debian GNU/Linux スレッド Ver. 13
http://debian.fam.cx/pc.2ch.net/test/read.cgi/linux/1036184754/
http://pc.2ch.net/test/read.cgi/linux/1036184754/

とすると、ちょっと喜ばれるのかもしれないと言ってみるテスト。

987 :login:Penguin:02/12/23 17:35 ID:v9MygQZO
>>979
http://lists.debian.org/debian-glibc/2002/debian-glibc-200212/msg00293.html
やってなおした人がいるよ。

988 :login:Penguin:02/12/23 18:53 ID:v9MygQZO
漏れのホストからだとスレ立てられないにょ……
誰か次スレ勃ててにょ。

989 :login:Penguin:02/12/23 19:04 ID:y06V/LiD
次スレ

Debian GNU/Linux スレッド Ver. 14
http://pc.2ch.net/test/read.cgi/linux/1040637707/

990 :login:Penguin:02/12/23 19:05 ID:tA2U8cWp
Debian GNU/Linux 14
http://pc.2ch.net/test/read.cgi/linux/1040637827/

やってしまった。。↑こっちは放置プレイでよろしこ

991 :login:Penguin:02/12/23 19:06 ID:y06V/LiD
スマンタイトルミスった。どうしよう・・・

992 :login:Penguin:02/12/23 19:08 ID:y06V/LiD
む。漏れじゃないのか・・・

993 :login:Penguin:02/12/23 19:08 ID:zGrcleTd
>>989
乙〜
>>990
削除依頼出しとけよ

994 :login:Penguin:02/12/23 19:19 ID:6jG241el
994

995 :login:Penguin:02/12/23 19:31 ID:oiSgzZT7
スレ埋め

996 :login:Penguin:02/12/23 19:37 ID:y06V/LiD
次スレ

Debian GNU/Linux スレッド Ver. 14
http://pc.2ch.net/test/read.cgi/linux/1040637707/

997 :login:Penguin:02/12/23 19:42 ID:y06V/LiD
埋め

998 :login:Penguin:02/12/23 19:42 ID:6jG241el
997

999 :login:Penguin:02/12/23 19:43 ID:6jG241el
1000

1000 :login:Penguin:02/12/23 19:44 ID:6jG241el
【1000】

1001 :1001:Over 1000 Thread
このスレッドは1000を超えました。
もう書けないので、新しいスレッドを立ててくださいです。。。

282 KB
★スマホ版★ 掲示板に戻る 全部 前100 次100 最新50

read.cgi ver 05.04.02 2018/11/22 Walang Kapalit ★
FOX ★ DSO(Dynamic Shared Object)